<?php
require_once "../../profile/includes/init.php";
require_once "../../profile/includes/isAdmin.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title><?php echo $info['name']; ?> - Admin dashboard</title>
    <!-- Favicons-->
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="apple-touch-icon" type="image/x-icon" href="img/apple-touch-icon-57x57-precomposed.png">
    <link rel="apple-touch-icon" type="image/x-icon" sizes="72x72" href="img/apple-touch-icon-72x72-precomposed.png">
    <link rel="apple-touch-icon" type="image/x-icon" sizes="114x114" href="img/apple-touch-icon-114x114-precomposed.png">
    <link rel="apple-touch-icon" type="image/x-icon" sizes="144x144" href="img/apple-touch-icon-144x144-precomposed.png">
    <!-- Bootstrap core CSS-->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Main styles -->
    <link href="css/admin.css" rel="stylesheet">
    <!-- Icon fonts-->
    <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- Plugin styles -->
    <link href="vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    <link href="vendor/dropzone.css" rel="stylesheet">
    <link href="css/date_picker.css" rel="stylesheet">
    <!-- Your custom styles -->
    <link href="css/custom.css" rel="stylesheet">
    <!-- WYSIWYG Editor -->
    <link rel="stylesheet" href="js/editor/summernote-bs4.css">
</head>

<body class="fixed-nav sticky-footer" id="page-top">
<!-- Navigation-->

<?php include "files/nav.php"; ?>

<!-- /Navigation-->
<div class="content-wrapper">
    <div class="container-fluid">
        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="./">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">New Transaction</li>
        </ol>


        <div class="box_general">
            <div class="header_box">
                <h2 class="d-inline-block">Build Transaction Histories</h2>
                <div class="filter">
                    <div class="styled-select">
                        <select name="orderby" class="selectbox">
                            <option value="Any time">Any time</option>
                            <option value="Latest">Latest</option>
                            <option value="Oldest">Oldest</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="list_general">
                <ul>
                    <li>
                        <figure><img src="img/samebank.webp" alt=""></figure>
                        <small>To <?php echo $info['name']; ?></small>
                        <h4>Same Bank Transfer</h4>
                        <p>Transfer to another <?php echo $info['name']; ?> account instantly</p>
                        <p><a data-target="#sameBankTransactionFormModal" data-toggle="modal" href="javascript:void(0)" class="btn_1 gray">Select <i class="fa fa-fw fa-arrow-right"></i></a></p>
                    </li>
                    <li>
                        <figure><img src="img/global.png" alt=""></figure>
                        <small>From <?php echo $info['name']; ?> to other bank</small>
                        <h4>Wire Transfer</h4>
                        <p>Wire transfers securely move funds between banks for large transactions both internationally and locally.</p>
                        <p><a data-toggle="modal" data-target="#wireTransactionFormModal" href="javascript:void(0)" class="btn_1 gray">Select <i class="fa fa-fw fa-arrow-right"></i> </a></p>

                    </li>
                    <li>
                        <figure><img src="img/bank_icon.png" alt=""></figure>
                        <small>From <?php echo $info['name']; ?> to other bank</small>
                        <h4>Domestic Transfer</h4>
                        <p>Domestic transfers are ways of sending funds within the same country, fast and reliably.</p>
                        <p><a data-toggle="modal" data-target="#domesticTransactionFormModal" href="javascript:void(0)" class="btn_1 gray">Select <i class="fa fa-fw fa-arrow-right"></i> </a></p>

                    </li>
                </ul>
            </div>
        </div>

        <!-- /box_general-->


        <!-- /.container-wrapper-->
        <?php include "files/footer.php"; ?>


        <!-- Logout Modal-->
        <?php include "files/modal.php";?>

        <!-- Bootstrap core JavaScript-->
        <script src="vendor/jquery/jquery.min.js"></script>
        <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- Core plugin JavaScript-->
        <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
        <!-- Page level plugin JavaScript-->
        <script src="vendor/chart.js/Chart.min.js"></script>
        <script src="vendor/datatables/jquery.dataTables.js"></script>
        <script src="vendor/datatables/dataTables.bootstrap4.js"></script>
        <script src="vendor/jquery.magnific-popup.min.js"></script>
        <!-- Custom scripts for all pages-->
        <script src="js/admin.js"></script>
        <!-- Custom scripts for this page-->
        <script src="vendor/dropzone.min.js"></script>
        <script src="vendor/bootstrap-datepicker.js"></script>
        <script>
            $('input.date-pick').datepicker();
        </script>
        <!-- WYSIWYG Editor -->
        <script src="js/editor/summernote-bs4.min.js"></script>
        <script>
            $('.editor').summernote({
                fontSizes: ['10', '14'],
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough']],
                    ['fontsize', ['fontsize']],
                    ['para', ['ul', 'ol', 'paragraph']]
                ],
                placeholder: 'Write here ....',
                tabsize: 2,
                height: 200
            });


            function handleSubmitTransfer() {
                let formData = $("#sameBankTransferForm").serialize();
                console.log(formData)
            }


            document.getElementById('domesticTransferSubmit').addEventListener('click', function() {
                // Collect form data
                const form = document.getElementById('domesticTransferForm');
                const formData = new FormData(form);

                // Send data to backend
                fetch('process/domestic_transfer.php', {
                    method: 'POST',
                    body: formData
                })
                    .then(response => response.json())
                    .then(data => {
                        // Handle response from the server
                        if (data.success) {
                            console.log(data)
                            alert("Transfer submitted successfully!");
                            // Reset the form or close the modal here
                            form.reset();
                            $('#domesticTransactionFormModal').modal('hide');
                        } else {
                            alert("Error: " + data.message);
                        }
                    })
                    .catch(error => {
                        console.error("Error:", error);
                        alert("An error occurred. Please try again.");
                    });
            });


            document.getElementById('wireTransferSubmit').addEventListener('click', function() {
                // Collect form data
                const form = document.getElementById('wireTransferForm');
                const formData = new FormData(form);

                // Send data to backend
                fetch('process/wire_transfer.php', {
                    method: 'POST',
                    body: formData
                })
                    .then(response => response.json())
                    .then(data => {
                        // Handle response from the server
                        //console.log(data)

                        if (data.success) {

                            alert("Transfer submitted successfully!");
                            form.reset();
                            $('#wireTransactionFormModal').modal('hide');
                        } else {
                            alert("Error: " + data.message);
                        }
                    })
                    .catch(error => {
                        console.error("Error:", error);
                        alert("An error occurred. Please try again.");
                    });
            });


            function switchDomesticTransactionType() {
                let type = document.getElementById('domesticTransactionType').value;
                if(type ==='credit'){
                    document.getElementById('beneficiaryName').innerText = 'Sender Account Name'
                    document.getElementById('beneficiaryNumber').innerText = 'Sender Account Number'
                    document.getElementById('userAccount').innerText = 'Receiver Account'
                }else if(type ==='withdrawal'){
                    document.getElementById('beneficiaryName').innerText = 'Beneficiary Account Name'
                    document.getElementById('beneficiaryNumber').innerText = 'Beneficiary Account Number'
                    document.getElementById('userAccount').innerText = 'Sender Account'
                }
            }

            function switchWireTransactionType() {
                let type = document.getElementById('wireTransactionType').value;
                if(type ==='credit'){
                    document.getElementById('wireBeneficiaryName').innerText = 'Sender Account Name'
                    document.getElementById('wireBeneficiaryNumber').innerText = 'Sender Account Number'
                    document.getElementById('wireUserAccount').innerText = 'Receiver Account'
                }else if(type ==='withdrawal'){
                    document.getElementById('wireBeneficiaryName').innerText = 'Beneficiary Account Name'
                    document.getElementById('wireBeneficiaryNumber').innerText = 'Beneficiary Account Number'
                    document.getElementById('wireUserAccount').innerText = 'Sender Account'
                }
            }

        </script>
</body>
</html>
