<?php
require_once "../../profile/includes/init.php";
require_once "../../profile/includes/isAdmin.php";

$statistic = $helper->statistics();

?>
<!DOCTYPE html>
<html lang="en">
<?php include "files/meta.php"; ?>

<body class="fixed-nav sticky-footer" id="page-top">
    <!-- Navigation-->
    <?php include "files/nav.php"; ?>
    <!-- /Navigation-->

    <div class="content-wrapper">
        <div class="container-fluid">
            <!-- Breadcrumbs-->
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="javascript:void(0)">Dashboard</a>
                </li>
                <li class="breadcrumb-item active">My Dashboard</li>
            </ol>
            <?php
            //print_r($statistic);
            ?>
            <!-- Icon Cards-->
            <div class="row">
                <div class="col-xl-3 col-sm-6 mb-3">
                    <div class="card dashboard text-white bg-primary o-hidden h-100">
                        <div class="card-body">
                            <div class="card-body-icon">
                                <i class="fa fa-fw fa-user-circle-o"></i>
                            </div>
                            <div class="mr-5">
                                <h5><?php echo $statistic['total_users']; ?> Users</h5>
                            </div>
                        </div>
                        <a class="card-footer text-white clearfix small z-1" href="./users">
                            <span class="float-left">View Details (Total Users)</span>
                            <span class="float-right">
                                <i class="fa fa-angle-right"></i>
                            </span>
                        </a>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6 mb-3">
                    <div class="card dashboard text-white bg-success o-hidden h-100">
                        <div class="card-body">
                            <div class="card-body-icon">
                                <i class="fa fa-fw fa-user-plus"></i>
                            </div>
                            <div class="mr-5">
                                <h5><?php echo $statistic['active_users']; ?> Users</h5>
                            </div>
                        </div>
                        <a class="card-footer text-white clearfix small z-1" href="./users">
                            <span class="float-left">View Details (Active Users)</span>
                            <span class="float-right">
                                <i class="fa fa-angle-right"></i>
                            </span>
                        </a>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6 mb-3">
                    <div class="card dashboard text-white bg-warning o-hidden h-100">
                        <div class="card-body">
                            <div class="card-body-icon">
                                <i class="fa fa-fw fa-credit-card"></i>
                            </div>
                            <div class="mr-5">
                                <h5><?php echo $statistic['active_virtual_cards']; ?> Card</h5>
                            </div>
                        </div>
                        <a class="card-footer text-white clearfix small z-1" href="">
                            <span class="float-left">View Details (New Card Request)</span>
                            <span class="float-right">
                                <i class="fa fa-angle-right"></i>
                            </span>
                        </a>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6 mb-3">
                    <div class="card dashboard text-white bg-danger o-hidden h-100">
                        <div class="card-body">
                            <div class="card-body-icon">
                                <i class="fa fa-fw fa-university"></i>
                            </div>
                            <div class="mr-5">
                                <h5><?php echo $statistic['pending_transactions']; ?> Withdrawal</h5>
                            </div>
                        </div>
                        <a class="card-footer text-white clearfix small z-1" href="">
                            <span class="float-left">View Details (Pending)</span>
                            <span class="float-right">
                                <i class="fa fa-angle-right"></i>
                            </span>
                        </a>
                    </div>
                </div>

            </div>
            <!-- /cards -->
            <h2></h2>
            <div class="box_general padding_bottom">
                <div class="header_box version_2">
                    <h2><i class="fa fa-bar-chart"></i>Statistic</h2>
                </div>
                <canvas id="myAreaChart8" width="100%" height="30" style="margin:45px 0 15px 0;"></canvas>
            </div>
        </div>
        <!-- /.container-fluid-->
    </div>
    <!-- /.container-wrapper-->
    <?php include "files/footer.php"; ?>

    <!-- Logout Modal-->
    <?php include "files/modal.php";?>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
    <!-- Page level plugin JavaScript-->
    <script src="vendor/chart.js/Chart.js"></script>
    <script src="vendor/datatables/jquery.dataTables.js"></script>
    <script src="vendor/datatables/dataTables.bootstrap4.js"></script>
    <script src="vendor/jquery.magnific-popup.min.js"></script>
    <!-- Custom scripts for all pages-->
    <script src="js/admin.js"></script>
    <!-- Custom scripts for this page-->
    <script src="js/admin-charts.js"></script>
</body>
</html>
