<?php
require_once "../../profile/includes/init.php";
require_once "../../profile/includes/isAdmin.php";
?>
<!DOCTYPE html>
<html lang="en">

<?php include "files/meta.php"; ?>

<style>
    .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 34px;
    }

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        transition: .4s;
        border-radius: 34px;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        transition: .4s;
        border-radius: 50%;
    }

    input:checked + .slider {
        background-color: #2196F3;
    }

    input:checked + .slider:before {
        transform: translateX(26px);
    }
</style>

<body class="fixed-nav sticky-footer" id="page-top">
   <!-- Navigation-->
   <?php include "files/nav.php"; ?>
    <!-- /Navigation-->

    <div class="content-wrapper">
        <div class="container-fluid">
            <!-- Breadcrumbs-->
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Dashboard</a>
                </li>
                <li class="breadcrumb-item active">Language</li>
            </ol>
            <!-- Example DataTables Card-->
            <div class="card mb-3">

                <div class="card-header">
                    <?php
                    print $helper->messageContaner('<strong><i class="fa fa-language"></i> WOW!</strong> You can now set your preferred language that will appear on your website. Available in '.count($helper->systemLanguages()).' languages ', 'info')
                    ?>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th>Country</th>
                                <th>Status</th>
                                <th>Action</th>
                                <th>Default</th>
                            </tr>
                            </thead>

                            <tbody>
                            <?php
                            foreach ($helper->systemLanguages() as $language):
                                ?>
                                <tr>
                                    <td><?php echo htmlspecialchars($language['language'], ENT_QUOTES); ?></td>
                                    <td>
                                        <?php echo $language['status'] == 1 ? 'On' : 'Off'; ?>
                                    </td>
                                    <td>
                                        <label class="switch">
                                            <input type="checkbox" <?php echo $language['status'] == 1 ? 'checked' : ''; ?>
                                                   onclick="toggleStatus('<?php echo htmlspecialchars($language['short_lan'], ENT_QUOTES); ?>', this)">
                                            <span class="slider round"></span>
                                        </label>
                                    </td>

                                    <td>
                                        <?php if($language['isDefault'] == 0): ?>

                                        <label class="switch">
                                            <input type="checkbox" <?php echo $language['isDefault'] == 1 ? 'checked' : ''; ?>
                                                   onclick="toggleDefault('<?php echo htmlspecialchars($language['short_lan'], ENT_QUOTES); ?>', this)">
                                            <span class="slider round"></span>
                                        </label>
                                        <?php
                                        else:
                                            echo "Default Language"
                                        ?>

                                        <?php
                                        endif;
                                        ?>
                                    </td>
                                </tr>
                            <?php
                            endforeach;
                            ?>
                            </tbody>
                        </table>
                    </div>
                </div>


                <div class="card-footer small text-muted">Updated yesterday at 11:59 PM</div>
            </div>
            <!-- /tables-->
        </div>
        <!-- /container-fluid-->
    </div>
    <!-- /container-wrapper-->
   <?php include "files/footer.php"; ?>

   <!-- Logout Modal-->
   <?php include "files/modal.php";?>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
    <!-- Page level plugin JavaScript-->
    <script src="vendor/chart.js/Chart.min.js"></script>
    <script src="vendor/datatables/jquery.dataTables.js"></script>
    <script src="vendor/datatables/dataTables.bootstrap4.js"></script>
    <script src="vendor/jquery.magnific-popup.min.js"></script>
    <!-- Custom scripts for all pages-->
    <script src="js/admin.js"></script>
    <!-- Custom scripts for this page-->
    <script src="js/admin-datatables.js"></script>
</body>
<script>
    function toggleStatus(languageId, checkbox) {
        const status = checkbox.checked ? 1 : 0;

        console.log(status, languageId); // Debugging: Check status and languageId

        // AJAX request to update the language status
        $.ajax({
            url: 'process/set_language.php', // URL to the server-side script
            method: 'post', // HTTP method
            dataType: 'json', // Expected response type
            data: {
                status: status, // Sending the new status
                languageId: languageId // Sending the language ID
            },
            success: function(data) {
                console.log(data); // Debugging: Check the response data

                // Check if the operation was successful
                if(data.status) {
                    // Operation was successful, you might show a success message
                    console.log("Status updated successfully.");
                } else {
                    // If unsuccessful, revert the checkbox status
                    checkbox.checked = !checkbox.checked; // Revert checkbox to previous state
                    console.log(data.message || "An error occurred. Please try again."); // Show error message
                }
            },
            error: function(error) {
                console.error("Error occurred:", error); // Log the error for debugging
                // Revert the checkbox status in case of error
                checkbox.checked = !checkbox.checked; // Revert checkbox to previous state
                console.log("An error occurred while updating the status. Please try again."); // Show error message
            }
        });
    }

    function toggleDefault(languageId, checkbox) {
        const isDefault = checkbox.checked ? 1 : 0;

        console.log(isDefault, languageId); // Debugging: Check default and languageId

        // Find the status checkbox element for the same language
        const statusCheckbox = document.querySelector(`input[type="checkbox"][onclick*="${languageId}"]`);

        // If the default checkbox is checked, also activate the status checkbox
        if (isDefault === 1) {
            if (statusCheckbox && !statusCheckbox.checked) {
                statusCheckbox.checked = true; // Ensure status is active (checked)
            }
        }

        // AJAX request to update the language default and status
        $.ajax({
            url: 'process/set_default_language.php', // URL to the server-side script
            method: 'post', // HTTP method
            dataType: 'json', // Expected response type
            data: {
                isDefault: isDefault, // Sending the new default status
                status: 1, // Set status to active (1) when default is checked
                languageId: languageId // Sending the language ID
            },
            success: function(data) {
                console.log(data); // Debugging: Check the response data

                // Check if the operation was successful
                if (data.status) {
                    // Operation was successful, you might show a success message
                    alert("Default and status updated successfully.");
                    location.reload()
                } else {
                    // If unsuccessful, revert the checkbox status
                    checkbox.checked = !checkbox.checked; // Revert checkbox to previous state
                    alert("An error occurred. Please try again."); // Show error message
                }
            },
            error: function(error) {
                console.error("Error occurred:", error); // Log the error for debugging
                // Revert the checkbox status in case of error
                checkbox.checked = !checkbox.checked; // Revert checkbox to previous state
                console.log("An error occurred while updating the default. Please try again."); // Show error message
            }
        });
    }



</script>

</html>
