<?php
require_once "../../../profile/includes/init.php";
require_once "../../../profile/includes/isAdmin.php";
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the JSON payload
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate the required fields
    $requiredFields = [
        'first_name',
        'last_name',
        'state',
        'city',
        'address',
        'dob',
        'cot',
        'imf',
        'transaction_pin',
        'kyc_status',
        'account_status',
        'account_country',
        'user_id'
    ];

    foreach ($requiredFields as $field) {
        if (!isset($data[$field]) || empty(trim($data[$field]))) {
            echo json_encode([
                'success' => false,
                'message' => ucfirst(str_replace('_', ' ', $field)) . ' is required.'
            ]);
            exit;
        }
    }

    // Call your function to save the data
    try {
        // Example save function call
        $result = $helper->updateProfileData($data); // Replace with your actual function

        if ($result) {
            echo json_encode(['success' => true, 'message' => 'Profile updated successfully']);
        } else {
            echo json_encode(['success' => false, 'message' => 'Failed to update profile']);
        }
    } catch (Exception $e) {
        echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request method']);
}
