<?php
require_once "../../profile/includes/init.php";
require_once "../../profile/includes/isAdmin.php";

if(!isset($_GET['u']) OR $_GET['u'] ==''){
    header("location: users");
    exit();
}

$profile = $helper->getProfile($_GET['u']);

if($profile['status'] ===false){
    header("location: users");
    exit();
}
$userTransactions =  $helper->getUserTransactions($_GET['u']);
?>
<!DOCTYPE html>
<html lang="en">
<?php include "files/meta.php"; ?>


<style>
    /* Style tab links */
    .tablink {
        background-color: #555;
        color: white;
        float: left;
        border: none;
        outline: none;
        cursor: pointer;
        padding: 4px 16px;
        font-size: 17px;
        min-width: 20%;
    }

    .tablink:hover {
        background-color: #777;
    }

    /* Style the tab content (and add height:100% for full page content) */
    .tabcontent {
        color: white;
        display: none;
        padding: 100px 10px;
        height: 50%;
    }

    #Home {background-color: white;}
    #News {background-color: white;}
    #Contact {background-color: white;}
    #About {background-color: white;}
</style>

<body class="fixed-nav sticky-footer" id="page-top">
<!-- Navigation-->

<?php include "files/nav.php"; ?>
<!-- /Navigation-->

<div class="content-wrapper">
    <div class="container-fluid">
        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="#">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Profile</li>
        </ol>
        <div class="box_general pb-3">
            <div class="header_box">
                <h2 class="d-inline-block">Personal Information</h2>
                <?php
                //print_r();
                ?>
            </div>
            <?php
            //print json_encode($profile['profile']);
            ?>
            <div class="list_general order">
                <ul>
                    <li>
                        <figure>
                            <img src="../../profile/images/<?php echo $profile['profile']['avatar'] == null ? 'profile-thumb.jpg': 'avatars/'.$profile['profile']['avatar']; ?>" alt="">
                        </figure>
                        <h4 class="text-capitalize"><?php echo $profile['profile']['firstName'].' '.$profile['profile']['lastName']; ?> <i class="pending"><?php echo $profile['profile']['account_status']; ?></i></h4>
                        <ul class="booking_list">
                            <li><strong>Language</strong> <?php echo $profile['profile']['user_language']; ?></li>
                            <li><strong>Date of birth</strong> <?php echo $profile['profile']['dob'] ==null ? 'N/A' : $profile['profile']['dob']; ?></li>
                            <li><strong>Address</strong> <?php echo $profile['profile']['address'] ==null ? 'N/A': $profile['profile']['address']; ?></li>
                            <li><strong>State</strong> <?php echo $profile['profile']['state'] ==null ? 'N/A':$profile['profile']['state']; ?></li>
                            <li><strong>City</strong> <?php echo $profile['profile']['city'] ==null ? 'N/A' : $profile['profile']['city']; ?></li>
                            <li><strong>Country</strong> <?php echo $profile['profile']['country'] ==null?'N/A':$profile['profile']['country']; ?></li>
                            <li><strong>Zip Code</strong> <?php echo $profile['profile']['zipcode'] ==null ? 'N/A': $profile['profile']['zipcode']; ?></li>
                            <li><strong>Primary Contacts</strong> <a href="#0"><?php echo $helper->getPrimaryPhone($profile['profile']['phones']); ?></a> - <a href="#0"><?php echo $helper->getPrimaryEmail($profile['profile']['emails']); ?></a></li>
                            <li><strong>Transaction PIN</strong> <?php echo $profile['profile']['transaction_pin']; ?></li>
                            <li><strong>KYC</strong> <?php echo $profile['profile']['kyc']; ?></li>
                            <li><strong>COT</strong> <?php echo $profile['profile']['cot'] ==null ? 'N/A' : $profile['profile']['cot']; ?></li>
                            <li><strong>IMF</strong> <?php echo $profile['profile']['imf'] ==null? 'N/A' : $profile['profile']['imf']; ?></li>
                            <li><strong>Last time password was changed</strong> <?php echo $profile['profile']['last_password_changed'] ==null? 'User have not changed password' : $profile['profile']['last_password_changed']; ?></li>
                        </ul>
                        <p><a href="#0" class="btn_1" data-toggle="modal" data-target="#editProfile"><i class="fa fa-fw fa-pencil"></i> Edit detail</a></p>
                        <ul class="buttons">
                            <li><a href="javascript:void(0)" onclick="handleUserAccountStatus('<?php echo $_GET['u']; ?>', '<?php echo $profile['profile']['firstName'].' '.$profile['profile']['lastName']; ?>')" class="btn_1 gray approve"><i class="fa fa-fw fa-check-circle-o"></i> Take Active</a></li>
                            <li><a href="javascript:void(0)" onclick="deleteUserAccount('<?php echo $_GET['u']; ?>','<?php echo $profile['profile']['firstName'].' '.$profile['profile']['lastName']; ?>')" class="btn_1 gray delete"><i class="fa fa-fw fa-times-circle-o"></i> Delete</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <hr>

            <button class="tablink" onclick="openPage('Accounts', this, 'orange')" id="defaultOpen">Accounts</button>
            <button class="tablink" onclick="openPage('Document', this, 'orange')" >Documents</button>
            <button class="tablink" onclick="openPage('Emails', this, 'orange')" >Emails</button>
            <button class="tablink" onclick="openPage('Contact', this, 'orange')">Phones</button>
            <button class="tablink" onclick="openPage('Cards', this, 'orange')">Cards</button>

            <div id="Accounts" class="tabcontent">
                <h5>Bank Accounts</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Account Number</th>
                            <th>Account Type</th>
                            <th>Account Status</th>
                            <th>Balance</th>
                            <th>Loan Balance</th>
                            <th>Action</th>

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach ($profile['profile']['wallets'] as $wallet){
                            ?>
                            <tr>
                                <td><?php echo $wallet['wallet_number']; ?></td>
<!--                                <td>--><?php //echo $wallet['wallet']; ?><!--</td>-->
                                <td><?php echo $wallet['account_type']; ?></td>
                                <td><?php echo $wallet['account_status']; ?></td>
                                <td><?php echo $helper->getWalletSymbol($wallet['wallet']).number_format($wallet['balance']); ?></td>
                                <td><?php echo $helper->getWalletSymbol($wallet['wallet']).number_format($wallet['loan_balance']); ?></td>
                                <td>
                                    <a href="javascript:void(0)" onclick="addFundToWallet('<?php echo $wallet['wallet_number']; ?>')"><strong>Add Fund</strong></a> |
                                    <a href="javascript:void(0)" onclick="changeWalletStatus('<?php echo $wallet['wallet_number']; ?>')"><strong>Change Status</strong></a>
                                </td>

                            </tr>
                            <?php
                        }
                        ?>

                        </tbody>
                    </table>
                </div>

            </div>

            <div id="Document" class="tabcontent">
                <h5>Documents</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Preview</th>
                            <th>Type</th>
                            <th>Size</th>
                            <th>Date</th>
                            <th>Status</th>
                            <!--                            <th>Edit</th>-->

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach ($profile['profile']['documents'] as $document){
                            //print_r($document);
                            ?>
                            <tr>
                                <td><img style="width: 100px;" src="../../profile/images/documents/<?php echo $document['file']; ?>"/></td>
                                <td><?php echo $document['type']; ?></td>
                                <td><?php echo $helper->formatFileSize($document['doc_size']); ?></td>
                                <td><?php echo $document['created_at']; ?></td>
                                <td><?php echo $document['status']; ?></td>
                            </tr>
                            <?php
                        }
                        ?>

                        </tbody>
                    </table>
                    <?php
                    if(count($profile['profile']['documents'])>0){
                        ?>
                        <a href="javascript:void(0)" onclick="initializeDocumentStatusModal('<?php echo $_GET['u']; ?>')"><strong>
                                Take Action on all documents
                            </strong>
                        </a>
                    <?php
                    }
                    ?>
                </div>
            </div>

            <div id="Emails" class="tabcontent">
                <h5>Emails</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Email</th>
                            <th>Primary</th>
<!--                            <th>Edit</th>-->

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach ($profile['profile']['emails'] as $email){
                            ?>
                            <tr>
                                <td><?php echo $email['email']; ?></td>
                              <td><?php echo $email['primary_email'] == 1 ? 'Yes' : 'No'; ?></td>
<!--                             <td><a href="#0" data-toggle="modal" data-target="#edit_item_order"><strong>Send</strong></a> </td>-->

                            </tr>
                            <?php
                        }
                        ?>

                        </tbody>
                    </table>
                </div>
            </div>

            <div id="Contact" class="tabcontent">
                <h5>Contacts (Phone Numbers)</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Email</th>
                            <th>Primary</th>
<!--                            <th>Edit</th>-->

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach ($profile['profile']['phones'] as $phone){
                            ?>
                            <tr>
                                <td><?php echo $phone['phone']; ?></td>
                                <td><?php echo $phone['primary_phone'] == 1? 'Yes' : 'No'; ?></td>
<!--                                <td><a href="#0" data-toggle="modal" data-target="#edit_item_order"><strong>Send</strong></a> </td>-->

                            </tr>
                            <?php
                        }
                        ?>

                        </tbody>
                    </table>
                </div>
            </div>

            <div id="Cards" class="tabcontent">
                <h5>Cards</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Card Number</th>
                            <th>Card Name</th>
                            <th>Valid</th>
                            <th>CVV</th>
                            <th>Type</th>
                            <th>Option</th>
                            <th>Account</th>
                            <th>Status</th>
                            <th>Action</th>

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach ($profile['profile']['cards'] as $card){
                            //print_r($card);
                            ?>
                            <tr>
                                <td><?php echo $card['number']; ?></td>
                                <td><?php echo $card['name']; ?></td>
                                <td><?php echo $card['valid']; ?></td>
                                <td><?php echo $card['cvv']; ?></td>
                                <td><?php echo $card['type']; ?></td>
                                <td><?php echo $card['card_option']; ?></td>
                                <td><?php echo $card['account_number']; ?></td>
                                <td><?php echo $card['card_status']; ?></td>
                                <td><a href="javascript:void(0)" onclick="TakeActionOnCardRequest('<?php echo $card['id']; ?>','<?php echo $card['number']; ?>')"><strong>
                                            Take Action
                                        </strong></a> </td>

                            </tr>
                            <?php
                        }
                        ?>

                        </tbody>
                    </table>
                </div>
            </div>



            <div class="container-fluid">
                <h5>User Transactions</h5>
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Bank</th>
                            <th>Reference</th>
                            <th>Type</th>
                            <th>Date</th>
                            <th>Required</th>
                            <th>Option</th>
                            <th>Amount</th>
                            <th>Description</th>
                            <th>Status</th>
                            <th>Action</th>

                        </tr>
                        </thead>
                        <tbody>
                        <?php
//                        print_r($userTransactions);
                        foreach ($userTransactions as $transaction){
                            //print_r($transaction);
                            ?>

                            <tr>
                                <td><?php echo $transaction['bank_name']; ?></td>
                                <td><?php echo $transaction['transaction_id']; ?></td>
                                <td><?php echo $transaction['transaction_type']; ?></td>
                                <td><?php echo $transaction['created_at']; ?></td>
                                <td class="text-uppercase"><?php echo $transaction['currentlyRequired']; ?></td>
                                <td><?php echo $transaction['transferOption']; ?></td>
                                <td><?php echo $helper->getWalletSymbol($transaction['currency']).$transaction['amount']; ?></td>
                                <td><?php echo $transaction['description']; ?></td>
                                <td class="text-capitalize"><?php echo $transaction['status']; ?></td>
                                <td>
                                    <a href="javascript:void(0)" onclick="TakeActionOnTransaction('<?php echo $transaction['transaction_id']; ?>')"><strong>
                                            Take Action
                                        </strong></a>
                                </td>
                            </tr>
                            <?php
                        }
                        ?>
                        </tbody>
                    </table>
                </div>
                <div class="row justify-content-end">
                    <h5>Transactions</h5>
                </div>
                <div class="row justify-content-end total_order">

                    <div class="col-xl-3 col-lg-4 col-md-5">
                        <ul>
                            <li>
                                <span>In Euro</span> <?php echo $helper->getWalletSymbol('euro'). number_format($helper->calculateTransactionTotals($userTransactions)['euro']); ?>
                            </li>
                            <li>
                                <span>In Dollars</span> <?php echo $helper->getWalletSymbol('usd'). number_format($helper->calculateTransactionTotals($userTransactions)['usd']); ?>
                            </li>

                            <li>
                                <span>In Pound</span> <?php echo $helper->getWalletSymbol('pound'). number_format($helper->calculateTransactionTotals($userTransactions)['pound']); ?>
                            </li>
                            <li>
                                <span style="font-size: 15px">Number of Transactions</span> <?php print count($userTransactions);?>
                            </li>
                        </ul>
                        <a href="javascript:void(0)" onclick="deleteUserAccount('<?php echo $_GET['u']; ?>','<?php echo $profile['profile']['firstName'].' '.$profile['profile']['lastName']; ?>')" class="btn_1 full-width cart" style="width: 100%; text-align: center;">Delete All</a>
                    </div>
                </div>
            </div>

            <!-- /total_order-->
        </div>
        <!-- /box_general-->
    </div>
    <!-- /container-fluid-->
</div>
<!-- /container-wrapper-->
<?php include "files/footer.php"; ?>

<!-- Logout Modal-->
<?php include "files/modal.php";?>

<!-- Bootstrap core JavaScript-->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Core plugin JavaScript-->
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>
<!-- Page level plugin JavaScript-->
<script src="vendor/chart.js/Chart.min.js"></script>
<script src="vendor/datatables/jquery.dataTables.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.js"></script>
<script src="vendor/jquery.magnific-popup.min.js"></script>
<script src="vendor/bootstrap-datepicker.js"></script>
<script>$('input.date-pick').datepicker();</script>
<!-- Custom scripts for all pages-->
<script src="js/admin.js"></script>
<script>
    function openPage(pageName,elmnt,color) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablink");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].style.backgroundColor = "";
        }
        document.getElementById(pageName).style.display = "block";
        elmnt.style.backgroundColor = color;
    }

    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();


    function TakeActionOnTransaction(id) {
        $("#userTransactionNo").val(id)
        $("#takeActionOnUserTransaction").modal('show')
    }

    function changeTransactionStatus() {
        $.ajax({
            url: 'process/change_transaction_status.php',
            method: 'post',
            dataType: 'json',
            data:{transactionNo:$("#userTransactionNo").val(), status:$("#transaction_status").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function TakeActionOnCardRequest(id, card_number) {
        $("#userCardRequestId").val(id)
        $("#show_card_number").html(card_number)
        $("#takeActionOnCardRequest").modal('show')
    }

    function changeCardRequestStatus() {
        $.ajax({
            url: 'process/change_card_status.php',
            method: 'post',
            dataType: 'json',
            data:{status:$("#card_request_status").val(), cardId:$("#userCardRequestId").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function addFundToWallet(id) {
        $("#userWalletNumber").val(id)
        $("#userWalletNumberShow").html(id)
        $("#walletFundingModal").modal('show')
    }

    function addFund() {
        $.ajax({
            url: 'process/add_fund.php',
            method: 'post',
            dataType: 'json',
            data:{amount:$("#funding_amount").val(), wallet:$("#userWalletNumber").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function changeWalletStatus(id) {
        $("#userWalletNumber2").val(id)
        $("#userWalletNumberTarget").html(id)
        $("#changeUserWalletStatusModal").modal('show')
    }

    function initializeDocumentStatusModal(id) {
        $("#docId").val(id)
        $("#docModal").modal('show')
    }

    //

    function handleDocumentStatus() {
        $.ajax({
            url: 'process/change_document_status.php',
            method: 'post',
            dataType: 'json',
            data:{status:$("#document_status").val(), id:$("#docId").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function handleChangeWalletSatus() {
        $.ajax({
            url: 'process/change_wallet_status.php',
            method: 'post',
            dataType: 'json',
            data:{wallet_status:$("#wallet_status").val(), wallet:$("#userWalletNumber2").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function handleUserAccountStatus(id, name) {
        $('#userAccountName').html(name)
        $("#userAccountId").val(id)
        $("#userAccountStatusModal").modal('show')
    }

    function changeUserAccountStatus() {
        $.ajax({
            url: 'process/change_user_account_status.php',
            method: 'post',
            dataType: 'json',
            data:{id:$("#userAccountId").val(), status:$("#user_account_status").val()},
            success:function (data) {
                if(data.success){
                    alert(data.message);
                    location.reload()
                }else {
                    alert(data.message)
                }
            }
        })
    }



    function deleteUserAccount(id, name) {
        $("#accountTobeDeleted").html(name);
        $("#accountTobeDeletedId").val(id);
        $("#deleteModal").modal('show')
    }

    function yesDelete() {
        $.ajax({
            url:'process/delete_account.php',
            method:'post',
            dataType:'json',
            data:{id:$("#accountTobeDeletedId").val()},
            success:function (data) {
                if(data.success){
                    window.location.href='users'
                }else {
                    alert(data.message)
                }
            }
        })
    }

    function editProfile(e) {
        e.preventDefault(); // Prevent the form from submitting the traditional way

        // Collect form data
        const formData = {
            first_name: document.getElementById('account_first_name').value,
            last_name: document.getElementById('account_last_name').value,
            state: document.getElementById('account_state').value,
            city: document.getElementById('account_city').value,
            address: document.getElementById('account_address').value,
            dob: document.getElementById('account_dob').value,
            cot: document.getElementById('account_cot').value,
            imf: document.getElementById('account_imf').value,
            transaction_pin: document.getElementById('account_pin').value,
            kyc_status: document.getElementById('kyc_status').value,
            account_status: document.getElementById('account_status').value,
            account_country: document.getElementById('account_country').value,
            user_id: document.getElementById('user_id').value
        };

        // Send the data using AJAX
        const xhr = new XMLHttpRequest();
        xhr.open('POST', 'process/edit_user.php', true); // Replace 'backend_endpoint.php' with your PHP endpoint
        xhr.setRequestHeader('Content-Type', 'application/json');

        xhr.onload = function () {
            if (xhr.status === 200) {
                // Parse the response and handle success
                const response = JSON.parse(xhr.responseText);
                if (response.success) {
                    alert('Profile updated successfully!');
                    location.reload(); // Optionally reload the page
                } else {
                    alert('Failed to update profile: ' + response.message);
                }
            } else {
                alert('An error occurred while updating the profile.');
            }
        };

        xhr.onerror = function () {
            alert('Failed to connect to the server.');
        };

        // Send the data
        xhr.send(JSON.stringify(formData));
    }


</script>
</body>
</html>
