<?php
require_once "../../profile/includes/init.php";
require_once "../../profile/includes/isAdmin.php";
?>
<!DOCTYPE html>
<html lang="en">
<?php include "files/meta.php"; ?>

<body class="fixed-nav sticky-footer" id="page-top">
<!-- Navigation-->
<?php include "files/nav.php"; ?>
<!-- /Navigation-->

<div class="content-wrapper">
    <div class="container-fluid">
        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="./">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Users</li>
        </ol>
        <!-- Example DataTables Card-->
        <div class="card mb-3">
            <div class="card-header">
                <i class="fa fa-table"></i> Users Data Table</div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th>Image</th>
                            <th>Name</th>
                            <th>Country</th>
                            <th>IMF</th>
                            <th>COT</th>
                            <th>Date of Birth</th>
                            <th>Action</th>
                        </tr>
                        </thead>

                        <tbody>

                        <?php
                        foreach ($helper->usersProfile() as $user){
                            //print_r($user);
                        ?>
                        <tr>
                            <td>
                                <img style="width: 35px;height: 35px;border-radius: 100%" src="../../profile/images/<?php echo $user['avatar'] == null ? 'profile-thumb.jpg': 'avatars/'.$user['avatar']; ?>" alt="">
                            </td>
                            <td class="text-capitalize"> <?php echo $user['firstName'].' '.$user['lastName']; ?></td>
                            <td><?php echo $user['country'] ==null ? 'N/A': $user['country']; ?></td>
                            <td><?php echo $user['imf'] ==null ? 'N/A': $user['imf']; ?></td>
                            <td><?php echo $user['cot'] ==null ? 'N/A': $user['cot']; ?></td>
                            <td><?php echo $user['dob'] ==null ? 'N/A': $user['dob']; ?></td>
                            <td>
                                <a href="./user_profile?u=<?php echo $user['_id']; ?>" class="btn bg-success btn-sm text-white">View</a>
                            </td>
                        </tr>
                        <?php
                        }
                        ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer small text-muted">Updated yesterday at 11:59 PM</div>
        </div>
        <!-- /tables-->
    </div>
    <!-- /container-fluid-->
</div>
<!-- /container-wrapper-->
<?php include "files/footer.php"; ?>

<!-- Logout Modal-->
<?php include "files/modal.php";?>

<!-- Bootstrap core JavaScript-->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Core plugin JavaScript-->
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>
<!-- Page level plugin JavaScript-->
<script src="vendor/chart.js/Chart.min.js"></script>
<script src="vendor/datatables/jquery.dataTables.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.js"></script>
<script src="vendor/jquery.magnific-popup.min.js"></script>
<!-- Custom scripts for all pages-->
<script src="js/admin.js"></script>
<!-- Custom scripts for this page-->
<script src="js/admin-datatables.js"></script>
</body>
</html>
