<?php
require_once "profile/includes/init.php";
require_once "profile/includes/guest.php";
?>
<!DOCTYPE html>
<html lang="zxx">
<head>

<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="assets/css/swiper-bundle.min.css">
<link rel="stylesheet" href="assets/css/flaticon_finto.css">
<link rel="stylesheet" href="assets/css/scrollCue.css">
<link rel="stylesheet" href="assets/css/remixicon.css">
<link rel="stylesheet" href="assets/css/style.css">
<link rel="stylesheet" href="assets/css/responsive.css">

<title><?php echo $info['name']; ?> - Fintech, Banking, & Finance</title>
<link rel="icon" type="image/png" href="assets/images/favicon.png">
<style>
    .isLoading {
            border: 3px solid #f3f3f3;
            border-radius: 50%;
            border-top: 3px solid #02d20a;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 0.5s linear infinite; /* Safari */
            animation: spin 0.5s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% { -webkit-transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); }
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        .btn {
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
        }
        .btn[disabled] {
            background-color: #ccc;
            cursor: not-allowed;
            pointer-events: none;
        }
</style>
</head>
<body>

<?php
include "preloader.php";
?>

<div class="top-header-info">

    <?php
    include "nav.php";
    ?>
</div>

<?php
include "mobile_nav.php";
?>


<div class="page-banner-area position-relative overflow-hidden" style="background-image: url(assets/images/hero/hero-image-2.svg)">
<div class="container">
<div class="page-banner-content">
<h1>Contact Us</h1>
<ul>
<li><a href="./">Home</a></li>
<li>Contact Us</li>
</ul>
</div>
</div>
<div class="shape-image">
<img class="page-banner-shape-1 moveHorizontal_reverse" src="assets/images/shape/page-banner-shape-1.png" alt="shape">
<img class="page-banner-shape-2 moveVertical" src="assets/images/shape/page-banner-shape-2.png" alt="shape">
</div>
</div>


<div class="contact-address-area ptb-120 overflow-hidden">
<div class="container">
<div class="address-container bg-color-0c3a30 radius-20">
<div class="contact-warp d-flex align-items-center justify-content-between" data-cues="slideInDown" data-duration="700">
<div class="location position-relative">
<i class="flaticon-phone-call call-icon"></i>
<span>Phone Number</span>
<a href="tel:<?php echo $info['name']; ?>"><?php echo $info['name']; ?></a>
</div>
<div class="location position-relative">
<i class="flaticon-email-1 call-icon"></i>
<span>Email Address</span>
<a href="mailto:<?php echo $info['email']; ?>"><span class="__cf_email__"><?php echo $info['email']; ?></span></a>
</div>
<div class="location position-relative">
<i class="flaticon-maps-and-flags call-icon"></i>
<span>Visit Our Office</span>
<a href="javascript:void(0)" target="_blank"><?php echo $info['address']; ?></a>
</div>
</div>
</div>
</div>
</div>


<div class="contact-form-area pb-120">
<div class="container">
<div class="section-title" style="max-width: 665px;">
<span class="sub-title two bg-color-9edd05 rounded-pill">GET IN TOUCH</span>
<h2>Don’t Hesitate To Contact Us</h2>
</div>
<div class="row g-4">
<div class="col-lg-8 col-md-12" data-cues="slideInUp" data-duration="800">
<form class="contact-form bg-color-fffaeb radius-30" id="contactForm" onsubmit="submitContactForm(event)">
<div class="row">
<div class="col-lg-6 col-md-6">
<input type="text" class="form-control" <?php if(isset($_SESSION['profile'])){ echo "value='".$profile['firstName']."' readonly"; } ?> name="fullName" id="fullName" placeholder="Name">
</div>
<div class="col-lg-6 col-md-6">
<input type="text" <?php if(isset($_SESSION['profile'])){ echo "value='".$helper->getPrimaryEmail($profile['emails'])."' readonly"; } ?> name="email" id="email" class="form-control" placeholder="Email">
</div>
<div class="col-lg-6 col-md-6">
<input type="text" <?php if(isset($_SESSION['profile'])){
//
    if($helper->getPrimaryPhone($profile['phones']) =='N/A'){
        echo "value=''";
    }else{
        echo "value='".$helper->getPrimaryPhone($profile['phones'])."' readonly";
    }
} ?> name="phone" id="phone" class="form-control" placeholder="Phone">
</div>
    <div class="col-lg-6 col-md-6">
        <select type="text" class="form-control" name="subject" id="subject">
            <option value="">--- Select ---</option>
            <option value="deposit">Deposit</option>
            <option value="account-inquiries">General Account Questions</option>
            <option value="account-balance">Account Balance and Transaction History</option>
            <option value="new-account">Opening a New Account</option>
            <option value="close-account">Closing an Account</option>

            <option value="personal-loan">Personal Loan Inquiry</option>
            <option value="mortgage-info">Mortgage Information</option>
            <option value="loan-status">Loan Application Status</option>
            <option value="refinancing">Refinancing Options</option>

            <option value="card-activation">Card Activation or Deactivation</option>
            <option value="card-replacement">Card Replacement</option>
            <option value="credit-limit-increase">Credit Limit Increase Request</option>
            <option value="lost-card">Lost or Stolen Card</option>

            <option value="online-banking">Online Banking Registration</option>
            <option value="mobile-app">Mobile App Assistance</option>
            <option value="password-reset">Password Reset or Login Issue</option>
            <option value="transaction-issues">Transaction Issues</option>

            <option value="investment-opportunities">Investment Opportunities</option>
            <option value="financial-advisory">Financial Advisory Services</option>
            <option value="portfolio-management">Portfolio Management</option>
            <option value="mutual-funds">Mutual Funds and Stocks</option>

            <option value="customer-support">General Support</option>
            <option value="complaint-feedback">Complaint or Feedback</option>
            <option value="service-satisfaction">Service Satisfaction</option>
            <option value="branch-assistance">Assistance with Branch Services</option>

            <option value="international-transfers">International Transfers</option>
            <option value="foreign-exchange">Foreign Exchange Rates</option>
            <option value="currency-exchange">Currency Exchange Service</option>
            <option value="cross-border">Cross-Border Transactions</option>

            <option value="report-fraud">Report Suspicious Activity</option>
            <option value="security-concern">Security Concern</option>
            <option value="scam-inquiry">Scam Alert Inquiry</option>
            <option value="unauthorized-transaction">Unauthorized Transactions</option>
        </select>
    </div>

<div class="col-lg-12 col-md-12">
<textarea class="form-control textarea" id="message" name="message" placeholder="Write A Message"></textarea>
</div>
</div>
<button type="submit" id="sendButton" class="btn default-btn">
    
    
    <span id="buttonText">Send Message <i class="ri-arrow-right-up-line"></i></span>
                        <div style="display: none" id="isLoading" class="isLoading"></div>
    
    </button>
</form>
</div>
<div class="col-lg-4 col-md-12" data-cues="slideInDown" data-duration="800">
<div class="contact-map">
<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12099.703300006831!2d-73.98999211564951!3d40.697631233315505!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c2594e613b2071%3A0x3bce69cdfa7d39a5!2sSP%2B%20Parking!5e0!3m2!1sen!2sbd!4v1724649743269!5m2!1sen!2sbd"></iframe>
</div>
</div>
</div>
</div>
</div>


<div class="app-area two pb-120 overflow-hidden">
<div class="container">
<div class="download-area bg-color-edf1ee radius-30">
<div class="row g-4 align-items-center">
<div class="col-lg-6 col-md-12" data-cues="slideInRight" data-duration="800">
<div class="app-image">
<img class="radius-30" src="assets/images/app/app-image-5.jpg" alt="image">
</div>
</div>
<div class="col-lg-6 col-md-12" data-cues="slideInLeft" data-duration="800">
<div class="section-heading mb-0 ms-auto">
<span class="sub-title two bg-color-9edd05 rounded-pill">DOWNLOAD APP</span>
<h2>Experience The Future Of Banking</h2>
<p class="mb-5">With a robust suite of products ranging from digital banking and payment processing to wealth management and blockchain applications.</p>
<div class="app-btn">
<a href="https://play.google.com/store/apps/category/FAMILY?hl=en" target="_blank" class="me-3">
<img class="rounded-3" src="assets/images/app/app-image-2.jpg" alt="image">
</a>
<a href="https://www.apple.com/app-store/" target="_blank">
<img class="rounded-3" src="assets/images/app/app-image-3.jpg" alt="image">
</a>
</div>
</div>
</div>
</div>
</div>
</div>
</div>



<?php
include "footer.php";
?>
<script src="profile/vendor/jquery/jquery.min.js"></script>
<script data-cfasync="false" src="https://templates.hibootstrap.com/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script><script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/swiper-bundle.min.js"></script>
<script src="assets/js/fslightbox.min.js"></script>
<script src="assets/js/smooth-scroll.js"></script>
<script src="assets/js/scrollCue.min.js"></script>
<script src="assets/js/script.js"></script>
<script>
   function submitContactForm(e) {
    e.preventDefault();

    // Get form data
    let name = document.getElementById('fullName').value.trim();
    let email = document.getElementById('email').value.trim();
    let phone = document.getElementById('phone').value.trim();
    let subject = document.getElementById('subject').value.trim();
    let message = document.getElementById('message').value.trim();

    // Check if any field is empty
    if (!name || !email || !phone || !subject || !message) {
        alert('All fields are required.');
        return;
    }
    
     const button = document.getElementById('sendButton');
    button.setAttribute('disabled', true);

    $("#buttonText").hide()
    $("#isLoading").show()

    // Perform the AJAX request
    $.ajax({
        url: 'profile/process/send_us_message.php',
        type: 'POST',
        data: {
            name: name,
            email: email,
            phone: phone,
            subject: subject,
            message: message
        },
        success: function(res) {
            // Parse the response to JSON
            button.removeAttribute('disabled');
            $("#buttonText").show()
            $("#isLoading").hide()

            if (res.status === 'success') {
                alert('Your message has been sent successfully!');
            } else {
                alert(res.message || 'Failed to send your message. Please try again.');
            }
        },
        error: function(xhr, status, error) {
            // Handle error
            button.removeAttribute('disabled');
            $("#buttonText").show()
            $("#isLoading").hide()
            console.error('An error occurred:', error);
            alert('There was an error sending your message. Please try again.');
        }
    });
}


</script>
</body>
</html>
