<!DOCTYPE html>
<html lang="zxx">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="assets/css/swiper-bundle.min.css">
    <link rel="stylesheet" href="assets/css/flaticon_finto.css">
    <link rel="stylesheet" href="assets/css/scrollCue.css">
    <link rel="stylesheet" href="assets/css/remixicon.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/responsive.css">
    <title><?php echo $info['name']; ?> - Banking, & Finance</title>
    <link rel="icon" type="image/png" href="assets/images/favicon.png">
    <style>
        .spinner {
            display: none;
            width: 18px;
            height: 18px;
            border: 3px solid #ccc;
            border-top: 3px solid #333;
            border-radius: 50%;
            animation: spin 1s linear infinite;
            margin-left: 10px;
        }
        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
    </style>
</head>
<body>

<?php include "preloader.php"; ?>

<div class="forgot-password-page overflow-hidden">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12">
                <form class="login-form bg-color-fffaeb radius-30 border-bx">
                    <div class="text-center mb-5">
                        <a href="./" class="d-block">
                            <img src="assets/images/favicon.png" alt="image">
                        </a>
                    </div>
                    <h2 class="text-center">Forgot Password?</h2>

                    <!-- Message display area -->
                    <div id="message" class="text-center mb-4"></div>

                    <label class="form-label">Email Address</label>
                    <input type="text" class="form-control" id="registeredEmail" name="registeredEmail" placeholder="Email">

                    <!-- Button with spinner inside -->
                    <button type="button" onclick="requestPasswordReset()" id="resetButton" class="default-btn w-100 text-center">
                        <span id="buttonText">Reset Password</span>
                        <div class="spinner" id="buttonSpinner"></div>
                    </button>

                    <br><br>
                    <p>I Have remembered? <a href="./login">Login</a></p>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="go-top">
    <i class="ri-arrow-up-fill"></i>
</div>

<script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/swiper-bundle.min.js"></script>
<script src="assets/js/fslightbox.min.js"></script>
<script src="assets/js/smooth-scroll.js"></script>
<script src="assets/js/scrollCue.min.js"></script>
<script src="assets/js/script.js"></script>
<script>
    function requestPasswordReset() {
        const email = document.getElementById('registeredEmail').value;
        const messageDiv = document.getElementById('message');
        const buttonText = document.getElementById('buttonText');
        const buttonSpinner = document.getElementById('buttonSpinner');

        // Clear previous messages, show spinner, and hide button text
        messageDiv.innerHTML = '';
        buttonText.style.display = 'none';
        buttonSpinner.style.display = 'inline-block';

        fetch('profile/process/request-password-reset.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({ email: email })
        })
            .then(response => response.json())
            .then(data => {
                // Hide spinner and show button text
                buttonText.style.display = 'inline';
                buttonSpinner.style.display = 'none';

                if (data.success) {
                    messageDiv.innerHTML = `<p style="color: green;">${data.message}</p>`;
                } else {
                    messageDiv.innerHTML = `<p style="color: red;">${data.message}</p>`;
                }
            })
            .catch(error => {
                console.error("Error:", error);
                // Hide spinner and show button text
                buttonText.style.display = 'inline';
                buttonSpinner.style.display = 'none';
                messageDiv.innerHTML = `<p style="color: red;">An error occurred while sending the request.</p>`;
            });
    }
</script>
</body>
</html>
