<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$account = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
<!--    <link rel="stylesheet" type="text/css" href="font-awesome/css/all.min.css" />-->
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
    <!-- Colors Css -->

</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>

</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">
    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <?php
                    print $helper->messageContaner('<strong>Warning!</strong> You need to update your account.', 'danger')
                    ?>

                    <!-- Profile Completeness
                   =============================== -->
                    <div class="shadow-sm rounded p-4 mb-4" style="background-color: #0c3a30">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4 text-white">Your Account Information<br></h3>

                        <div class="row gy-4 profile-completeness">
                            <div class="col-sm-6 col-md-4">
                                <div class="text-white">
                                    Primary Account: <span id="showCopied" style="font-size: 11px;color: #14ee02;display: none">Copied</span> <br><span style="font-size: 25px"><?php echo $helper->maskAccountNumber($helper->getPrimaryWallet($profile['wallets'])['wallet_number']); ?> <span onclick="copyToClip('<?php echo $helper->getPrimaryWallet($profile['wallets'])['wallet_number']; ?>')" style="cursor: pointer" class="border text-success rounded-pill fw-500 text-1 px-3 py-1 ms-2">
                                    <i class="fas fa-copy"></i>
                                </span></span>
                                </div>
                            </div>
<!--                            <div class="col-sm-6 col-md-4">-->
<!--                                <div class="border text-success rounded-pill fw-500 text-2 px-3 py-1 ms-2">-->
<!--                                    Primary Account: 234567890987-->
<!--                                </div>-->
<!--                            </div>-->
                            <div class="col-sm-6 col-md-4 text-white">
                                Account Type: <span class="border rounded-pill fw-500 text-2 px-3 py-1 ms-2" style="color: #9edd05">
                                    <?php echo $helper->getPrimaryWallet($profile['wallets'])['account_type']; ?> Account
                                </span>
                            </div>

                            <div class="col-sm-6 col-md-4 text-white">
                                Account Status:
                                <?php
                                echo $helper->formatAccountStatus2($helper->getPrimaryWallet($profile['wallets'])['account_status']);
                                ?>
                            </div>
                        </div>
                    </div>
                    <!-- Profile Completeness End -->

                    <!-- Profile Completeness
                    =============================== -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Profile Completion<span class="border text-success rounded-pill fw-500 text-2 px-3 py-1 ms-2">
                                <?php
                                echo $helper->calculateCompletionPercentage($profile);
                                ?>
                            </span></h3>
                        <hr class="mb-4 mx-n4">
                        <div class="row gy-4 profile-completeness">
                            <div class="col-sm-6 col-md-3">
                                <div class="border rounded text-center px-3 py-4">
                                    <span class="d-block text-10 text-light mt-2 mb-3">
                                        <i class="fas fa-envelope"></i>
                                    </span>
                                    <?php
                                    if(empty($profile['emails'])){
                                        ?>
                                        <span class="text-5 d-block text-light mt-4 mb-3">
                                        <i class="far fa-circle "></i>
                                    </span>
                                        <p class="mb-0"><a class="btn-link" href="./settings-profile">Add Email</a></p>
                                    <?php
                                    }else{
                                        ?>
                                        <span class="text-5 d-block text-success mt-4 mb-3">
                                        <i class="fas fa-check-circle"></i>
                                    </span>
                                        <p class="mb-0"><a class="btn-link" href="./settings-profile">Email Added</a></p>

                                    <?php
                                    }
                                    ?>

                                </div>
                            </div>
                            <div class="col-sm-6 col-md-3">
                                <div class="border rounded text-center px-3 py-4"> <span class="d-block text-10 text-light mt-2 mb-3"><i class="fas fa-mobile-alt"></i></span>

                                    <?php
                                    if(empty($profile['phones'])){
                                        ?>
                                        <span class="text-5 d-block text-light mt-4 mb-3">
                                            <i class="far fa-circle"></i>
                                        </span>
                                        <p class="mb-0"><a class="btn-link" href="./settings-profile">Add Phone</a></p>
                                        <?php
                                    }else{
                                        ?>
                                        <span class="text-5 d-block text-success mt-4 mb-3">
                                        <i class="fas fa-check-circle"></i>
                                        </span>
                                        <p class="mb-0"><a class="btn-link" href="./settings-profile">Mobile Added</a></p>

                                        <?php
                                    }
                                    ?>


                                </div>
                            </div>



                            <div class="col-sm-6 col-md-3">
                                <div class="border rounded text-center px-3 py-4"> <span class="d-block text-10 text-light mt-2 mb-3"><i class="fas fa-credit-card"></i></span>

                                    <?php
                                    if(empty($profile['cards'])){
                                        ?>
                                        <span class="text-5 d-block text-light mt-4 mb-3">
                                            <i class="far fa-circle"></i>
                                        </span>
                                        <p class="mb-0"><a class="btn-link" href="./virtual_cards">Apply for Card</a></p>
                                        <?php
                                    }else{
                                        ?>
                                        <span class="text-5 d-block text-success mt-4 mb-3">
                                        <i class="fas fa-check-circle"></i>
                                        </span>
                                        <p class="mb-0"><a class="btn-link" href="./virtual_cards">Cards</a></p>
                                        <?php
                                    }
                                    ?>


                                </div>
                            </div>


                            <div class="col-sm-6 col-md-3">
                                <div class="position-relative border rounded text-center px-3 py-4">
                                    <span class="d-block text-10 text-light mt-2 mb-3"><i class="fas fa-passport"></i></span>

                                        <?php
                                        if($profile['kyc'] =='Approved'){
                                        ?>
                                            <span class="text-5 d-block text-success mt-4 mb-3">
                                        <i class="fas fa-check-circle"></i>
                                        </span>
                                        <?php
                                        }else{
                                            ?>
                                            <span class="text-5 d-block text-light mt-4 mb-3">
                                        <i class="far fa-circle "></i>
                                    </span>
                                    <?php
                                        }
                                        ?>

                                    <p class="mb-0"><a class="btn-link" href="./kyc">KYC
                                            <?php
                                            if($profile['kyc'] =='Approved'){
                                                ?>
                                                <span class="text-success">(<?php echo $profile['kyc']; ?>)</span>
                                            <?php
                                            }else{
                                                ?>
                                                <span class="text-danger">(<?php echo $profile['kyc']; ?>)</span>
                                            <?php
                                            }
                                            ?>
                                        </a></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Profile Completeness End -->

                    <!-- Recent Activity
                    =============================== -->
                    <div class="bg-white shadow-sm rounded py-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center px-4 ">Your Financial Statement Review</h3>
                        <div class="container" style="margin-bottom:30px">
                            <small style="font-size: 11px">(Credit and Debit Statement)</small>
                        </div>


                        <!-- Title
                        =============================== -->
                        <div class="transaction-title py-2 px-4">
                            <div class="row fw-00">
                                <div class="col-2 col-sm-1 text-center"><span class="">Date</span></div>
                                <div class="col col-sm-7">Description</div>
                                <div class="col-auto col-sm-2 d-none d-sm-block text-center">Status</div>
                                <div class="col-3 col-sm-2 text-end">Amount</div>
                            </div>
                        </div>
                        <!-- Title End -->

                        <!-- Transaction List
                        =============================== -->
<!--                        <div class="transaction-list">-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">16</span> <span class="d-block text-1 fw-300 text-uppercase">APR</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">HDFC Bank</span> <span class="text-muted">Withdraw to Bank account</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-warning" data-bs-toggle="tooltip" title="In Progress"><i class="fas fa-ellipsis-h"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">- $562</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">15</span> <span class="d-block text-1 fw-300 text-uppercase">APR</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">Envato Pty Ltd</span> <span class="text-muted">Payment Received</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-success" data-bs-toggle="tooltip" title="Completed"><i class="fas fa-check-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">+ $562</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">04</span> <span class="d-block text-1 fw-300 text-uppercase">APR</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">HDFC Bank</span> <span class="text-muted">Withdraw to Bank account</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-success" data-bs-toggle="tooltip" title="Completed"><i class="fas fa-check-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">- $106</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">28</span> <span class="d-block text-1 fw-300 text-uppercase">MAR</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">Patrick Cary</span> <span class="text-muted">Refund</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-success" data-bs-toggle="tooltip" title="Completed"><i class="fas fa-check-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">+ $60</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">28</span> <span class="d-block text-1 fw-300 text-uppercase">MAR</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">Patrick Cary</span> <span class="text-muted">Payment Sent</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-danger" data-bs-toggle="tooltip" title="Cancelled"><i class="fas fa-times-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">- $60</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">16</span> <span class="d-block text-1 fw-300 text-uppercase">FEB</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">HDFC Bank</span> <span class="text-muted">Withdraw to Bank account</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-success" data-bs-toggle="tooltip" title="Completed"><i class="fas fa-check-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">- $1498</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="transaction-item px-4 py-3" data-bs-toggle="modal" data-bs-target="#transaction-detail">-->
<!--                                <div class="row align-items-center flex-row">-->
<!--                                    <div class="col-2 col-sm-1 text-center"> <span class="d-block text-4 fw-300">15</span> <span class="d-block text-1 fw-300 text-uppercase">FEB</span> </div>-->
<!--                                    <div class="col col-sm-7"> <span class="d-block text-4">Envato Pty Ltd</span> <span class="text-muted">Payment Received</span> </div>-->
<!--                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3"> <span class="text-success" data-bs-toggle="tooltip" title="Completed"><i class="fas fa-check-circle"></i></span> </div>-->
<!--                                    <div class="col-3 col-sm-2 text-end text-4"> <span class="text-nowrap">+ $1498</span> <span class="text-2 text-uppercase">(USD)</span> </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->

                        <?php
                        $transactions = $helper->getUserTransactions($_SESSION['profile']);

                        echo $helper->displayTransactions($transactions);
                        ?>
                        <!-- Transaction List End -->

                        <!-- Transaction Item Details Modal
                        =========================================== -->
                        <div id="transaction-detail" class="modal fade" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <div class="row g-0">
                                            <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-start py-4">
                                                <div class="my-auto text-center">
                                                    <div class="text-17 text-white my-3"><i class="fas fa-building"></i></div>
                                                    <h3 id="modal-bank-name" class="text-4 text-white fw-400 my-3">N/A</h3> <!-- Bank name will be updated here -->
                                                    <div id="modal-amount" class="text-8 fw-500 text-white my-4">$0.00</div> <!-- Amount will be updated here -->
                                                    <p id="modal-transaction-date" class="text-white">N/A</p> <!-- Transaction date will be updated here -->
                                                </div>
                                            </div>
                                            <div class="col-sm-7">
                                                <h5 class="text-5 fw-400 m-3">Transaction Details
                                                    <button type="button" class="btn-close text-2 float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </h5>
                                                <hr>
                                                <div class="px-3">
                                                    <ul class="list-unstyled">
                                                        <li class="mb-2">Payment Amount <span id="modal-payment-amount" class="float-end text-3">N/A</span></li>
                                                        <li class="mb-2">Fee <span id="modal-fee" class="float-end text-3">N/A</span></li>
                                                    </ul>
                                                    <hr class="mb-2">
                                                    <p class="d-flex align-items-center fw-500 mb-0">Total Amount <span id="modal-total-amount" class="text-3 ms-auto">$0.00</span></p>
                                                    <hr class="mb-4 mt-2">
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Receiving Bank:</li>
                                                        <li id="modal-receiving-bank" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Transaction ID:</li>
                                                        <li id="modal-transaction-id" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Description:</li>
                                                        <li id="modal-description" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Status:</li>
                                                        <li id="modal-status" class="text-muted">Completed<span class="text-success text-3 ms-1"><i class="fas fa-check-circle"></i></span></li>
                                                    </ul>
                                                    <div id="shouldContinue"></div>
                                                    <br>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <!-- Transaction Item Details Modal End -->

                        <!-- View all Link
                        =============================== -->
                        <?php
                        if(count($transactions)>0){
                        ?>
                        <div class="text-center mt-4"><a href="./transactions" class="btn-link text-3">View all<i class="fas fa-chevron-right text-2 ms-2"></i></a></div>
                        <!-- View all Link End -->
                        <?php
                        }
                        ?>

                    </div>
                    <!-- Recent Activity End -->
                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>

<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
<script>
    function getTransactionDetails(id) {
        // Perform the AJAX request
        $.ajax({
            url: 'process/transaction_details.php', // Update with your actual API endpoint
            type: 'GET',
            dataType: 'json',
            data: { id: id }, // Ensure 'id' is being sent
            success: function(response) {
                // Log the response for debugging

                if (response.status) {
                    const transaction = response.data;
                    //console.log('Response:', transaction.created_at);

                    const [datePart] = transaction.created_at.split(' ');
                    const transactionDate = new Date(datePart).toLocaleDateString('en-US', {
                        year: 'numeric', month: 'long', day: 'numeric'
                    });

                    // Update modal content using unique IDs
                    $('#modal-bank-name').text(transaction.bank_name);
                    $('#modal-amount').text('$' + parseFloat(transaction.amount).toFixed(2));
                    $('#modal-transaction-date').text(transactionDate);

                    // Populate other transaction details
                    $('#modal-payment-amount').text('$' + (transaction.amount ? parseFloat(transaction.amount).toFixed(2) : 'N/A'));
                    $('#modal-fee').text('$' + (transaction.fee ? parseFloat(transaction.fee).toFixed(2) : '0'));
                    $('#modal-total-amount').text('$' + (transaction.amount ? parseFloat(transaction.amount).toFixed(2) : 'N/A'));
                    $('#modal-receiving-bank').text(transaction.bank_name || 'N/A');
                    $('#modal-transaction-id').text(transaction.transaction_id || 'N/A');
                    $('#modal-description').text(transaction.description || 'N/A');
                    $('#modal-status').html(transaction.status +
                        (transaction.status === 'completed' ? '<span class="text-success text-3 ms-1"><i class="fas fa-check-circle"></i></span>' : ''));


                    $("#shouldContinue").html(
                        (transaction.transferOption === 'Wire' || transaction.transferOption === 'Domestic') &&
                        (transaction.currentlyRequired === 'cot' || transaction.currentlyRequired === 'imf' || transaction.currentlyRequired === 'otp') && transaction.status ==='pending'
                            ? `<div class="d-grid"><a href="./completion?q=${transaction.transaction_id}" class="btn btn-sm btn-outline-danger shadow-none"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Continue Transfer</a></div>`
                            : null
                    );

                    // Show the modal
                    $('#transaction-detail').modal('show');
                } else {
                    console.log(response.message + ' error response');
                }
            },
            error: function(xhr, status, error) {
                console.log('Error fetching transaction details:', error);
                // alert('An error occurred while fetching transaction details.');
            }
        });
    }

    function copyToClip(text) {
        // Check if the Clipboard API is supported
        if (navigator.clipboard && window.isSecureContext) {
            // Use the modern Clipboard API
            navigator.clipboard.writeText(text).then(() => {
                $("#showCopied").show(); // Show the copied message
                setTimeout(() => {
                    $("#showCopied").hide(); // Hide after 3 seconds
                }, 1000);
            }).catch(err => {
                console.error("Failed to copy text: ", err);
            });
        } else {
            // Fallback to using a temporary textarea element
            const textarea = document.createElement("textarea");
            textarea.value = text;

            // Ensure the element is off-screen
            textarea.style.position = "fixed";
            textarea.style.left = "-99999px";

            // Add the textarea to the document
            document.body.appendChild(textarea);

            // Select the text in the textarea (works for mobile devices)
            textarea.select();
            textarea.setSelectionRange(0, text.length);

            // Copy the selected text to the clipboard
            try {
                document.execCommand("copy");
                $("#showCopied").show(); // Show the copied message
                setTimeout(() => {
                    $("#showCopied").hide(); // Hide after 3 seconds
                }, 1000);
            } catch (err) {
                console.error("Failed to copy text: ", err);
            }

            // Remove the textarea element from the document
            document.body.removeChild(textarea);
        }
    }



</script>
</body>
</html>
