<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";

if (!isset($_GET['q']) || $_GET['q'] == '') {
    header("location: send-money");
}

$transaction = $_GET['q'];
$result = $helper->getTransactionDetailsForVerification($_GET['q'], $_SESSION['profile']);
if($result['xcode'] !='cot' AND $result['xcode'] !='imf'AND $result['xcode'] !='otp' ){
    header("location: transactions");
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title><?php echo $info['name']; ?> OTP Verification Form</title>
    <link href="images/favicon.png" rel="icon" />
    <style>
        /* Import Google font - Poppins */
        @import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: "Poppins", sans-serif;
        }
        body {
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
            /*background: #00C076;*/
            background: url('images/bg3.jpg') no-repeat center center fixed; /* Update the path to your image */
            background-size: cover;
        }
        :where(.container, form, .input-field, header) {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }
        .container {
            background: #fff;
            padding: 30px 65px;
            border-radius: 12px;
            row-gap: 20px;
            box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
        }
        .container header {
            height: 65px;
            width: 65px;
            color: #fff;
            font-size: 2.5rem;
            border-radius: 50%;
        }
        .container h4 {
            font-size: 1.25rem;
            color: #333;
            font-weight: 500;
        }
        form .input-field {
            flex-direction: row;
            column-gap: 10px;
        }
        .input-field input {
            height: 45px;
            width: 100%;
            border-radius: 6px;
            outline: none;
            font-size: 1.125rem;
            text-align: center;
            border: 1px solid #ddd;
        }
        .input-field input:focus {
            box-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
        }
        .input-field input::-webkit-inner-spin-button,
        .input-field input::-webkit-outer-spin-button {
            display: none;
        }
        button {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        form button {
            margin-top: 25px;
            width: 100%;
            color: #fff;
            font-size: 1rem;
            border: none;
            padding: 9px 0;
            cursor: pointer;
            border-radius: 6px;
            pointer-events: none;
            background: #c1efd7;
            transition: all 0.2s ease;

        }
        form button.active {
            background: #00C076;
            pointer-events: auto;
        }
        form button:hover {
            background: #00C076;
        }
        .text-muted a {
            text-decoration: none;
            color: #00C076;
        }
        .text-muted {
            margin-top: 20px;
        }
        .isLoading {
            border: 3px solid #f3f3f3;
            border-radius: 50%;
            border-top: 3px solid #02d20a;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 0.5s linear infinite; /* Safari */
            animation: spin 0.5s linear infinite;
            transform: translate(-50%, -50%);
        }

        .resendLoading {
            border: 3px solid #f3f3f3;
            border-radius: 50%;
            border-top: 3px solid #02d20a;
            width: 20px;
            height: 20px;
            -webkit-animation: spin 0.5s linear infinite; /* Safari */
            animation: spin 0.5s linear infinite;
            transform: translate(-50%, -50%);
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% { -webkit-transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); }
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        /* For Chrome, Safari, Edge, and Opera */
        input[type="number"]::-webkit-outer-spin-button,
        input[type="number"]::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        /* For Firefox */
        input[type="number"] {
            -moz-appearance: textfield;
        }
    </style>
</head>
<body>
<input type="hidden" value="<?php echo $_GET['q']; ?>" id="transaction_id" name="transaction_id"/>
<?php
if ($result['xcode'] == 'otp'): ?>
    <div class="container">
        <header>
            <img style="width:200px" src="images/logo.png" />
        </header>
        <h4>Enter OTP Code</h4>
        <p>to proceed with the transaction.</p>
        <form action="#">
            <div class="input-field">
                <input type="number" id="otp" maxlength="4" minlength="4" name="otp" placeholder="OTP" />
            </div>
            <p onclick="resendOTP()" class="text-3 text-center text-muted pt-5" style="cursor: pointer"> <a class="btn-link">Resend OTP </a><div style="display: none" class="resendLoading"></div></p>

            <button onclick="send('otp')" type="button" id="otpButton">
                <span id="otpButtonText">Continue</span>
                <div style="display: none" id="processingOtp" class="isLoading"></div>
            </button>


            <p class="text-3 text-center text-muted pt-5"> <a class="btn-link" href="./">Continue later</a></p>
        </form>
    </div>

<?php elseif ($result['xcode'] == 'cot'): ?>
    <div class="container">
        <header>
            <img style="width:200px" src="images/logo.png" />
        </header>
        <h4>Enter COT Code</h4>
        <p>to proceed with the transaction.</p>
        <form action="#">
            <div class="input-field">
                <input type="number" id="cot" name="cot" placeholder="Code" />
            </div>

            <button onclick="send('cot')" type="button" id="cotButton">
                <span id="cotButtonText">Continue</span>
                <div style="display: none" id="processingCot" class="isLoading"></div>
            </button>

            <p class="text-3 text-center text-muted pt-5"> <a class="btn-link" href="./">Continue later</a></p>
        </form>
    </div>
<?php else: ?>
    <div class="container">
        <header>
            <img style="width:200px" src="images/logo.png" />
        </header>
        <h4>Enter IMF Code</h4>
        <p>to proceed with the transaction.</p>
        <form action="#">
            <div class="input-field">
                <input type="number" id="imf" name="imf" placeholder="Code" />
            </div>
            <button onclick="send('imf')" type="button" id="imfButton">
                <span id="imfButtonText">Continue</span>
                <div style="display: none" id="processingImf" class="isLoading"></div>
            </button>

            <p class="text-3 text-center text-muted pt-5"> <a class="btn-link" href="./">Continue later</a></p>
        </form>
    </div>

<?php endif; ?>


<!-- Boxicons CSS -->
<script src="vendor/jquery/jquery.min.js"></script>
<link href="https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css" rel="stylesheet" />

<script defer>
    // Function to enable button based on input
    function setupInput(inputId) {
        const input = document.querySelector(`#${inputId}`);
        const button = input.closest('form').querySelector('button');

        // Listen for keyup event on the input field
        input.addEventListener("keyup", () => {
            // Enable the button if the input is not empty
            if (input.value.length > 0) {
                button.classList.add("active");
                button.removeAttribute("disabled");
            } else {
                // Disable the button if the input is empty
                button.classList.remove("active");
                button.setAttribute("disabled", true);
            }
        });

        // Automatically focus the input field when the page loads
        window.addEventListener("load", () => input.focus());
    }

    // Set up input handling only for existing input fields
    if (document.getElementById('cot')) {
        setupInput('cot'); // Only set up if COT input is present
    }
    if (document.getElementById('imf')) {
        setupInput('imf'); // Only set up if IMF input is present
    }

    if (document.getElementById('otp')) {
        setupInput('otp'); // Only set up if IMF input is present
    }

    function send(type) {
        const code = document.getElementById(type).value;
        const transaction_id = document.getElementById('transaction_id').value;
        //console.log({code, type}); // Replace with actual sending logic
        switch (type.toLowerCase()) {
            case "otp":
                otp(code, transaction_id);
                break;

            case "cot":
                cot(code, transaction_id);
                break;

            case "imf":
                imf(code, transaction_id);
                break;

            default:
                console.log('Invalid code type');
                break;
        }
    }


    function otp(code, transaction_id) {
        $("#otpButtonText").hide()
        $("#processingOtp").show()

        $.ajax({
            url:'process/otp.php',
            method:'post',
            dataType:'json',
            data:{otpCode:code,transaction_id:transaction_id},
            success:function (data) {

                $("#otpButtonText").show()
                $("#processingOtp").hide()

                if(data.status){
                    alert(data.message)
                    location.reload()
                }else{
                    alert(data.message)
                }
            }
        })

    }

    function cot(code,transaction_id) {
        $("#cotButtonText").hide()
        $("#processingCot").show()

        $.ajax({
            url:'process/cot.php',
            method:'post',
            dataType:'json',
            data:{code:code,transaction_id:transaction_id},
            success:function (data) {

                $("#cotButtonText").show()
                $("#processingCot").hide()

                if(data.status){
                    // console.log(data)
                    alert(data.message)
                    location.reload()
                }else{
                    alert(data.message)
                }
            }
        })

    }

    function imf(code,transaction_id) {
        $("#imfButtonText").hide()
        $("#processingImf").show()

        $.ajax({
            url:'process/imf.php',
            method:'post',
            dataType:'json',
            data:{code:code,transaction_id:transaction_id},
            success:function (data) {

                $("#imfButtonText").show()
                $("#processingImf").hide()

                if(data.status){
                    console.log(data)
                    //alert(data.message)
                    //location.reload()
                    window.location.href='success'
                }else{
                    alert(data.message)
                }
            }
        })
    }

    function resendOTP() {
        $(".resendLoading").show()
        $.ajax({
            url:'process/resend_otp.php',
            method:'post',
            dataType:'json',
            data:{},
            success:function (data) {
                $(".resendLoading").hide()
                if(data.status){
                    alert(data.message)
                    // location.reload()
                }else{
                    alert(data.message)
                }
            }
        })
    }

</script>

</body>
</html>
