<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<div id="main-wrapper" class="h-100">
    <!-- Header
    ============================================= -->
    <header id="header" class="bg-transparent header-text-light border-0 py-4">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                </div>
                <div class="header-column justify-content-end">
                    <div class="d-flex flex-column">
                        <ul class="social-icons social-icons-muted justify-content-center">
                            <li class="social-icons-google"><a data-bs-toggle="tooltip" href="./logout" target="_blank" title="Sign out"><i class="fas fa-power-off"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <section class="d-flex flex-column min-vh-100">
        <div class="container text-center my-auto py-5">

            <div class="row mt-5">
                <div class="col-lg-10 mx-auto">
                    <p class="text-7 text-muted mb-3">To Prevent Fraud and Ensure Security</p>
                    <h2 class="text-10 mb-5">You need a <u class="text-primary">Transaction</u> <u class="text-primary">PIN</u> </h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md-8 col-lg-6 col-xl-5 mx-auto">
                    <h3 class="text-5 text-dark fw-400 mb-3">Set Up Your 4 digit PIN</h3>
                    <form method="post">
                        <div class="input-group">
                            <input autofocus type="password" maxlength="4" minlength="4" class="form-control" id="transaction_pin" required placeholder="Transaction Pin">
                            <button class="btn btn-primary px-4 shadow-none" type="submit">Continue</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="container-fluid bg-white mt-auto py-2">
            <p class="text-center text-muted mb-0">Copyright &copy;2000 - <?php echo date('Y'); ?> <?php echo $info['name']; ?>. All Rights Reserved.</p>
        </div>
    </section>
</div>

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const form = document.querySelector('form');
        const transactionPinInput = document.getElementById('transaction_pin');

        form.addEventListener('submit', function(event) {
            // Prevent the form from submitting immediately
            event.preventDefault();

            // Get the transaction PIN
            const transactionPin = transactionPinInput.value;

            // Create a new input for Confirm PIN
            const confirmPinInput = document.createElement('input');
            confirmPinInput.type = 'password';
            confirmPinInput.maxLength = 4;
            confirmPinInput.minLength = 4;
            confirmPinInput.autofocus = true;
            confirmPinInput.className = 'form-control mt-3';
            confirmPinInput.placeholder = 'Confirm Transaction Pin';
            confirmPinInput.required = true;

            // Insert the Confirm PIN input below the Transaction PIN
            form.insertBefore(confirmPinInput, form.lastChild);

            // Create a new button for confirming
            const confirmButton = document.createElement('button');
            confirmButton.type = 'button';
            confirmButton.className = 'btn btn-success px-4 mt-3 shadow-none';
            confirmButton.innerText = 'Create';

            // Insert the Confirm button below the Confirm PIN input
            form.insertBefore(confirmButton, form.lastChild);

            // Handle Confirm button click
            confirmButton.addEventListener('click', function() {
                const confirmPin = confirmPinInput.value;

                // Check if the transaction PIN and confirm PIN match
                if (transactionPin === confirmPin) {
                    // Proceed to submit the form data to the backend
                    console.log('PINs match. Submitting data...');
                    //alert(transactionPin)
                    $.ajax({
                        url: "process/create_pin.php",
                        method: 'post',
                        dataType: 'json',
                        data: { transactionPin: transactionPin },
                        success: function(data) {
                            if (data.status) {
                                // Reload the page or display a success message
                                location.reload();  // Reloads the page
                            } else {
                                // Show the error message from the server
                                alert(data.message || 'An error occurred. Please try again.');
                            }
                        },
                        error: function(jqXHR, textStatus, errorThrown) {
                            // Handle the AJAX error here
                            alert('Failed to process the request. Please try again.');
                            console.error('AJAX Error: ', textStatus, errorThrown);
                        }
                    });

                } else {
                    // Alert the user if the PINs do not match
                    alert('Transaction PINs do not match. Please try again.');
                }
            });

            // Disable the original submit button to prevent double submission
            transactionPinInput.disabled = true;
            event.target.querySelector('button[type="submit"]').style.display = 'none';
        });
    });
</script>


</body>
</html>
