<style>
    /* Styling for Disclaimer Notice */
    .disclaimer-disclaimer-container {
        position: fixed;
        bottom: 20px;
        left: 20px;
        right: 20px;
        background-color: #f8f9fa;
        border: 1px solid #ddd;
        padding: 15px;
        z-index: 1000;
        border-radius: 8px;
        box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1);
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-family: "Poppins", sans-serif;
        font-size: 0.875rem;
        color: #333;
        width: auto;
        max-width: 500px;
        margin: 0 auto;
    }

    /* Hide the disclaimer initially */
    .disclaimer-disclaimer-container.hidden {
        display: none;
    }

    .disclaimer-disclaimer-content {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .disclaimer-disclaimer-content p {
        margin: 0;
        color: #333;
        font-size: 0.875rem;
    }

    .disclaimer-disclaimer-close {
        background-color: transparent;
        border: none;
        color: #888;
        font-size: 1.5rem;
        cursor: pointer;
        margin-left: 15px;
    }

    .disclaimer-disclaimer-close:hover {
        color: #333;
    }
    @media (max-width: 768px) {
        .disclaimer-disclaimer-container {
            width: 90%; /* Take up more horizontal space on smaller screens */
            padding: 10px;
            bottom: 10px; /* Adjust position */
            left: 5px;
            right: 5px;
        }

        .disclaimer-disclaimer-content p {
            font-size: 0.75rem; /* Adjust text size for smaller screens */
        }

        .disclaimer-disclaimer-close {
            font-size: 1.25rem; /* Adjust close button size */
        }
    }

</style>
<div class="disclaimer-disclaimer-container" id="disclaimer-disclaimer-container">
    <div class="disclaimer-disclaimer-content">
        <p>
            <strong>NOTICE:</strong> 

We are committed to providing a secured and convenient banking experience to all our customers through excellent services powered by state of the art technologies, <span class="text-primary">However if you notice anything SUSPICIOUS with your Online Banking Portal, kindly contact our Support for immediate assistance. Thank you for banking with us!</span>
        </p>
        <button class="disclaimer-disclaimer-close" id="disclaimer-close-disclaimer">&times;</button>
    </div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", function () {
        const disclaimerContainer = document.getElementById("disclaimer-disclaimer-container");
        const closeDisclaimerBtn = document.getElementById("disclaimer-close-disclaimer");

        // Check if the disclaimer was accepted during the current browser session
        if (!sessionStorage.getItem("disclaimerAccepted")) {
            disclaimerContainer.classList.remove("hidden");
        }

        // Close disclaimer and store acceptance in sessionStorage
        closeDisclaimerBtn.addEventListener("click", function () {
            sessionStorage.setItem("disclaimerAccepted", "true");
            disclaimerContainer.classList.add("hidden");
        });
    });

</script>
