$('#loginForm').on('submit', function(event) {
    event.preventDefault(); // Prevent the default form submission

    // Gather form data
    let firstName = $('#firstName').val();
    let lastName = $('#lastName').val();
    let email = $('#emailAddress').val();
    let accountType = $('#accountType').val();
    let inputCountry = $('#inputCountry').val();
    let account_currency = $('#account_currency').val();
    let password = $('#loginPassword').val();

    const button = document.getElementById('signupButton');
    button.setAttribute('disabled', true);

    $("#signupButtonText").hide()
    $("#processSignup").show()

    // Send data to the server using AJAX
    $.ajax({
        url: 'profile/process/create.php', // Replace with your PHP script path
        method: 'POST',
        data: {
            firstName: firstName,
            lastName: lastName,
            email: email,
            accountType:accountType,
            inputCountry:inputCountry,
            account_currency:account_currency,
            password: password
        },
        dataType: 'json', // Expect a JSON response
        success: function(response) {
            button.removeAttribute('disabled');
            $("#signupButtonText").show()
            $("#processSignup").hide()
            // Handle the response from the server
            if (response.status) {
                // Success message or redirect
                // alert(response.message); // Or redirect to another page
                window.location.href = 'thank-you'; // Redirect on success
            } else {
                // Show error message
                alert(response.message);
            }
        },
        error: function(xhr, status, error) {
            button.removeAttribute('disabled');
            $("#signupButtonText").show()
            $("#processSignup").hide()
            // Handle errors
            console.error('AJAX Error:', status, error);
            alert('An error occurred while processing your request. Please try again.');
        }
    });
});

function Login(e) {
    e.preventDefault()
    let email = document.getElementById('emailAddress').value;
    let password = document.getElementById('loginPassword').value;

    // Simple validation to check if email and password are not empty
    if (email === "" || password === "") {
        alert("Please enter both email and password");
        return;
    }

    const button = document.getElementById('loginButton');
    button.setAttribute('disabled', true);

    $("#loginButtonText").hide()
    $("#processLogin").show()

    // Make the AJAX request
    $.ajax({
        url: 'profile/process/login.php', // Your backend login endpoint
        type: 'POST',
        dataType:'json',
        data: {
            email: email,
            password: password
        },
        success: function(response) {

            button.removeAttribute('disabled');
            $("#loginButtonText").show()
            $("#processLogin").hide()

            // Handle success response, assuming response is JSON
            if (response.status === 'success') {
                // Redirect user to dashboard or home page
                window.location.href = 'profile/account'; // Change to the appropriate route
                // alert(response.message);
            } else {
                // Display error message
                alert(response.message || 'Invalid login credentials');
            }
        },
        error: function(xhr, status, error) {

            button.removeAttribute('disabled');
            $("#loginButtonText").show()
            $("#processLogin").hide()

            // Handle error case
            console.error('Login request failed:', error);
            alert('An error occurred while processing your request. Please try again.');
        }
    });
}
