<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$profileAccount = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/daterangepicker/daterangepicker.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->

                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <div class="header-column justify-content-end">
                    <!-- My Profile
                    ============================== -->
                    <?php
                    include "drop-nav.php";
                    ?>
                    <!-- My Profile end -->
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary Menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary Menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Personal Details
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">KYC <a href="#upload" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-cloud-upload-alt"></i></span>Upload</a></h3>
                        <hr class="mx-n4 mb-4">
                        <?php

                        if(count($profile['documents'])<1){
                            ?>

                            <div class="text-center py-4">
                                <div class="text-17 text-light my-3"><i class="fas fa-pager"></i></div>
                                <h5 class="text-muted">No Document found.</h5>
                                <p class="text-muted">Your recent history appears here...</p>
                            </div>

                        <?php

                        }else{

                        foreach ($profile['documents'] as $document){
                        ?>
                        <div class="transaction-item px-4 py-3">
                            <div class="row align-items-center flex-row">
                                <div class="col col-sm-7">
                                    <span class="d-block text-4"><?php echo $helper->formatDocumentType($document['type']); ?></span>
                                    <span class="text-muted">Size: <?php echo $helper->formatFileSize($document['doc_size']); ?> | <?php echo $helper->formatDate($document['created_at']); ?></span>
                                </div>
                                <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3">
                                    <span class="fas fa-cloud-upload-alt" title=""></span>
                                </div>
                                <div class="col-3 col-sm-2 text-end text-4">
                                    <?php echo $helper->docStatus($document['status']); ?>

                                </div>
                            </div>
                        </div>
                        <?php
                        }
                        }
                        ?>
                    </div>


                    <div id="upload" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Upload KYC</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="accountSettings" method="post" enctype="multipart/form-data">
                                        <div class="row g-3">
                                            <div class="col-12">
                                                <label for="kyc" class="form-label">Select Document Type</label>
                                                <select class="form-select" id="kyc_type" name="kyc_type" required>
                                                    <option value="" disabled selected>Select Document Type</option>
                                                    <option value="international-passport">International Passport</option>
                                                    <option value="national-id">National ID Card</option>
                                                    <option value="driver-license">Driver's License</option>
                                                    <option value="voter-id">Voter ID</option>
                                                    <option value="residence-permit">Residence Permit</option>
                                                    <option value="tax-identification">Tax Identification Number (TIN)</option>
                                                    <option value="social-security">Social Security Card</option>
                                                    <option value="utility-bill">Utility Bill</option>
                                                </select>
                                            </div>

                                            <div class="col-12">
                                                <label for="document-upload" class="form-label">Select Document</label>
                                                <!-- Hidden file input -->
                                                <input type="file" id="document-upload" name="document" accept="image/*,application/pdf" style="display: none;" required>
                                                <!-- Custom button to trigger file input -->
                                                <button type="button" id="upload-btn" class="btn btn-secondary w-100">Choose File</button>
                                                <!-- Display selected file name or preview -->
                                                <div id="file-preview" class="mt-3 text-center">
                                                    <span id="file-name">No file selected</span>
                                                </div>
                                            </div>

                                            <div class="col-12 d-grid mt-4">
                                                <button class="btn btn-primary" type="submit">Upload</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>



<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/daterangepicker/moment.min.js"></script>
<script src="vendor/daterangepicker/daterangepicker.js"></script>
<script>
    $(function() {
        'use strict';
        // Birth Date
        $('#birthDate').daterangepicker({
            singleDatePicker: true,
            showDropdowns: true,
            autoUpdateInput: false,
            maxDate: moment().add(0, 'days'),
        }, function(chosen_date) {
            $('#birthDate').val(chosen_date.format('MM-DD-YYYY'));
        });
    });


    document.addEventListener("DOMContentLoaded", function () {
        const fileInput = document.getElementById("document-upload");
        const uploadBtn = document.getElementById("upload-btn");
        const fileNameDisplay = document.getElementById("file-name");
        const form = document.getElementById("accountSettings");

        // Trigger file input when the button is clicked
        uploadBtn.addEventListener("click", function () {
            fileInput.click();
        });

        // Update file preview when a file is selected
        fileInput.addEventListener("change", function () {
            const file = fileInput.files[0];
            if (file) {
                fileNameDisplay.textContent = file.name;

                // Optional: Display image preview for image files
                if (file.type.startsWith("image/")) {
                    const reader = new FileReader();
                    reader.onload = function (e) {
                        fileNameDisplay.innerHTML = `<img src="${e.target.result}" alt="Selected Image" style="max-width: 100%; width: 200px; height: 200px; object-fit: cover; border-radius: 8px;">`;
                    };
                    reader.readAsDataURL(file);
                }
            } else {
                fileNameDisplay.textContent = "No file selected";
            }
        });

        // Handle form submission with AJAX
        form.addEventListener("submit", function (event) {
            event.preventDefault(); // Prevent default form submission

            const formData = new FormData();
            formData.append("kyc_type", document.getElementById("kyc_type").value);
            formData.append("document", fileInput.files[0]);

            fetch("process/insert_document.php", {
                method: "POST",
                body: formData,
            })
                .then(response => response.json())
                .then(data => {
                    if (data.status) {
                        alert("Document uploaded successfully!");
                        location.reload()
                    } else {
                        alert(data.message || "Error uploading document");
                    }
                })
                .catch(error => {
                    console.error("Error:", error);
                    alert("An error occurred during the upload.");
                });
        });
    });

</script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
</body>
</html>
