<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">
    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Notifications
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded py-4 mb-4">
                        <h3 class="text-5 fw-400 px-4 mb-4">Notifications</h3>
                        <hr class="mb-0">

                        <!-- Notifications List
                        =============================== -->
                        <div class="notifications-list">
                            <?php
                            $notifications = $helper->notificationsList($_SESSION['profile']);

                            if(count($notifications)<1){
                                ?>

                                <div class="text-center py-4">
                                    <div class="text-17 text-light my-3"><i class="fas fa-box-open"></i></div>
                                    <h5 class="text-muted">No Data.</h5>
                                    <p class="text-muted">Your messages appears here...</p>
                                </div>

                            <?php
                            }else{
                            foreach ($notifications as $notification){
//                                print_r($notification);
                                //data-bs-toggle="modal" data-bs-target="#notifications-detail"
                                ?>
                                <div class="notifications-item <?php echo $notification['status']; ?> px-4 py-3" onclick="notificationDetails(<?php echo htmlspecialchars(json_encode($notification), ENT_QUOTES, 'UTF-8'); ?>)" >
                                    <div class="row align-items-center flex-row">
                                        <div class="col-2 col-sm-1 text-center text-8 icon-bell"><i class="far fa-bell"></i></div>
                                        <div class="col col-sm-10">
                                            <h4 class="text-3 mb-1"><?php echo $notification['message_title']; ?></h4>
<!--                                            <span class="text-muted">Last Tuesday at 23:00</span> </div>-->
                                            <span class="text-muted"><?php echo $notification['notification_date']; ?></span> </div>
                                        <div class="col-1 text-end text-muted"><i class="fas fa-chevron-right"></i></div>
                                    </div>
                                </div>
                            <?php
                            }
                            }
                            ?>

                            <?php
                            if(count($notifications)>0){
                                ?>
                                <div class="text-center mt-4"> <a class="btn btn-sm btn-outline-secondary shadow-none" href="javascript:void(0)">Load More</a> </div>
                            <?php
                            }
                            ?>

                        </div>
                        <!-- Notifications List End -->

                        <!-- Notifications Item Details Modal
                        =========================================== -->
                        <div id="notifications-detail" class="modal fade" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title d-flex align-items-center fw-400"><span class="text-6 me-2"><i class="far fa-bell"></i></span> Notifications Details</h5>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body p-4 text-3">
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h4 class="text-5" id="messageTitle"></h4>
                                                <p class="text-muted" id="notificationsDate"></p>
                                                <p class="fw-500">Dear <?php echo $profile['firstName']; ?>,</p>

                                                <p id="notificationsDetails"></p>


                                                <p>Thank You,<br>
                                                    <?php echo $info['name']; ?> Team</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Notifications Item Details Modal End -->

                    </div>
                    <!-- Notifications End -->

                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
<script>
    function notificationDetails(data) {
        //console.log(data)
        $("#messageTitle").html(data.message_title)
        $("#notificationsDate").html(data.notification_date)
        $("#notificationsDetails").html(data.message)
        $("#notifications-detail").modal('show')

    //     $.ajax({
    //         url: 'process/notification_details.php', // Update with your actual API endpoint
    //         type: 'GET',
    //         dataType: 'json',
    //         data: { id: id }, // Ensure 'id' is being sent
    //         success: function(response) {
    //             console.log('Response:', response);
    //         },
    //         error: function(xhr, status, error) {
    //             console.log('Error fetching transaction details:', error);
    //             // alert('An error occurred while fetching transaction details.');
    //         }
    // })
    }
</script>
</body>
</html>
