<?php
// Include your database connection and other necessary files here
require_once "../includes/init.php";

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the form data
    $firstName = $_POST['firstName'] ?? '';
    $lastName = $_POST['lastName'] ?? '';
    $email = $_POST['email'] ?? '';
    $accountType = $_POST['accountType'] ?? '';
    $inputCountry = $_POST['inputCountry'] ?? '';
    $account_currency = $_POST['account_currency'] ?? '';
    $password = $_POST['password'] ?? '';

    // Check if any required parameter is empty
    if (empty($firstName) || empty($lastName) || empty($email) || empty($accountType) || empty($password) || empty($inputCountry) || empty($account_currency)) {
        $response = array("status" => false, "message" => "Please fill all the required fields.");
        header('Content-Type: application/json');
        echo json_encode($response);
        exit();
    }

    // Generate account number
//    $accountNumber = $helper->generateNumber(10, 'number');
    $accountNumber = $helper->generateAccountNumber($inputCountry);

    // Create account
    $response = $helper->createAccount($firstName, $lastName, $email, $password, $accountNumber, $accountType, $inputCountry,$account_currency);

    // Return a JSON response
    header('Content-Type: application/json');
    echo json_encode($response);
    exit();
}
