<?php
require_once "../includes/init.php";
require_once "../includes/isLogged.php";

if($_SERVER['REQUEST_METHOD'] === 'POST' AND isset($_SESSION['profile'])){

    $wallet = $helper->getPrimaryWallet($profile['wallets']);

    if($wallet['account_status'] =='Active') {

        // Extract and sanitize input
        $accountName = isset($_POST['accountName']) ? trim($_POST['accountName']) : '';
        $amount = isset($_POST['amount']) ? trim($_POST['amount']) : '';
        $bankName = isset($_POST['bankName']) ? trim($_POST['bankName']) : '';
        $purposeOfTransfer = isset($_POST['purposeOfTransfer']) ? trim($_POST['purposeOfTransfer']) : '';
        $transferCode = isset($_POST['transferCode']) ? trim($_POST['transferCode']) : '';
        $accountNumber = isset($_POST['accountNumber']) ? trim($_POST['accountNumber']) : '';

        // Check if any of the required fields are empty
        if (empty($accountName) || empty($amount) || empty($bankName) || empty($purposeOfTransfer) ||
            empty($transferCode) || empty($accountNumber)) {
            print json_encode(array(
                "status" => false,
                "message" => "All fields are required"
            ));
        } else {


            if ($wallet['balance'] < $amount) {

                echo json_encode(['status' => false, 'message' => 'Insufficient funds', "wallet" => $wallet['wallet']]);

            } else {

                $result = $helper->handleDomesticTransfer($accountName, $amount, $bankName, $purposeOfTransfer, $transferCode, $wallet['wallet'], $_SESSION['profile'], $accountNumber);

                print json_encode($result);

            }


        }

    }else{

        echo json_encode(['status' => false, 'message' => "This account number is ".$wallet['account_status']." and can't perform any transaction, please contact support team to look into it! "]);
    }
} else {
    print json_encode(array(
        "status" => false,
        "message" => "Missing parameters or invalid request received"
    ));
}
