<?php
require_once "../includes/init.php";
require_once "../includes/isLogged.php";

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_SESSION['profile'])) {
    $userId = $_SESSION['profile'];
    $kycType = $_POST['kyc_type'] ?? '';
    $file = $_FILES['document'] ?? null;

    // Check if file and type are set
    if (!$file || !$kycType) {
        echo json_encode(["status" => false, "message" => "Missing parameters"]);
        exit;
    }

    $fileData = basename($_FILES["document"]["name"]);
    $fileType = strtolower(pathinfo($fileData, PATHINFO_EXTENSION));

    // Validate that file is an image or PDF
    $allowedMimeTypes = ['image/jpeg', 'image/png', 'application/pdf'];
    if (!in_array($file['type'], $allowedMimeTypes)) {
        echo json_encode(["status" => false, "message" => "Invalid file type"]);
        exit;
    }

    // Check if it's a real image for image files
    if (strpos($file['type'], 'image/') === 0 && !getimagesize($file['tmp_name'])) {
        echo json_encode(["status" => false, "message" => "File is not a valid image"]);
        exit;
    }

    // Move file to the desired directory (e.g., "uploads/")
    $uploadDir = "../images/documents/";
    $fileName = uniqid() . "_" . basename($file["name"]);
    $insertFileName = uniqid() .'_'.rand(0000,9999).'.'.$fileType;
    $targetFile = $uploadDir . $insertFileName;

    if (move_uploaded_file($file["tmp_name"], $targetFile)) {
        // File info for database insertion
        $fileSize = $file['size'];
        $result = $helper->insertDocument($userId, $insertFileName, $fileSize, $kycType);

        echo json_encode($result);
    } else {
        echo json_encode(["status" => false, "message" => "Failed to upload file"]);
    }
} else {
    echo json_encode(["status" => false, "message" => "Missing parameters or invalid request received"]);
}
