<?php
require_once "../includes/init.php";
require_once "../includes/isLogged.php";

if(isset($_SESSION['profile']) AND $_SERVER['REQUEST_METHOD'] === 'POST') {

    $wallet = $helper->getPrimaryWallet($profile['wallets']);
    $senderEmail = $helper->getPrimaryEmail($profile['emails']);

    if($wallet['account_status'] =='Active') {

// Initialize variables
        $receiverAccount = $_POST['accountNumber'] ?? null;
        $receiverName = $_POST['accountName'] ?? null;
        $amount = $_POST['amount'] ?? null;
        $purposeOfTransfer = $_POST['purposeOfTransfer'] ?? null;
        $senderTransactionPINCode = $_POST['transferCode'] ?? null;
        $currency = $_POST['currencyType'] ?? null;
        $receiverId = $_POST['receiverId'] ?? null;

// Validate parameters
        $errors = [];

        if (empty($receiverAccount)) {
            $errors[] = 'Account number is required.';
        }
        if (empty($receiverName)) {
            $errors[] = 'Account name is required.';
        }
        if (empty($amount) || !is_numeric($amount) || $amount <= 0) {
            $errors[] = 'Valid amount is required.';
        }
        if (empty($purposeOfTransfer)) {
            $errors[] = 'Purpose of transfer is required.';
        }
        if (empty($senderTransactionPINCode)) {
            $errors[] = 'Transfer code is required.';
        }
        if (empty($currency)) {
            $errors[] = 'Currency type is required.';
        }

        if (empty($receiverId)) {
            $errors[] = 'invalid receiver, refresh and try again.';
        }

// If there are errors, return them as JSON
        if (!empty($errors)) {
            echo json_encode(['status' => false, 'message' => $errors]);
            exit; // Stop further execution
        }

        if ($wallet['balance'] < $amount) {

            echo json_encode(['status' => false, 'message' => 'Insufficient funds']);

        } else {

// Proceed with fund transfer if validation passes
            $result = $helper->transferFunds($receiverAccount, $currency, $receiverName, $amount, $purposeOfTransfer, $senderTransactionPINCode, $helper->getPrimaryWallet($profile['wallets'])['wallet_number'], $_SESSION['profile'], $receiverId,$senderEmail);

            if ($result['status']) {
                $_SESSION['receipt'] = $result['transaction_details'];
            }
// Return the result as JSON
            print json_encode($result);
        }

    }else{

        echo json_encode(['status' => false, 'message' => "This account is ".$wallet['account_status']." and can't perform any transaction, please contact support team to look into it "]);
    }

}else{
    echo json_encode(['status' => false, 'message' => 'Your session has expired']);
}
