<?php
require_once "../includes/init.php";
require_once "../includes/isLogged.php";

$accountNo = $helper->getPrimaryWallet($profile['wallets'])['wallet_number'];

if (isset($_FILES['profileImage'])) {
    // Step 1: Define target directory (move one step back and into images/avatars/)
    $targetDir = "../images/avatars/";

    // Step 2: Get the original file name and extension
    $fileName = basename($_FILES["profileImage"]["name"]);
    $fileType = strtolower(pathinfo($fileName, PATHINFO_EXTENSION));

    // Step 3: Check if the file is an actual image
    $check = getimagesize($_FILES["profileImage"]["tmp_name"]);
    if ($check === false) {
        print json_encode(array("status"=>false, "message"=>"File is not an image."));
        exit;
    }

    function formatDate($date) {
        // Convert the date string into a timestamp
        $timestamp = strtotime($date);

        // Format the timestamp into the desired format
        return date('D d M, Y', $timestamp);
    }

    // Alternatively, you can also check the MIME type manually for further safety
    $allowedTypes = ['jpg', 'jpeg', 'png'];
    if (!in_array($fileType, $allowedTypes)) {
        print json_encode(array("status"=>false, "message"=>"Only JPG, JPEG and PNG  files are allowed."));
        exit;
    }

    // Step 4: Create a new unique name or use the user ID (e.g., user1.jpg)
    $newFileName = $accountNo .'.jpg';  // Dynamic name based on account number

    // Step 5: Full path to move the file
    $targetFilePath = $targetDir . $newFileName;

    // Step 6: Move the uploaded file to the target directory
    if (move_uploaded_file($_FILES["profileImage"]["tmp_name"], $targetFilePath)) {
        // Save the filename to the database
        $result = $helper->saveAvatar($newFileName, $_SESSION['profile']);

        if($result){
            print json_encode(array("status"=>true, "message"=>"Avatar updated successfully"));
        }else{
            print json_encode(array("status"=>false, "message"=>"Oops, something went wrong, please try again"));
        }

    } else {
        print json_encode(array("status"=>false, "message"=>"Sorry, there was an error uploading your file."));
    }
}
?>
