<?php
require_once "includes/init.php";
session_start();
if(!isset($_SESSION['receipt'])){
    header("location: account");
}
//print_r($_SESSION['receipt']);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $info['name']; ?> Receipt - <?php echo $_SESSION['receipt']['transaction_id']; ?></title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f7f7f7;
            padding: 20px;
        }
        .receipt-container {
            width: 600px;
            margin: 0 auto;
            background-color: #fff;
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 5px;
        }
        .receipt-header {
            text-align: center;
            margin-bottom: 20px;
        }
        .receipt-header h1 {
            margin: 0;
            font-size: 24px;
            font-weight: bold;
        }
        .receipt-header img {
            width: 80px;
            margin-bottom: 10px;
        }
        .receipt-details {
            width: 100%;
            margin-bottom: 20px;
        }
        .receipt-details td {
            padding: 8px 0;
            vertical-align: top;
        }
        .receipt-details .label {
            font-weight: bold;
            width: 200px;
        }
        .receipt-footer {
            text-align: center;
            margin-top: 30px;
            padding-top: 10px;
            border-top: 1px solid #ddd;
        }
        .signature {
            margin-top: 40px;
            display: flex;
            justify-content: space-between;
        }
        .signature div {
            width: 45%;
            text-align: center;
        }
        .signature-line img {
            width: 100px;
            height: 70px;
        }
        .signature-line hr {
            width: 80%;
        }
        .signature-line p {
            margin: 0;
            font-size: 14px;
        }
        .stamp-container {
            position: relative;
            width: 150px;
            height: 130px;
            border: 5px solid #0518e0;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            background-color: white;
        }
        .stamp-text {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 104px !important;
            height: 111px;
            border-radius: 50%;
            border: 2px dashed #0518e0;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .stamp-text p {
            font-size: 13px;
            font-weight: bold;
            /*margin: 0;*/
            letter-spacing: 2px;
            color: #03d720;
            margin-top: 20px;
        }
        .stamp-outer-text {
            position: absolute;
            width: 100%;
            text-align: center;
            top: 10px;
            font-weight: bold;
            letter-spacing: 1px;
            color: #333;
        }
        .stamp-outer-text:before {
            content: "<?php echo $info['name']; ?>";
            display: block;
            font-size: 13px;
            margin-top: 15px;
            font-weight: bold;
        }
        .stamp-outer-text:after {
            content: "Certified";
            display: block;
            font-size: 9px;
            margin-top: 5px;
        }
        .btn-print {
            background-color: #28a745;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 20px;
            display: block;
            width: 100%;
            font-size: 16px;
        }
        .btn-print:hover {
            background-color: #218838;
        }
    </style>
</head>
<body>

<div class="receipt-container" id="receipt-content">
    <div class="receipt-header">
        <img src="images/logo.png" alt="Bank Logo">
<!--        <h1>--><?php //echo $_SESSION['receipt']['bank_name']; ?><!--</h1>-->
        <p><strong>Transaction Approved</strong></p>
    </div>

    <table class="receipt-details">
        <tr>
            <td class="label">Transaction ID:</td>
            <td><?php echo $_SESSION['receipt']['transaction_id']; ?></td>
        </tr>
        <tr>
            <td class="label">Date:</td>
            <td><?php echo $_SESSION['receipt']['date']; ?></td>
        </tr>
        <tr>
            <td class="label">Sender Name:</td>
            <td><?php echo $_SESSION['receipt']['sender']['name']; ?></td>
        </tr>
        <tr>
            <td class="label">Sender Account Number:</td>
            <td><?php echo $_SESSION['receipt']['sender']['account_number']; ?></td>
        </tr>
        <tr>
            <td class="label">Receiver Name:</td>
            <td><?php echo $_SESSION['receipt']['receiver']['name']; ?></td>
        </tr>
        <tr>
            <td class="label">Receiver Account Number:</td>
            <td><?php echo $_SESSION['receipt']['receiver']['account_number']; ?></td>
        </tr>
        <tr>
            <td class="label">Amount Transferred:</td>
            <td style="text-transform: uppercase"><?php echo $_SESSION['receipt']['amount']; ?> <?php echo $_SESSION['receipt']['currency']; ?></td>
        </tr>
        <tr>
            <td class="label">Currency:</td>
            <td style="text-transform: uppercase"><?php echo $_SESSION['receipt']['currency']; ?></td>
        </tr>
        <tr>
            <td class="label">Purpose of Transfer:</td>
            <td><?php echo $_SESSION['receipt']['purpose_of_transfer']; ?></td>
        </tr>
        <tr>
            <td class="label">Bank Name:</td>
            <td><?php echo $_SESSION['receipt']['bank_name']; ?></td>
        </tr>
    </table>

    <div class="signature">
        <div>
            <div class="signature-line">
                <img src="images/signature.png" alt="Signature">
                <hr>
                <p>Authorized Signature</p>
            </div>
        </div>
        <div style="align-self: flex-end">
<!--            <p>Bank Stamp</p>-->
            <div class="stamp-container">
                <div class="stamp-outer-text"></div>
                <div class="stamp-text">
                    <p>Approved</p>
                </div>
                <div style="margin-top: 30px">
                    <img class="signature" src="images/signature.png" style="width: 80px;height: auto;" alt="Signature">
                </div>
            </div>
        </div>
    </div>

    <div class="receipt-footer">
        <p>Thank you for using <?php echo $info['name']; ?></p>
    </div>

    <button class="btn-print" onclick="printReceipt()">Print Receipt</button>
    <div style="padding-left: 40%;padding-right: 40%">
        <p onclick="window.location.href='account'" style="text-align: center;cursor: pointer">Close</p>
    </div>
</div>

<script>
    function printReceipt() {
        const content = document.getElementById('receipt-content').innerHTML;
        const printWindow = window.open('', '', 'width=800,height=600');
        printWindow.document.write('<html><head><title>Print Receipt</title>');
        printWindow.document.write('<style>@media print {.btn-print { display: none; }}</style>');
        printWindow.document.write('</head><body>');
        printWindow.document.write(content);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.focus();
        printWindow.print();
        printWindow.close();
    }
</script>

</body>
</html>
