<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$send= true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap-select/css/bootstrap-select.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/currency-flags/css/currency-flags.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">
    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php"
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php"
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary menu
    ============================================= -->
    <div class="bg-primary">
        <div class="container d-flex justify-content-center">
            <ul class="nav nav-pills alternate nav-lg border-bottom-0">
                <li class="nav-item"> <a class="nav-link" href="./send-money">Send Money</a></li>
                <li class="nav-item"> <a class="nav-link active" href="javascript:void(0)">Receive Money</a></li>
            </ul>
        </div>
    </div>
    <!-- Secondary menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">

            <!-- Steps Progress bar -->

            <h2 class="fw-400 text-center mt-3">Receive Money</h2>
            <p class="lead text-center mb-4">You can use the below details to receive money</p>
            <div class="row">
                <div class="col-md-9 col-lg-7 col-xl-6 mx-auto">
                    <div class="bg-white shadow-sm rounded p-3 pt-sm-4 pb-sm-5 px-sm-5 mb-4">
                        <!-- Request Money Confirm Details
                        ============================================= -->
                        <h3 class="text-5 fw-400 mb-3 mb-sm-4">Account Information</h3>
                        <hr class="mx-n3 mx-sm-n5 mb-4">
                        <div class="row g-3 align-items-center">
                            <p class="col-sm-4 text-muted text-sm-end mb-0 mb-sm-3">Account Name:</p>
                            <p class="col-sm-8 text-3 text-capitalize"><?php echo $profile['firstName']. ' '.$profile['lastName']; ?></p>
                        </div>
                        <div class="row g-3 align-items-center">
                            <p class="col-sm-4 text-muted text-sm-end mb-0 mb-sm-3">Account Number:</p>
                            <p class="col-sm-8 text-3">
                                <?php echo $helper->getPrimaryWallet($profile['wallets'])['wallet_number']; ?>
                            </p>
                        </div>

                        <div class="row g-3 align-items-baseline">
                            <p class="col-sm-4 text-muted text-sm-end mb-0 mb-sm-3">Description:</p>
                            <p class="col-sm-8 text-3"></p>
                        </div>
                        <form id="form-send-money" method="post">
                            <div class="d-grid"><button class="btn btn-primary">Close</button></div>
                        </form>
                        <!-- Request Money Confirm Details end -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>

<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/bootstrap-select/js/bootstrap-select.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
</body>
</html>
