<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$notificationSettings = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">
    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Notifications
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400">Notifications</h3>
                        <p class="text-muted">Select subscriptions to be delivered to <span class="text-body"><?php print $helper->getPrimaryEmail($profile['emails']); ?></span></p>
                        <hr class="mx-n4">
                        <form id="notifications" method="post">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" checked id="announcements" name="notifications" type="checkbox">
                                <label class="form-check-label text-3" for="announcements">Announcements</label>
                                <p class="text-muted lh-base mt-2 mb-0">Be the first to know about new features and other news.</p>
                            </div>
                            <hr class="mx-n4">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" checked id="sendPayment" name="notifications" type="checkbox">
                                <label class="form-check-label text-3" for="sendPayment">Send payment</label>
                                <p class="text-muted lh-base mt-2 mb-0">Send an email when I send a payment.</p>
                            </div>

                            <hr class="mx-n4">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" checked id="specialOffers" name="notifications" type="checkbox">
                                <label class="form-check-label text-3" for="specialOffers">Special Offers</label>
                                <p class="text-muted lh-base mt-2 mb-0">Receive last-minute offers from us.</p>
                            </div>

                            <hr class="mx-n4">
                            <button class="btn btn-primary mt-1" type="submit">Save Changes</button>
                        </form>
                    </div>
                    <!-- Notifications End -->

                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
</body>
</html>
