<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$methods = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Bank Accounts
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 mb-4">My <?php echo $info['name']; ?> Account(s) <span class="text-muted text-4"></span></h3>
                        <hr class="mb-4 mx-n4">
                        <div class="row g-3">
                            <?php
                            //$bankAccounts = $helper->getOtherBanks($_SESSION['profile']);
                            foreach ($profile['wallets'] as $account) {
//                                print_r($account);
                                ?>
                                <div class="col-12 col-md-6">
                                    <div class="account-card account-card-primary2 text-white rounded">
                                        <div class="row g-0">
                                            <div class="col-3 d-flex justify-content-center p-3">
                                                <div class="my-auto text-center"> <span class="text-13"><i class="fas fa-university"></i></span>
                                                    <?php
                                                    if($account['primary_wallet'] ==1){
                                                        ?>
                                                        <p class="badge bg-warning text-dark text-0 fw-500 rounded-pill px-2 mb-0">Primary</p>
                                                    <?php
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                            <div class="col-9 border-start">
                                                <div class="py-4 my-2 ps-4">
                                                    <p class="text-4 fw-500 mb-1"><?php echo $profile['firstName'].' '.$profile['lastName'];?></p>
                                                    <p class="text-4 opacity-9 mb-1"><?php echo $helper->maskAccountNumber($account['wallet_number']);?></p>
                                                    <p class="m-0 text-uppercase"><?php echo $helper->getWalletSymbol($account['wallet'])?> <?php echo number_format($account['balance']);?></p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="account-card-overlay rounded">
                                            <?php
                                            if($account['primary_wallet'] !=1){
                                                ?>
                                                <a href="javascript:void(0)" onclick="makeAccountPrimary(<?php echo $account['wallet_id'];?>)" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Make Primary</a>
                                                <?php
                                            }
                                            ?>

                                        </div>
                                    </div>
                                </div>
                                <?php
                            }
                            ?>

                            <div class="col-12 col-md-6"> <a href="" data-bs-target="#additional-account" data-bs-toggle="modal" class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                    <p class="w-100 text-center lh-base m-0"> <span class="text-3"><i class="fas fa-plus-circle"></i></span> <span class="d-block text-body text-3">Open additional Account</span> </p>
                                </a> </div>
                        </div>
                    </div>


                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 mb-4">Beneficiary Account(s) <span class="text-muted text-4">(Saved)</span></h3>
                        <hr class="mb-4 mx-n4">
                        <div class="row g-3">
                            <?php
                            $bankAccounts = $helper->getOtherBanks($_SESSION['profile']);
                            foreach ($bankAccounts as $account) {
                               ?>
                                <div class="col-12 col-md-6">
                                    <div class="account-card account-card-primary text-white rounded">
                                        <div class="row g-0">
<!--                                            <div class="col-3 d-flex justify-content-center p-3">-->
<!--                                                <div class="my-auto text-center"> <span class="text-13"><i class="fas fa-university"></i></span>-->
<!--                                                    <p class="badge bg-warning text-dark text-0 fw-500 rounded-pill px-2 mb-0">Primary</p>-->
<!--                                                </div>-->
<!--                                            </div>-->
                                            <div class="col-9 border-start">
                                                <div class="py-4 my-2 ps-4">
                                                    <p class="text-4 fw-500 mb-1"><?php echo $account['account_name'];?></p>
                                                    <p class="text-4 opacity-9 mb-1"><?php echo $helper->maskAccountNumber($account['account_number']);?></p>
                                                    <p class="m-0"><?php echo $account['status'];?> <span class="text-3"><i class="fas fa-check-circle"></i></span></p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="account-card-overlay rounded">
                                            <a href="javascript:void(0)"
                                               onclick="bankAccountDetails(<?php echo htmlspecialchars(json_encode($account), ENT_QUOTES, 'UTF-8'); ?>)"
                                               data-bs-target="#bank-account-details"
                                               data-bs-toggle="modal"
                                               class="text-light btn-link mx-2">
                                                <span class="me-1"><i class="fas fa-share"></i></span>More Details
                                            </a>

                                            <a href="#" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Delete</a>
                                        </div>
                                    </div>
                                </div>
                            <?php
                            }
                            ?>

                            <div class="col-12 col-md-6"> <a href="" data-bs-target="#add-new-bank-account" data-bs-toggle="modal" class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                    <p class="w-100 text-center lh-base m-0"> <span class="text-3"><i class="fas fa-plus-circle"></i></span> <span class="d-block text-body text-3">Add New Beneficiary Account</span> </p>
                                </a> </div>
                        </div>
                    </div>
                    <!-- Edit Bank Account Details Modal
                    ======================================== -->
                    <div id="bank-account-details" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
                            <div class="modal-content">
                                <div class="modal-body">
                                    <div class="row g-0">
                                        <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-start py-4">
                                            <div class="my-auto text-center">
                                                <div class="text-17 text-white mb-3"><i class="fas fa-university"></i></div>
                                                <h3 class="text-6 text-white my-3" id="beneficiaryBank">.....</h3>
                                                <div class="text-4 text-white my-4" id="beneficiaryAccountNumber">XXX-XXX</div>
<!--                                                <p class="badge bg-light text-dark text-0 fw-500 rounded-pill px-2 mb-0" id="isPrimary" style="display: none">Primary</p>-->
                                            </div>
                                        </div>
                                        <div class="col-sm-7">
                                            <h5 class="text-5 fw-400 m-3">Beneficiary Account Details
                                                <button type="button" class="btn-close text-2 float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </h5>
                                            <hr>
                                            <div class="px-3 mb-3">
                                                <ul class="list-unstyled">
                                                    <li class="fw-500">Account Type:</li>
                                                    <li class="text-muted" id="beneficiaryAccountType">---</li>
                                                </ul>
                                                <ul class="list-unstyled">
                                                    <li class="fw-500">Account Name:</li>
                                                    <li class="text-muted" id="beneficiaryAccountName">....</li>
                                                </ul>
                                                <ul class="list-unstyled">
                                                    <li class="fw-500">SWIFT Code:</li>
                                                    <li class="text-muted" id="beneficiarySwift_code"></li>
                                                </ul>
                                                <ul class="list-unstyled">
                                                    <li class="fw-500">Bank Country:</li>
                                                    <li class="text-muted" id="beneficiaryCountryBank"></li>
                                                </ul>
                                                <ul class="list-unstyled">
                                                    <li class="fw-500">Status:</li>
                                                    <li class="text-muted"><span id="savedStatus"></span> <span class="text-success text-3"><i class="fas fa-check-circle"></i></span></li>
                                                </ul>
                                                <div class="d-grid"><a href="#" class="btn btn-sm btn-outline-danger shadow-none"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Delete Account</a></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Add New Bank Account Details Modal
                    ======================================== -->
                    <div id="add-new-bank-account" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Add New Beneficiary</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="addbankaccount" method="post">
                                        <div class="mb-3">
                                            <label for="inputCountry" class="form-label">Bank Country</label>
                                            <?php
                                            include "../countries.php";
                                            ?>
                                        </div>
                                        <div class="mb-3">
                                            <label for="bankName" class="form-label">Bank Name</label>
                                            <input type="text" class="form-control" id="bankName" name="bankName" required placeholder="e.g. JPMorgan Chase">
                                        </div>
                                        <div class="mb-3">
                                            <label for="accountName" class="form-label">Account Name</label>
                                            <input type="text" class="form-control" id="accountName" name="accountName" required placeholder="e.g. Smith Rhodes">
                                        </div>
                                        <div class="mb-3">
                                            <label for="accountNumber" class="form-label">Account Number</label>
                                            <input type="text" class="form-control" id="accountNumber" name="accountNumber" required placeholder="e.g. 12346678900001">
                                        </div>
                                        <div class="mb-3">
                                            <label for="ifscCode" class="form-label">NEFT IFSC Code</label>
                                            <input type="text" class="form-control" id="ifscCode" name="ifscCode" required placeholder="e.g. ABCDE12345">
                                        </div>
                                        <div class="mb-3">
                                            <label for="swiftCode" class="form-label">SWIFT/BIC Code</label>
                                            <input type="text" class="form-control" id="swiftCode" name="swiftCode" required placeholder="e.g. ABCDUS33">
                                        </div>
                                        <div class="mb-3">
                                            <label for="bankAddress" class="form-label">Bank Address</label>
                                            <input type="text" class="form-control" id="bankAddress" name="bankAddress" required placeholder="e.g. 123 Bank St, City, Country">
                                        </div>
                                        <div class="mb-3">
                                            <label for="accountType" class="form-label">Account Type</label>
                                            <select class="form-select" id="accountType" name="accountType" required>
                                                <option value="" disabled selected>Select account type</option>
                                                <option value="savings">Savings</option>
                                                <option value="checking">Checking</option>
                                                <option value="business">Business</option>
                                            </select>
                                        </div>
                                        <div class="form-check mb-3">
                                            <input class="form-check-input" id="remember-me" name="remember" type="checkbox" required>
                                            <label class="form-check-label" for="remember-me">I confirm the bank account details above</label>
                                        </div>
                                        <div class="d-grid">
                                            <button class="btn btn-primary" type="submit">Add Bank Account</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="additional-account" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Additional Account opening</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="additional-account" method="post">

                                        <?php
                                        print $helper->messageContaner('<strong>Please Note!</strong> You can not request to open an account currency you already have.', 'danger')
                                        ?>

                                        <div class="mb-3">
                                            <label for="accountCurrency" class="form-label">Account Currency</label>
                                            <select class="form-select" id="accountCurrency" name="accountCurrency" required>
                                                <option value="" disabled selected>Select account type</option>
                                                <option value="usd">USD</option>
                                                <option value="Euro">Euro</option>
                                                <option value="Pound">Pound</option>
                                            </select>
                                        </div>
                                        <div class="form-check mb-3">
                                            <input class="form-check-input" id="remember-me" name="remember" type="checkbox" required>
                                            <label class="form-check-label" for="remember-me">I confirm</label>
                                        </div>
                                        <div class="d-grid">
                                            <button class="btn btn-primary" type="submit">Submit Account</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Bank Accounts End -->

                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
<script>
    $(document).ready(function() {
        $('#addbankaccount').on('submit', function(e) {
            e.preventDefault(); // Prevent the default form submission

            $.ajax({
                url: 'process/save_bank_account.php', // The PHP file to process the request
                type: 'POST',
                dataType: 'json',
                data: $(this).serialize(), // Serialize form data
                success: function(response) {
                    // $('#add-new-bank-account').modal('hide'); // Hide modal on success
                    // $('#addbankaccount')[0].reset(); // Reset the form
                    if(response.status){
                        alert(response.message)
                        location.reload()
                    }else {
                        alert(response.message)
                    }

                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText); // Log error response
                    alert('An error occurred. Please try again.'); // Show error message
                }
            });
        });
    });

    function makeAccountPrimary(id) {
        $.ajax({
            url: 'process/make_wallet_primary.php', // The PHP file to process the request
            type: 'POST',
            data: {id:id}, // Serialize form data
            dataType:'json',
            success: function(response) {
                alert(response); // Show response message
            },
            error: function(xhr, status, error) {
                console.error(xhr.responseText); // Log error response
                alert('An error occurred. Please try again.'); // Show error message
            }
        });
    }

    function bankAccountDetails(data) {
        document.getElementById('beneficiaryBank').innerText = data.bank_name
        document.getElementById('beneficiaryCountryBank').innerText = data.country
        document.getElementById('beneficiaryAccountNumber').innerText = data.account_number
        document.getElementById('beneficiaryAccountName').innerText = data.account_name
        document.getElementById('savedStatus').innerText = data.status
        document.getElementById('beneficiaryAccountType').innerText = data.account_type
        document.getElementById('beneficiarySwift_code').innerText = data.swift_code
        let p = document.getElementById('isPrimary');
        data.primary_bank === 1 ? p.style.display = 'block' : p.style.display = 'none'
        console.log(data)
    }
</script>
</body>
</html>
