<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$profileAccount = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/daterangepicker/daterangepicker.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->

                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <div class="header-column justify-content-end">
                    <!-- My Profile
                    ============================== -->
                    <?php
                    include "drop-nav.php";
                    ?>
                    <!-- My Profile end -->
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary Menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary Menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Personal Details
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Personal Details<a href="#edit-personal-details" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a></h3>
                        <hr class="mx-n4 mb-4">
                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Name:</p>
                            <p class="col-sm-9 text-3"><?php echo $profile['firstName'].' '.$profile['lastName'];?></p>
                        </div>
                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Date of Birth:</p>
                            <p class="col-sm-9 text-3"><?php echo $profile['dob'] != null ? $profile['dob'] : 'N/A';?></p>
                        </div>
                        <div class="row gx-3 align-items-baseline">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Address:</p>
                            <p class="col-sm-9 text-3"><?php echo $profile['address'] != null ? $profile['address'] : 'N/A';?></p>
                        </div>

                        <div class="row gx-3 align-items-baseline">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Other Information:</p>
                            <p class="col-sm-9 text-3">
                                <?php
                                if($profile['time_zone'] ==null && $profile['country'] ==null && $profile['state'] ==null && $profile['city'] ==null){
                                    echo "N/A";
                                }else{
                                   echo $profile['city']. ' > '.$profile['state'].' > '.$profile['country']. ' > '.$profile['zipcode'];
                                }
                                ?>
                            </p>
                        </div>
                    </div>
                    <?php
                    //print_r($profile);
                    ?>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="edit-personal-details" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Personal Details</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="personaldetails" method="post">
                                        <div class="row g-3">
                                            <div class="col-12 col-sm-6">
                                                <label for="firstName" class="form-label">First Name</label>
                                                <input type="text" value="<?php echo $profile['firstName'];?>" class="form-control" data-bv-field="firstName" id="firstName" required placeholder="First Name">
                                            </div>
                                            <div class="col-12 col-sm-6">
                                                <label for="lastName" class="form-label">Last Name</label>
                                                <input type="text" value="<?php echo $profile['lastName'];?>" class="form-control" data-bv-field="lastName" id="lastName" required placeholder="Last Name">
                                            </div>
                                            <div class="col-12">
                                                <label for="birthDate" class="form-label">Date of Birth (DD/MM/YYYY)</label>
                                                <div class="position-relative">
                                                    <input id="dob" name="dob" value="<?php echo $profile['dob'];?>" type="text" class="form-control" required placeholder="Date of Birth">
                                                    <span class="icon-inside"><i class="fas fa-calendar-alt"></i></span>
                                                </div>
                                            </div>
                                        </div>

                                        <h3 class="text-5 fw-400 mt-4">Address</h3>
                                        <hr>
                                        <div class="row g-3">
                                            <div class="col-12">
                                                <label for="address" class="form-label">Your current Address</label>
                                                <input type="text" value="<?php echo $profile['address'];?>" class="form-control" data-bv-field="address" id="address" required placeholder="Address">
                                            </div>
                                            <div class="col-12 col-sm-6">
                                                <label for="inputCountry" class="form-label">Country</label>
                                                <?php
                                                include "../countries.php";
                                                ?>
                                            </div>

                                            <div class="col-12 col-sm-6">
                                                <label for="city" class="form-label">State</label>
                                                <input id="state" name="state" value="<?php echo $profile['state'];?>" type="text" class="form-control" required placeholder="State">
                                            </div>

                                            <div class="col-12 col-sm-6">
                                                <label for="city" class="form-label">City</label>
                                                <input id="city" name="city" value="<?php echo $profile['city'];?>" type="text" class="form-control" required placeholder="City">
                                            </div>


                                            <div class="col-12 col-sm-6">
                                                <label for="zipCode" class="form-label">Zip Code</label>
                                                <input id="zipCode" value="<?php echo $profile['zipcode'];?>" type="text" class="form-control" required placeholder="zipcode">
                                            </div>

                                            <div class="col-12 mt-4 d-grid"><button onclick="updatePersonalInformation()" class="btn btn-primary" type="button">Save Changes</button></div>
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Personal Details End -->

                    <!-- Account Settings
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Account Settings<a href="#edit-account-settings" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a></h3>
                        <hr class="mx-n4 mb-4">
                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Language:</p>
                            <p class="col-sm-9 text-3"><?php echo $profile['user_language'];?> </p>
                        </div>
                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Time Zone:</p>
                            <p class="col-sm-9 text-3"><?php echo $profile['time_zone'] ==null ? 'N/A': $profile['time_zone'];?></p>
                        </div>
                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Account Status:</p>
<!--                            <p class="col-sm-9 text-3"><span class="bg-success text-white rounded-pill d-inline-block px-2 mb-0"><i class="fas fa-check-circle"></i> Active</span></p>-->
                            <?php
                            echo $helper->formatAccountStatus($profile['account_status']);
                            ?>
                        </div>
                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="edit-account-settings" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Account Settings</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="accountSettings" method="post">
                                        <div class="row g-3">
                                            <div class="col-12">
                                                <label for="language" class="form-label">Language</label>
                                                <select class="form-select" id="language" name="language_id">
                                                    <option value="English">English</option>
                                                    <option value="Spanish">Spanish</option>
                                                    <option value="Chinese">Chinese</option>
                                                    <option value="Russian">Russian</option>
                                                </select>
                                            </div>
                                            <div class="col-12">
                                                <label for="input-timezone" class="form-label">Time Zone</label>
                                                <select class="form-select" id="input-timezone" name="timezone_id">
                                                    <option value="-12">(GMT-12:00) International Date Line West</option>
                                                    <option value="-11">(GMT-11:00) Midway Island, Samoa</option>
                                                    <option value="-10">(GMT-10:00) Hawaii</option>
                                                    <option value="-9">(GMT-09:00) Alaska</option>
                                                    <option value="-8">(GMT-08:00) Pacific Time (US & Canada)</option>
                                                    <option value="-8">(GMT-08:00) Tijuana, Baja California</option>
                                                    <option value="-7">(GMT-07:00) Arizona</option>
                                                    <option value="-7">(GMT-07:00) Chihuahua, La Paz, Mazatlan</option>
                                                    <option value="-7">(GMT-07:00) Mountain Time (US & Canada)</option>
                                                    <option selected="selected" value="-6">(GMT-06:00) Central America</option>
                                                    <option value="-6">(GMT-06:00) Central Time (US & Canada)</option>
                                                    <option value="-6">(GMT-06:00) Guadalajara, Mexico City, Monterrey</option>
                                                    <option value="-6">(GMT-06:00) Saskatchewan</option>
                                                    <option value="-5">(GMT-05:00) Bogota, Lima, Quito, Rio Branco</option>
                                                    <option value="-5">(GMT-05:00) Eastern Time (US & Canada)</option>
                                                    <option value="-5">(GMT-05:00) Indiana (East)</option>
                                                    <option value="-4">(GMT-04:00) Atlantic Time (Canada)</option>
                                                    <option value="-4">(GMT-04:00) Caracas, La Paz</option>
                                                    <option value="-4">(GMT-04:00) Manaus</option>
                                                    <option value="-4">(GMT-04:00) Santiago</option>
                                                    <option value="-3.5">(GMT-03:30) Newfoundland</option>
                                                    <option value="-3">(GMT-03:00) Brasilia</option>
                                                    <option value="-3">(GMT-03:00) Buenos Aires, Georgetown</option>
                                                    <option value="-3">(GMT-03:00) Greenland</option>
                                                    <option value="-3">(GMT-03:00) Montevideo</option>
                                                    <option value="-2">(GMT-02:00) Mid-Atlantic</option>
                                                    <option value="-1">(GMT-01:00) Cape Verde Is.</option>
                                                    <option value="-1">(GMT-01:00) Azores</option>
                                                    <option value="0">(GMT+00:00) Casablanca, Monrovia, Reykjavik</option>
                                                    <option value="0">(GMT+00:00) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London</option>
                                                    <option value="1">(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</option>
                                                    <option value="1">(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</option>
                                                    <option value="1">(GMT+01:00) Brussels, Copenhagen, Madrid, Paris</option>
                                                    <option value="1">(GMT+01:00) Sarajevo, Skopje, Warsaw, Zagreb</option>
                                                    <option value="1">(GMT+01:00) West Central Africa</option>
                                                    <option value="2">(GMT+02:00) Amman</option>
                                                    <option value="2">(GMT+02:00) Athens, Bucharest, Istanbul</option>
                                                    <option value="2">(GMT+02:00) Beirut</option>
                                                    <option value="2">(GMT+02:00) Cairo</option>
                                                    <option value="2">(GMT+02:00) Harare, Pretoria</option>
                                                    <option value="2">(GMT+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius</option>
                                                    <option value="2">(GMT+02:00) Jerusalem</option>
                                                    <option value="2">(GMT+02:00) Minsk</option>
                                                    <option value="2">(GMT+02:00) Windhoek</option>
                                                    <option value="3">(GMT+03:00) Kuwait, Riyadh, Baghdad</option>
                                                    <option value="3">(GMT+03:00) Moscow, St. Petersburg, Volgograd</option>
                                                    <option value="3">(GMT+03:00) Nairobi</option>
                                                    <option value="3">(GMT+03:00) Tbilisi</option>
                                                    <option value="3.5">(GMT+03:30) Tehran</option>
                                                    <option value="4">(GMT+04:00) Abu Dhabi, Muscat</option>
                                                    <option value="4">(GMT+04:00) Baku</option>
                                                    <option value="4">(GMT+04:00) Yerevan</option>
                                                    <option value="4.5">(GMT+04:30) Kabul</option>
                                                    <option value="5">(GMT+05:00) Yekaterinburg</option>
                                                    <option value="5">(GMT+05:00) Islamabad, Karachi, Tashkent</option>
                                                    <option value="5.5">(GMT+05:30) Sri Jayawardenapura</option>
                                                    <option value="5.5">(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi</option>
                                                    <option value="5.75">(GMT+05:45) Kathmandu</option>
                                                    <option value="6">(GMT+06:00) Almaty, Novosibirsk</option>
                                                    <option value="6">(GMT+06:00) Astana, Dhaka</option>
                                                    <option value="6.5">(GMT+06:30) Yangon (Rangoon)</option>
                                                    <option value="7">(GMT+07:00) Bangkok, Hanoi, Jakarta</option>
                                                    <option value="7">(GMT+07:00) Krasnoyarsk</option>
                                                    <option value="8">(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi</option>
                                                    <option value="8">(GMT+08:00) Kuala Lumpur, Singapore</option>
                                                    <option value="8">(GMT+08:00) Irkutsk, Ulaan Bataar</option>
                                                    <option value="8">(GMT+08:00) Perth</option>
                                                    <option value="8">(GMT+08:00) Taipei</option>
                                                    <option value="9">(GMT+09:00) Osaka, Sapporo, Tokyo</option>
                                                    <option value="9">(GMT+09:00) Seoul</option>
                                                    <option value="9">(GMT+09:00) Yakutsk</option>
                                                    <option value="9.5">(GMT+09:30) Adelaide</option>
                                                    <option value="9.5">(GMT+09:30) Darwin</option>
                                                    <option value="10">(GMT+10:00) Brisbane</option>
                                                    <option value="10">(GMT+10:00) Canberra, Melbourne, Sydney</option>
                                                    <option value="10">(GMT+10:00) Hobart</option>
                                                    <option value="10">(GMT+10:00) Guam, Port Moresby</option>
                                                    <option value="10">(GMT+10:00) Vladivostok</option>
                                                    <option value="11">(GMT+11:00) Magadan, Solomon Is., New Caledonia</option>
                                                    <option value="12">(GMT+12:00) Auckland, Wellington</option>
                                                    <option value="12">(GMT+12:00) Fiji, Kamchatka, Marshall Is.</option>
                                                    <option value="13">(GMT+13:00) Nuku'alofa</option>
                                                </select>
                                            </div>

                                            <div class="col-12 d-grid mt-4">
                                                <button class="btn btn-primary" type="submit">Save Changes</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Account Settings End -->

                    <!-- Email Addresses
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Email Addresses<a href="#edit-email" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a></h3>
                        <hr class="mx-n4 mb-4">
                        <?php
                        //print_r($profile);
                        foreach ($profile['emails'] as $email){

                        ?>

                        <div class="row gx-3 align-items-center">
                            <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Email ID:</p>
                            <p class="col-sm-9 text-3 d-sm-inline-flex d-md-flex align-items-center"><?php echo $email['email']; ?>
                                <?php if($email['primary_email'] ==1){
                                    echo '<span class="badge bg-info text-1 fw-500 rounded-pill px-2 py-1 ms-2">Primary</span>';
                                } ?> </p>
                        </div>

                        <?php
                        }
                        ?>
                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="edit-email" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Email Addresses</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="emailAddresses" method="post">
                                        <div class="mb-3">

                                            <label for="emailID" class="form-label d-inline-flex align-items-center">Email ID <span class="badge bg-info text-1 fw-500 rounded-pill px-2 py-1 ms-2">Primary</span></label>
                                            <input type="text" readonly value="<?php print ($helper->getPrimaryEmail($profile['emails'])); ?>" class="form-control" data-bv-field="emailid" id="emailID" required placeholder="Email ID">
                                        </div>
                                        <div class="mb-3 form-label">
                                            <label for="emailID2" class="form-label">Email ID 2
                                                <a class="btn-link text-uppercase text-1" href="#">Make Primary</a>
                                            </label>
                                            <div class="input-group">
                                                <input type="text" value="" class="form-control" data-bv-field="emailid2" id="emailID2" required placeholder="Email ID">
                                                <a href="javascript:void(0)" onclick="document.getElementById('emailID2').value = ''" data-bs-toggle="tooltip" title="Remove" class="input-group-text text-muted text-2"><i class="fas fa-times"></i></a>
                                            </div>
                                        </div>

                                        <a class="btn-link text-uppercase d-flex align-items-center text-1 float-end mb-3" onclick="alert('This option is currently not available')" href="javascript:void(0)"><span class="text-3 me-1"><i class="fas fa-plus-circle"></i></span>Add another email</a>
                                        <div class="d-grid w-100"><button class="btn btn-primary" type="submit">Save Changes</button></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Email Addresses End -->

                    <!-- Phone
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Phone<a href="#edit-phone" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a></h3>
                        <hr class="mx-n4 mb-4">

                        <?php
                            if(count($profile['phones'])<1){
                                echo ' <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Mobile: N/A</p>';
                            }else{
                        foreach ($profile['phones'] as $phone){
                            //print_r($phone);
                            ?>
                            <div class="row gx-3 align-items-center">
                                <p class="col-sm-3 text-muted text-sm-end mb-0 mb-sm-3">Mobile:</p>
                                <p class="col-sm-9 text-3 align-items-center d-sm-inline-flex d-md-flex">
                                    <?php
                                    echo $phone['phone'];
                                    if($phone['primary_phone'] ==1){
                                        echo '<span class="badge bg-info text-1 fw-500 rounded-pill px-2 py-1 ms-2">Primary</span>';
                                    }
                                    ?>

                                </p>
                            </div>
                        <?php
                        }
                        }
                        ?>

                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="edit-phone" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">

                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Phone</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="phone" method="post">
                                        <div class="mb-3">
                                            <?php
                                            print $helper->messageContaner('<strong>Please note!</strong> Your first added contact will be your primary contact.', 'info')
                                            ?>
<!--                                            <label for="mobileNumber" class="form-label d-inline-flex align-items-center">Mobile </label>-->
                                            <div class="input-group">
                                                <div class="input-group-text p-0">
                                                    <select class="form-select border-0 bg-transparent" id="dialingCode" name="dialingCode">
                                                        <option value="AD,376">AD +376</option>
                                                        <option value="AE,971">AE +971</option>
                                                        <option value="AF,93">AF +93</option>
                                                        <option value="AG,1">AG +1</option>
                                                        <option value="AI,1">AI +1</option>
                                                        <option value="AL,355">AL +355</option>
                                                        <option value="AM,374">AM +374</option>
                                                        <option value="AN,599">AN +599</option>
                                                        <option value="AO,244">AO +244</option>
                                                        <option value="AR,54">AR +54</option>
                                                        <option value="AS,1">AS +1</option>
                                                        <option value="AT,43">AT +43</option>
                                                        <option value="AU,61">AU +61</option>
                                                        <option value="AW,297">AW +297</option>
                                                        <option value="AX,358">AX +358</option>
                                                        <option value="AZ,994">AZ +994</option>
                                                        <option value="BA,387">BA +387</option>
                                                        <option value="BB,1">BB +1</option>
                                                        <option value="BD,880">BD +880</option>
                                                        <option value="BE,32">BE +32</option>
                                                        <option value="BF,226">BF +226</option>
                                                        <option value="BG,359">BG +359</option>
                                                        <option value="BH,973">BH +973</option>
                                                        <option value="BI,257">BI +257</option>
                                                        <option value="BJ,229">BJ +229</option>
                                                        <option value="BL,590">BL +590</option>
                                                        <option value="BM,1">BM +1</option>
                                                        <option value="BN,673">BN +673</option>
                                                        <option value="BO,591">BO +591</option>
                                                        <option value="BQ,599">BQ +599</option>
                                                        <option value="BR,55">BR +55</option>
                                                        <option value="BS,1">BS +1</option>
                                                        <option value="BT,975">BT +975</option>
                                                        <option value="BW,267">BW +267</option>
                                                        <option value="BY,375">BY +375</option>
                                                        <option value="BZ,501">BZ +501</option>
                                                        <option value="CA,1">CA +1</option>
                                                        <option value="CC,61">CC +61</option>
                                                        <option value="CD,243">CD +243</option>
                                                        <option value="CF,236">CF +236</option>
                                                        <option value="CG,242">CG +242</option>
                                                        <option value="CH,41">CH +41</option>
                                                        <option value="CI,225">CI +225</option>
                                                        <option value="CK,682">CK +682</option>
                                                        <option value="CL,56">CL +56</option>
                                                        <option value="CM,237">CM +237</option>
                                                        <option value="CN,86">CN +86</option>
                                                        <option value="CO,57">CO +57</option>
                                                        <option value="CR,506">CR +506</option>
                                                        <option value="CU,53">CU +53</option>
                                                        <option value="CV,238">CV +238</option>
                                                        <option value="CW,599">CW +599</option>
                                                        <option value="CY,357">CY +357</option>
                                                        <option value="CZ,420">CZ +420</option>
                                                        <option value="DE,49">DE +49</option>
                                                        <option value="DJ,253">DJ +253</option>
                                                        <option value="DK,45">DK +45</option>
                                                        <option value="DM,1">DM +1</option>
                                                        <option value="DO,1">DO +1</option>
                                                        <option value="DZ,213">DZ +213</option>
                                                        <option value="EC,593">EC +593</option>
                                                        <option value="EE,372">EE +372</option>
                                                        <option value="EG,20">EG +20</option>
                                                        <option value="ER,291">ER +291</option>
                                                        <option value="ES,34">ES +34</option>
                                                        <option value="ET,251">ET +251</option>
                                                        <option value="FI,358">FI +358</option>
                                                        <option value="FJ,679">FJ +679</option>
                                                        <option value="FK,500">FK +500</option>
                                                        <option value="FM,691">FM +691</option>
                                                        <option value="FO,298">FO +298</option>
                                                        <option value="FR,33">FR +33</option>
                                                        <option value="GA,241">GA +241</option>
                                                        <option value="GB,44">GB +44</option>
                                                        <option value="GD,1">GD +1</option>
                                                        <option value="GE,995">GE +995</option>
                                                        <option value="GF,594">GF +594</option>
                                                        <option value="GG,44">GG +44</option>
                                                        <option value="GH,233">GH +233</option>
                                                        <option value="GI,350">GI +350</option>
                                                        <option value="GL,299">GL +299</option>
                                                        <option value="GM,220">GM +220</option>
                                                        <option value="GN,224">GN +224</option>
                                                        <option value="GP,590">GP +590</option>
                                                        <option value="GQ,240">GQ +240</option>
                                                        <option value="GR,30">GR +30</option>
                                                        <option value="GT,502">GT +502</option>
                                                        <option value="GU,1">GU +1</option>
                                                        <option value="GW,245">GW +245</option>
                                                        <option value="GY,592">GY +592</option>
                                                        <option value="HK,852">HK +852</option>
                                                        <option value="HN,504">HN +504</option>
                                                        <option value="HR,385">HR +385</option>
                                                        <option value="HT,509">HT +509</option>
                                                        <option value="HU,36">HU +36</option>
                                                        <option value="ID,62">ID +62</option>
                                                        <option value="IE,353">IE +353</option>
                                                        <option value="IL,972">IL +972</option>
                                                        <option value="IM,44">IM +44</option>
                                                        <option value="IN,91">IN +91</option>
                                                        <option value="IO,246">IO +246</option>
                                                        <option value="IQ,964">IQ +964</option>
                                                        <option value="IR,98">IR +98</option>
                                                        <option value="IS,354">IS +354</option>
                                                        <option value="IT,39">IT +39</option>
                                                        <option value="JE,44">JE +44</option>
                                                        <option value="JM,1">JM +1</option>
                                                        <option value="JO,962">JO +962</option>
                                                        <option value="JP,81">JP +81</option>
                                                        <option value="KE,254">KE +254</option>
                                                        <option value="KG,996">KG +996</option>
                                                        <option value="KH,855">KH +855</option>
                                                        <option value="KI,686">KI +686</option>
                                                        <option value="KM,269">KM +269</option>
                                                        <option value="KN,1">KN +1</option>
                                                        <option value="KP,850">KP +850</option>
                                                        <option value="KR,82">KR +82</option>
                                                        <option value="KW,965">KW +965</option>
                                                        <option value="KY,1">KY +1</option>
                                                        <option value="KZ,7">KZ +7</option>
                                                        <option value="LA,856">LA +856</option>
                                                        <option value="LB,961">LB +961</option>
                                                        <option value="LC,1">LC +1</option>
                                                        <option value="LI,423">LI +423</option>
                                                        <option value="LK,94">LK +94</option>
                                                        <option value="LR,231">LR +231</option>
                                                        <option value="LS,266">LS +266</option>
                                                        <option value="LT,370">LT +370</option>
                                                        <option value="LU,352">LU +352</option>
                                                        <option value="LV,371">LV +371</option>
                                                        <option value="LY,218">LY +218</option>
                                                        <option value="MA,212">MA +212</option>
                                                        <option value="MC,377">MC +377</option>
                                                        <option value="MD,373">MD +373</option>
                                                        <option value="ME,382">ME +382</option>
                                                        <option value="MF,590">MF +590</option>
                                                        <option value="MG,261">MG +261</option>
                                                        <option value="MH,692">MH +692</option>
                                                        <option value="MK,389">MK +389</option>
                                                        <option value="ML,223">ML +223</option>
                                                        <option value="MM,95">MM +95</option>
                                                        <option value="MN,976">MN +976</option>
                                                        <option value="MO,853">MO +853</option>
                                                        <option value="MP,1">MP +1</option>
                                                        <option value="MQ,596">MQ +596</option>
                                                        <option value="MR,222">MR +222</option>
                                                        <option value="MS,1">MS +1</option>
                                                        <option value="MT,356">MT +356</option>
                                                        <option value="MU,230">MU +230</option>
                                                        <option value="MV,960">MV +960</option>
                                                        <option value="MW,265">MW +265</option>
                                                        <option value="MX,52">MX +52</option>
                                                        <option value="MY,60">MY +60</option>
                                                        <option value="MZ,258">MZ +258</option>
                                                        <option value="NA,264">NA +264</option>
                                                        <option value="NC,687">NC +687</option>
                                                        <option value="NE,227">NE +227</option>
                                                        <option value="NF,672">NF +672</option>
                                                        <option value="NG,234">NG +234</option>
                                                        <option value="NI,505">NI +505</option>
                                                        <option value="NL,31">NL +31</option>
                                                        <option value="NO,47">NO +47</option>
                                                        <option value="NP,977">NP +977</option>
                                                        <option value="NR,674">NR +674</option>
                                                        <option value="NU,683">NU +683</option>
                                                        <option value="NZ,64">NZ +64</option>
                                                        <option value="OM,968">OM +968</option>
                                                        <option value="PA,507">PA +507</option>
                                                        <option value="PE,51">PE +51</option>
                                                        <option value="PF,689">PF +689</option>
                                                        <option value="PG,675">PG +675</option>
                                                        <option value="PH,63">PH +63</option>
                                                        <option value="PK,92">PK +92</option>
                                                        <option value="PL,48">PL +48</option>
                                                        <option value="PM,508">PM +508</option>
                                                        <option value="PN,64">PN +64</option>
                                                        <option value="PR,1">PR +1</option>
                                                        <option value="PS,970">PS +970</option>
                                                        <option value="PT,351">PT +351</option>
                                                        <option value="PW,680">PW +680</option>
                                                        <option value="PY,595">PY +595</option>
                                                        <option value="QA,974">QA +974</option>
                                                        <option value="RE,262">RE +262</option>
                                                        <option value="RO,40">RO +40</option>
                                                        <option value="RS,381">RS +381</option>
                                                        <option value="RU,7">RU +7</option>
                                                        <option value="RW,250">RW +250</option>
                                                        <option value="SA,966">SA +966</option>
                                                        <option value="SB,677">SB +677</option>
                                                        <option value="SC,248">SC +248</option>
                                                        <option value="SD,249">SD +249</option>
                                                        <option value="SE,46">SE +46</option>
                                                        <option value="SG,65">SG +65</option>
                                                        <option value="SH,290">SH +290</option>
                                                        <option value="SI,386">SI +386</option>
                                                        <option value="SJ,47">SJ +47</option>
                                                        <option value="SK,421">SK +421</option>
                                                        <option value="SL,232">SL +232</option>
                                                        <option value="SM,378">SM +378</option>
                                                        <option value="SN,221">SN +221</option>
                                                        <option value="SO,252">SO +252</option>
                                                        <option value="SR,597">SR +597</option>
                                                        <option value="SS,211">SS +211</option>
                                                        <option value="ST,239">ST +239</option>
                                                        <option value="SV,503">SV +503</option>
                                                        <option value="SX,1">SX +1</option>
                                                        <option value="SY,963">SY +963</option>
                                                        <option value="SZ,268">SZ +268</option>
                                                        <option value="TC,1">TC +1</option>
                                                        <option value="TD,235">TD +235</option>
                                                        <option value="TG,228">TG +228</option>
                                                        <option value="TH,66">TH +66</option>
                                                        <option value="TJ,992">TJ +992</option>
                                                        <option value="TK,690">TK +690</option>
                                                        <option value="TL,670">TL +670</option>
                                                        <option value="TM,993">TM +993</option>
                                                        <option value="TN,216">TN +216</option>
                                                        <option value="TO,676">TO +676</option>
                                                        <option value="TR,90">TR +90</option>
                                                        <option value="TT,1">TT +1</option>
                                                        <option value="TV,688">TV +688</option>
                                                        <option value="TW,886">TW +886</option>
                                                        <option value="TZ,255">TZ +255</option>
                                                        <option value="UA,380">UA +380</option>
                                                        <option value="UG,256">UG +256</option>
                                                        <option value="US,1">US +1</option>
                                                        <option value="UY,598">UY +598</option>
                                                        <option value="UZ,998">UZ +998</option>
                                                        <option value="VA,39">VA +39</option>
                                                        <option value="VC,1">VC +1</option>
                                                        <option value="VE,58">VE +58</option>
                                                        <option value="VG,1">VG +1</option>
                                                        <option value="VI,1">VI +1</option>
                                                        <option value="VN,84">VN +84</option>
                                                        <option value="VU,678">VU +678</option>
                                                        <option value="WF,681">WF +681</option>
                                                        <option value="WS,685">WS +685</option>
                                                        <option value="YE,967">YE +967</option>
                                                        <option value="YT,262">YT +262</option>
                                                        <option value="ZA,27">ZA +27</option>
                                                        <option value="ZM,260">ZM +260</option>
                                                        <option value="ZW,263">ZW +263</option>
                                                    </select>
                                                </div>
                                                <input type="text" value="" class="form-control" data-bv-field="mobileNumber" id="mobileNumber" name="mobileNumber" required placeholder="Mobile Number">
                                            </div>
                                        </div>

                                        <div class="d-grid w-100"><button onclick="addPhoneNumber()" class="btn btn-primary" type="button">Save Changes</button></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Phone End -->

                    <div id="edit-phone2" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Phone</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="phone" method="post">
                                        <div class="mb-3">
                                            <label for="mobileNumber" class="form-label d-inline-flex align-items-center">Mobile <span class="badge bg-info text-1 fw-500 rounded-pill px-2 py-1 ms-2">Primary</span></label>
                                            <div class="input-group">
                                                <div class="input-group-text p-0">
                                                    <select class="form-select border-0 bg-transparent" id="selectedCountry" name="selectedCountry">
                                                        <option value="AD,376">AD +376</option>
                                                        <option value="AE,971">AE +971</option>
                                                        <option value="AF,93">AF +93</option>
                                                        <option value="AG,1">AG +1</option>
                                                        <option value="AI,1">AI +1</option>
                                                        <option value="AL,355">AL +355</option>
                                                        <option value="AM,374">AM +374</option>
                                                        <option value="AN,599">AN +599</option>
                                                        <option value="AO,244">AO +244</option>
                                                        <option value="AR,54">AR +54</option>
                                                        <option value="AS,1">AS +1</option>
                                                        <option value="AT,43">AT +43</option>
                                                        <option value="AU,61">AU +61</option>
                                                        <option value="AW,297">AW +297</option>
                                                        <option value="AX,358">AX +358</option>
                                                        <option value="AZ,994">AZ +994</option>
                                                        <option value="BA,387">BA +387</option>
                                                        <option value="BB,1">BB +1</option>
                                                        <option value="BD,880">BD +880</option>
                                                        <option value="BE,32">BE +32</option>
                                                        <option value="BF,226">BF +226</option>
                                                        <option value="BG,359">BG +359</option>
                                                        <option value="BH,973">BH +973</option>
                                                        <option value="BI,257">BI +257</option>
                                                        <option value="BJ,229">BJ +229</option>
                                                        <option value="BL,590">BL +590</option>
                                                        <option value="BM,1">BM +1</option>
                                                        <option value="BN,673">BN +673</option>
                                                        <option value="BO,591">BO +591</option>
                                                        <option value="BQ,599">BQ +599</option>
                                                        <option value="BR,55">BR +55</option>
                                                        <option value="BS,1">BS +1</option>
                                                        <option value="BT,975">BT +975</option>
                                                        <option value="BW,267">BW +267</option>
                                                        <option value="BY,375">BY +375</option>
                                                        <option value="BZ,501">BZ +501</option>
                                                        <option value="CA,1">CA +1</option>
                                                        <option value="CC,61">CC +61</option>
                                                        <option value="CD,243">CD +243</option>
                                                        <option value="CF,236">CF +236</option>
                                                        <option value="CG,242">CG +242</option>
                                                        <option value="CH,41">CH +41</option>
                                                        <option value="CI,225">CI +225</option>
                                                        <option value="CK,682">CK +682</option>
                                                        <option value="CL,56">CL +56</option>
                                                        <option value="CM,237">CM +237</option>
                                                        <option value="CN,86">CN +86</option>
                                                        <option value="CO,57">CO +57</option>
                                                        <option value="CR,506">CR +506</option>
                                                        <option value="CU,53">CU +53</option>
                                                        <option value="CV,238">CV +238</option>
                                                        <option value="CW,599">CW +599</option>
                                                        <option value="CY,357">CY +357</option>
                                                        <option value="CZ,420">CZ +420</option>
                                                        <option value="DE,49">DE +49</option>
                                                        <option value="DJ,253">DJ +253</option>
                                                        <option value="DK,45">DK +45</option>
                                                        <option value="DM,1">DM +1</option>
                                                        <option value="DO,1">DO +1</option>
                                                        <option value="DZ,213">DZ +213</option>
                                                        <option value="EC,593">EC +593</option>
                                                        <option value="EE,372">EE +372</option>
                                                        <option value="EG,20">EG +20</option>
                                                        <option value="ER,291">ER +291</option>
                                                        <option value="ES,34">ES +34</option>
                                                        <option value="ET,251">ET +251</option>
                                                        <option value="FI,358">FI +358</option>
                                                        <option value="FJ,679">FJ +679</option>
                                                        <option value="FK,500">FK +500</option>
                                                        <option value="FM,691">FM +691</option>
                                                        <option value="FO,298">FO +298</option>
                                                        <option value="FR,33">FR +33</option>
                                                        <option value="GA,241">GA +241</option>
                                                        <option value="GB,44">GB +44</option>
                                                        <option value="GD,1">GD +1</option>
                                                        <option value="GE,995">GE +995</option>
                                                        <option value="GF,594">GF +594</option>
                                                        <option value="GG,44">GG +44</option>
                                                        <option value="GH,233">GH +233</option>
                                                        <option value="GI,350">GI +350</option>
                                                        <option value="GL,299">GL +299</option>
                                                        <option value="GM,220">GM +220</option>
                                                        <option value="GN,224">GN +224</option>
                                                        <option value="GP,590">GP +590</option>
                                                        <option value="GQ,240">GQ +240</option>
                                                        <option value="GR,30">GR +30</option>
                                                        <option value="GT,502">GT +502</option>
                                                        <option value="GU,1">GU +1</option>
                                                        <option value="GW,245">GW +245</option>
                                                        <option value="GY,592">GY +592</option>
                                                        <option value="HK,852">HK +852</option>
                                                        <option value="HN,504">HN +504</option>
                                                        <option value="HR,385">HR +385</option>
                                                        <option value="HT,509">HT +509</option>
                                                        <option value="HU,36">HU +36</option>
                                                        <option value="ID,62">ID +62</option>
                                                        <option value="IE,353">IE +353</option>
                                                        <option value="IL,972">IL +972</option>
                                                        <option value="IM,44">IM +44</option>
                                                        <option value="IN,91">IN +91</option>
                                                        <option value="IO,246">IO +246</option>
                                                        <option value="IQ,964">IQ +964</option>
                                                        <option value="IR,98">IR +98</option>
                                                        <option value="IS,354">IS +354</option>
                                                        <option value="IT,39">IT +39</option>
                                                        <option value="JE,44">JE +44</option>
                                                        <option value="JM,1">JM +1</option>
                                                        <option value="JO,962">JO +962</option>
                                                        <option value="JP,81">JP +81</option>
                                                        <option value="KE,254">KE +254</option>
                                                        <option value="KG,996">KG +996</option>
                                                        <option value="KH,855">KH +855</option>
                                                        <option value="KI,686">KI +686</option>
                                                        <option value="KM,269">KM +269</option>
                                                        <option value="KN,1">KN +1</option>
                                                        <option value="KP,850">KP +850</option>
                                                        <option value="KR,82">KR +82</option>
                                                        <option value="KW,965">KW +965</option>
                                                        <option value="KY,1">KY +1</option>
                                                        <option value="KZ,7">KZ +7</option>
                                                        <option value="LA,856">LA +856</option>
                                                        <option value="LB,961">LB +961</option>
                                                        <option value="LC,1">LC +1</option>
                                                        <option value="LI,423">LI +423</option>
                                                        <option value="LK,94">LK +94</option>
                                                        <option value="LR,231">LR +231</option>
                                                        <option value="LS,266">LS +266</option>
                                                        <option value="LT,370">LT +370</option>
                                                        <option value="LU,352">LU +352</option>
                                                        <option value="LV,371">LV +371</option>
                                                        <option value="LY,218">LY +218</option>
                                                        <option value="MA,212">MA +212</option>
                                                        <option value="MC,377">MC +377</option>
                                                        <option value="MD,373">MD +373</option>
                                                        <option value="ME,382">ME +382</option>
                                                        <option value="MF,590">MF +590</option>
                                                        <option value="MG,261">MG +261</option>
                                                        <option value="MH,692">MH +692</option>
                                                        <option value="MK,389">MK +389</option>
                                                        <option value="ML,223">ML +223</option>
                                                        <option value="MM,95">MM +95</option>
                                                        <option value="MN,976">MN +976</option>
                                                        <option value="MO,853">MO +853</option>
                                                        <option value="MP,1">MP +1</option>
                                                        <option value="MQ,596">MQ +596</option>
                                                        <option value="MR,222">MR +222</option>
                                                        <option value="MS,1">MS +1</option>
                                                        <option value="MT,356">MT +356</option>
                                                        <option value="MU,230">MU +230</option>
                                                        <option value="MV,960">MV +960</option>
                                                        <option value="MW,265">MW +265</option>
                                                        <option value="MX,52">MX +52</option>
                                                        <option value="MY,60">MY +60</option>
                                                        <option value="MZ,258">MZ +258</option>
                                                        <option value="NA,264">NA +264</option>
                                                        <option value="NC,687">NC +687</option>
                                                        <option value="NE,227">NE +227</option>
                                                        <option value="NF,672">NF +672</option>
                                                        <option value="NG,234">NG +234</option>
                                                        <option value="NI,505">NI +505</option>
                                                        <option value="NL,31">NL +31</option>
                                                        <option value="NO,47">NO +47</option>
                                                        <option value="NP,977">NP +977</option>
                                                        <option value="NR,674">NR +674</option>
                                                        <option value="NU,683">NU +683</option>
                                                        <option value="NZ,64">NZ +64</option>
                                                        <option value="OM,968">OM +968</option>
                                                        <option value="PA,507">PA +507</option>
                                                        <option value="PE,51">PE +51</option>
                                                        <option value="PF,689">PF +689</option>
                                                        <option value="PG,675">PG +675</option>
                                                        <option value="PH,63">PH +63</option>
                                                        <option value="PK,92">PK +92</option>
                                                        <option value="PL,48">PL +48</option>
                                                        <option value="PM,508">PM +508</option>
                                                        <option value="PN,64">PN +64</option>
                                                        <option value="PR,1">PR +1</option>
                                                        <option value="PS,970">PS +970</option>
                                                        <option value="PT,351">PT +351</option>
                                                        <option value="PW,680">PW +680</option>
                                                        <option value="PY,595">PY +595</option>
                                                        <option value="QA,974">QA +974</option>
                                                        <option value="RE,262">RE +262</option>
                                                        <option value="RO,40">RO +40</option>
                                                        <option value="RS,381">RS +381</option>
                                                        <option value="RU,7">RU +7</option>
                                                        <option value="RW,250">RW +250</option>
                                                        <option value="SA,966">SA +966</option>
                                                        <option value="SB,677">SB +677</option>
                                                        <option value="SC,248">SC +248</option>
                                                        <option value="SD,249">SD +249</option>
                                                        <option value="SE,46">SE +46</option>
                                                        <option value="SG,65">SG +65</option>
                                                        <option value="SH,290">SH +290</option>
                                                        <option value="SI,386">SI +386</option>
                                                        <option value="SJ,47">SJ +47</option>
                                                        <option value="SK,421">SK +421</option>
                                                        <option value="SL,232">SL +232</option>
                                                        <option value="SM,378">SM +378</option>
                                                        <option value="SN,221">SN +221</option>
                                                        <option value="SO,252">SO +252</option>
                                                        <option value="SR,597">SR +597</option>
                                                        <option value="SS,211">SS +211</option>
                                                        <option value="ST,239">ST +239</option>
                                                        <option value="SV,503">SV +503</option>
                                                        <option value="SX,1">SX +1</option>
                                                        <option value="SY,963">SY +963</option>
                                                        <option value="SZ,268">SZ +268</option>
                                                        <option value="TC,1">TC +1</option>
                                                        <option value="TD,235">TD +235</option>
                                                        <option value="TG,228">TG +228</option>
                                                        <option value="TH,66">TH +66</option>
                                                        <option value="TJ,992">TJ +992</option>
                                                        <option value="TK,690">TK +690</option>
                                                        <option value="TL,670">TL +670</option>
                                                        <option value="TM,993">TM +993</option>
                                                        <option value="TN,216">TN +216</option>
                                                        <option value="TO,676">TO +676</option>
                                                        <option value="TR,90">TR +90</option>
                                                        <option value="TT,1">TT +1</option>
                                                        <option value="TV,688">TV +688</option>
                                                        <option value="TW,886">TW +886</option>
                                                        <option value="TZ,255">TZ +255</option>
                                                        <option value="UA,380">UA +380</option>
                                                        <option value="UG,256">UG +256</option>
                                                        <option value="US,1">US +1</option>
                                                        <option value="UY,598">UY +598</option>
                                                        <option value="UZ,998">UZ +998</option>
                                                        <option value="VA,39">VA +39</option>
                                                        <option value="VC,1">VC +1</option>
                                                        <option value="VE,58">VE +58</option>
                                                        <option value="VG,1">VG +1</option>
                                                        <option value="VI,1">VI +1</option>
                                                        <option value="VN,84">VN +84</option>
                                                        <option value="VU,678">VU +678</option>
                                                        <option value="WF,681">WF +681</option>
                                                        <option value="WS,685">WS +685</option>
                                                        <option value="YE,967">YE +967</option>
                                                        <option value="YT,262">YT +262</option>
                                                        <option value="ZA,27">ZA +27</option>
                                                        <option value="ZM,260">ZM +260</option>
                                                        <option value="ZW,263">ZW +263</option>
                                                    </select>
                                                </div>
                                                <input type="text" value="2025550125" class="form-control" data-bv-field="mobilenumber" id="mobileNumber" required placeholder="Mobile Number">
                                            </div>
                                        </div>
                                        <div class="mb-3">
                                            <label for="mobileNumber2" class="form-label">Mobile 2 - <a class="btn-link text-uppercase text-1" href="#">Make Primary</a></label>
                                            <div class="input-group">
                                                <div class="input-group-text p-0">
                                                    <select class="form-select border-0 bg-transparent" id="selectedCountry" name="selectedCountry">
                                                        <option value="AD,376">AD +376</option>
                                                        <option value="AE,971">AE +971</option>
                                                        <option value="AF,93">AF +93</option>
                                                        <option value="AG,1">AG +1</option>
                                                        <option value="AI,1">AI +1</option>
                                                        <option value="AL,355">AL +355</option>
                                                        <option value="AM,374">AM +374</option>
                                                        <option value="AN,599">AN +599</option>
                                                        <option value="AO,244">AO +244</option>
                                                        <option value="AR,54">AR +54</option>
                                                        <option value="AS,1">AS +1</option>
                                                        <option value="AT,43">AT +43</option>
                                                        <option value="AU,61">AU +61</option>
                                                        <option value="AW,297">AW +297</option>
                                                        <option value="AX,358">AX +358</option>
                                                        <option value="AZ,994">AZ +994</option>
                                                        <option value="BA,387">BA +387</option>
                                                        <option value="BB,1">BB +1</option>
                                                        <option value="BD,880">BD +880</option>
                                                        <option value="BE,32">BE +32</option>
                                                        <option value="BF,226">BF +226</option>
                                                        <option value="BG,359">BG +359</option>
                                                        <option value="BH,973">BH +973</option>
                                                        <option value="BI,257">BI +257</option>
                                                        <option value="BJ,229">BJ +229</option>
                                                        <option value="BL,590">BL +590</option>
                                                        <option value="BM,1">BM +1</option>
                                                        <option value="BN,673">BN +673</option>
                                                        <option value="BO,591">BO +591</option>
                                                        <option value="BQ,599">BQ +599</option>
                                                        <option value="BR,55">BR +55</option>
                                                        <option value="BS,1">BS +1</option>
                                                        <option value="BT,975">BT +975</option>
                                                        <option value="BW,267">BW +267</option>
                                                        <option value="BY,375">BY +375</option>
                                                        <option value="BZ,501">BZ +501</option>
                                                        <option value="CA,1">CA +1</option>
                                                        <option value="CC,61">CC +61</option>
                                                        <option value="CD,243">CD +243</option>
                                                        <option value="CF,236">CF +236</option>
                                                        <option value="CG,242">CG +242</option>
                                                        <option value="CH,41">CH +41</option>
                                                        <option value="CI,225">CI +225</option>
                                                        <option value="CK,682">CK +682</option>
                                                        <option value="CL,56">CL +56</option>
                                                        <option value="CM,237">CM +237</option>
                                                        <option value="CN,86">CN +86</option>
                                                        <option value="CO,57">CO +57</option>
                                                        <option value="CR,506">CR +506</option>
                                                        <option value="CU,53">CU +53</option>
                                                        <option value="CV,238">CV +238</option>
                                                        <option value="CW,599">CW +599</option>
                                                        <option value="CY,357">CY +357</option>
                                                        <option value="CZ,420">CZ +420</option>
                                                        <option value="DE,49">DE +49</option>
                                                        <option value="DJ,253">DJ +253</option>
                                                        <option value="DK,45">DK +45</option>
                                                        <option value="DM,1">DM +1</option>
                                                        <option value="DO,1">DO +1</option>
                                                        <option value="DZ,213">DZ +213</option>
                                                        <option value="EC,593">EC +593</option>
                                                        <option value="EE,372">EE +372</option>
                                                        <option value="EG,20">EG +20</option>
                                                        <option value="ER,291">ER +291</option>
                                                        <option value="ES,34">ES +34</option>
                                                        <option value="ET,251">ET +251</option>
                                                        <option value="FI,358">FI +358</option>
                                                        <option value="FJ,679">FJ +679</option>
                                                        <option value="FK,500">FK +500</option>
                                                        <option value="FM,691">FM +691</option>
                                                        <option value="FO,298">FO +298</option>
                                                        <option value="FR,33">FR +33</option>
                                                        <option value="GA,241">GA +241</option>
                                                        <option value="GB,44">GB +44</option>
                                                        <option value="GD,1">GD +1</option>
                                                        <option value="GE,995">GE +995</option>
                                                        <option value="GF,594">GF +594</option>
                                                        <option value="GG,44">GG +44</option>
                                                        <option value="GH,233">GH +233</option>
                                                        <option value="GI,350">GI +350</option>
                                                        <option value="GL,299">GL +299</option>
                                                        <option value="GM,220">GM +220</option>
                                                        <option value="GN,224">GN +224</option>
                                                        <option value="GP,590">GP +590</option>
                                                        <option value="GQ,240">GQ +240</option>
                                                        <option value="GR,30">GR +30</option>
                                                        <option value="GT,502">GT +502</option>
                                                        <option value="GU,1">GU +1</option>
                                                        <option value="GW,245">GW +245</option>
                                                        <option value="GY,592">GY +592</option>
                                                        <option value="HK,852">HK +852</option>
                                                        <option value="HN,504">HN +504</option>
                                                        <option value="HR,385">HR +385</option>
                                                        <option value="HT,509">HT +509</option>
                                                        <option value="HU,36">HU +36</option>
                                                        <option value="ID,62">ID +62</option>
                                                        <option value="IE,353">IE +353</option>
                                                        <option value="IL,972">IL +972</option>
                                                        <option value="IM,44">IM +44</option>
                                                        <option value="IN,91">IN +91</option>
                                                        <option value="IO,246">IO +246</option>
                                                        <option value="IQ,964">IQ +964</option>
                                                        <option value="IR,98">IR +98</option>
                                                        <option value="IS,354">IS +354</option>
                                                        <option value="IT,39">IT +39</option>
                                                        <option value="JE,44">JE +44</option>
                                                        <option value="JM,1">JM +1</option>
                                                        <option value="JO,962">JO +962</option>
                                                        <option value="JP,81">JP +81</option>
                                                        <option value="KE,254">KE +254</option>
                                                        <option value="KG,996">KG +996</option>
                                                        <option value="KH,855">KH +855</option>
                                                        <option value="KI,686">KI +686</option>
                                                        <option value="KM,269">KM +269</option>
                                                        <option value="KN,1">KN +1</option>
                                                        <option value="KP,850">KP +850</option>
                                                        <option value="KR,82">KR +82</option>
                                                        <option value="KW,965">KW +965</option>
                                                        <option value="KY,1">KY +1</option>
                                                        <option value="KZ,7">KZ +7</option>
                                                        <option value="LA,856">LA +856</option>
                                                        <option value="LB,961">LB +961</option>
                                                        <option value="LC,1">LC +1</option>
                                                        <option value="LI,423">LI +423</option>
                                                        <option value="LK,94">LK +94</option>
                                                        <option value="LR,231">LR +231</option>
                                                        <option value="LS,266">LS +266</option>
                                                        <option value="LT,370">LT +370</option>
                                                        <option value="LU,352">LU +352</option>
                                                        <option value="LV,371">LV +371</option>
                                                        <option value="LY,218">LY +218</option>
                                                        <option value="MA,212">MA +212</option>
                                                        <option value="MC,377">MC +377</option>
                                                        <option value="MD,373">MD +373</option>
                                                        <option value="ME,382">ME +382</option>
                                                        <option value="MF,590">MF +590</option>
                                                        <option value="MG,261">MG +261</option>
                                                        <option value="MH,692">MH +692</option>
                                                        <option value="MK,389">MK +389</option>
                                                        <option value="ML,223">ML +223</option>
                                                        <option value="MM,95">MM +95</option>
                                                        <option value="MN,976">MN +976</option>
                                                        <option value="MO,853">MO +853</option>
                                                        <option value="MP,1">MP +1</option>
                                                        <option value="MQ,596">MQ +596</option>
                                                        <option value="MR,222">MR +222</option>
                                                        <option value="MS,1">MS +1</option>
                                                        <option value="MT,356">MT +356</option>
                                                        <option value="MU,230">MU +230</option>
                                                        <option value="MV,960">MV +960</option>
                                                        <option value="MW,265">MW +265</option>
                                                        <option value="MX,52">MX +52</option>
                                                        <option value="MY,60">MY +60</option>
                                                        <option value="MZ,258">MZ +258</option>
                                                        <option value="NA,264">NA +264</option>
                                                        <option value="NC,687">NC +687</option>
                                                        <option value="NE,227">NE +227</option>
                                                        <option value="NF,672">NF +672</option>
                                                        <option value="NG,234">NG +234</option>
                                                        <option value="NI,505">NI +505</option>
                                                        <option value="NL,31">NL +31</option>
                                                        <option value="NO,47">NO +47</option>
                                                        <option value="NP,977">NP +977</option>
                                                        <option value="NR,674">NR +674</option>
                                                        <option value="NU,683">NU +683</option>
                                                        <option value="NZ,64">NZ +64</option>
                                                        <option value="OM,968">OM +968</option>
                                                        <option value="PA,507">PA +507</option>
                                                        <option value="PE,51">PE +51</option>
                                                        <option value="PF,689">PF +689</option>
                                                        <option value="PG,675">PG +675</option>
                                                        <option value="PH,63">PH +63</option>
                                                        <option value="PK,92">PK +92</option>
                                                        <option value="PL,48">PL +48</option>
                                                        <option value="PM,508">PM +508</option>
                                                        <option value="PN,64">PN +64</option>
                                                        <option value="PR,1">PR +1</option>
                                                        <option value="PS,970">PS +970</option>
                                                        <option value="PT,351">PT +351</option>
                                                        <option value="PW,680">PW +680</option>
                                                        <option value="PY,595">PY +595</option>
                                                        <option value="QA,974">QA +974</option>
                                                        <option value="RE,262">RE +262</option>
                                                        <option value="RO,40">RO +40</option>
                                                        <option value="RS,381">RS +381</option>
                                                        <option value="RU,7">RU +7</option>
                                                        <option value="RW,250">RW +250</option>
                                                        <option value="SA,966">SA +966</option>
                                                        <option value="SB,677">SB +677</option>
                                                        <option value="SC,248">SC +248</option>
                                                        <option value="SD,249">SD +249</option>
                                                        <option value="SE,46">SE +46</option>
                                                        <option value="SG,65">SG +65</option>
                                                        <option value="SH,290">SH +290</option>
                                                        <option value="SI,386">SI +386</option>
                                                        <option value="SJ,47">SJ +47</option>
                                                        <option value="SK,421">SK +421</option>
                                                        <option value="SL,232">SL +232</option>
                                                        <option value="SM,378">SM +378</option>
                                                        <option value="SN,221">SN +221</option>
                                                        <option value="SO,252">SO +252</option>
                                                        <option value="SR,597">SR +597</option>
                                                        <option value="SS,211">SS +211</option>
                                                        <option value="ST,239">ST +239</option>
                                                        <option value="SV,503">SV +503</option>
                                                        <option value="SX,1">SX +1</option>
                                                        <option value="SY,963">SY +963</option>
                                                        <option value="SZ,268">SZ +268</option>
                                                        <option value="TC,1">TC +1</option>
                                                        <option value="TD,235">TD +235</option>
                                                        <option value="TG,228">TG +228</option>
                                                        <option value="TH,66">TH +66</option>
                                                        <option value="TJ,992">TJ +992</option>
                                                        <option value="TK,690">TK +690</option>
                                                        <option value="TL,670">TL +670</option>
                                                        <option value="TM,993">TM +993</option>
                                                        <option value="TN,216">TN +216</option>
                                                        <option value="TO,676">TO +676</option>
                                                        <option value="TR,90">TR +90</option>
                                                        <option value="TT,1">TT +1</option>
                                                        <option value="TV,688">TV +688</option>
                                                        <option value="TW,886">TW +886</option>
                                                        <option value="TZ,255">TZ +255</option>
                                                        <option value="UA,380">UA +380</option>
                                                        <option value="UG,256">UG +256</option>
                                                        <option value="US,1">US +1</option>
                                                        <option value="UY,598">UY +598</option>
                                                        <option value="UZ,998">UZ +998</option>
                                                        <option value="VA,39">VA +39</option>
                                                        <option value="VC,1">VC +1</option>
                                                        <option value="VE,58">VE +58</option>
                                                        <option value="VG,1">VG +1</option>
                                                        <option value="VI,1">VI +1</option>
                                                        <option value="VN,84">VN +84</option>
                                                        <option value="VU,678">VU +678</option>
                                                        <option value="WF,681">WF +681</option>
                                                        <option value="WS,685">WS +685</option>
                                                        <option value="YE,967">YE +967</option>
                                                        <option value="YT,262">YT +262</option>
                                                        <option value="ZA,27">ZA +27</option>
                                                        <option value="ZM,260">ZM +260</option>
                                                        <option value="ZW,263">ZW +263</option>
                                                    </select>
                                                </div>
                                                <input type="text" value="3036660512" class="form-control" data-bv-field="mobilenumber2" id="mobileNumber2" required placeholder="Mobile Number">
                                                <a href="" data-bs-toggle="tooltip" title="Remove" class="input-group-text text-2"><i class="fas fa-times"></i></a>
                                            </div>
                                        </div>
                                        <a class="btn-link text-uppercase d-flex align-items-center text-1 float-end mb-3" href="#"><span class="text-3 me-1"><i class="fas fa-plus-circle"></i></span>Add another Phone</a>
                                        <div class="d-grid w-100"><button class="btn btn-primary" type="submit">Save Changes</button></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>



<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/daterangepicker/moment.min.js"></script>
<script src="vendor/daterangepicker/daterangepicker.js"></script>
<script>
    $(function() {
        //'use strict';
        // Birth Date
        $('#birthDate').daterangepicker({
            singleDatePicker: true,
            showDropdowns: true,
            autoUpdateInput: false,
            maxDate: moment().add(0, 'days'),
        }, function(chosen_date) {
            $('#birthDate').val(chosen_date.format('MM-DD-YYYY'));
        });
    });

    function updatePersonalInformation() {
        // 'use strict';
        let firstName = document.getElementById('firstName').value;
        let lastName = document.getElementById('lastName').value;
        let dob = document.getElementById('dob').value;
        let address = document.getElementById('address').value;
        let inputCountry = document.getElementById('inputCountry').value;
        let state = document.getElementById('state').value;
        let city = document.getElementById('city').value;
        let zipCode = document.getElementById('zipCode').value;

        $.ajax({
            url:'process/update_personal_information.php',
            method:'post',
            dataType:'json',
            data:{firstName:firstName,lastName:lastName,dob:dob,address:address,inputCountry:inputCountry,state:state,city:city,zipCode:zipCode},
            success:function (data) {
                console.log(data)
                if(data.status){
                    alert(data.message)
                    location.reload()
                }else {
                    alert(data.message)
                }
            },
            error:function (error) {

            }
        });
    }

    function addPhoneNumber() {
        let dialingCode = document.getElementById('dialingCode').value
        let mobileNumber = document.getElementById('mobileNumber').value
        $.ajax({
            url:'process/add_phone.php',
            method:'post',
            dataType:'json',
            data:{dialingCode:dialingCode,mobileNumber:mobileNumber},
            success:function (data) {
                console.log(data)
                if(data.status){
                    alert(data.message)
                    location.reload()
                }else {
                    alert(data.message)
                }
            },
            error:function (error) {

            }
        });
    }
</script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
</body>
</html>
