<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$security = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary Menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary Menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

                    <!-- Password
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Password<a href="#change-password" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Change</a></h3>
                        <hr class="mx-n4 mb-4">
                        <p class="text-3">Create or update your password. - <span class="text-muted">Last changed:
                                <?php
                                if($profile['last_password_changed'] !=null){
                                    echo $profile['last_password_changed'];
                                }else{
                                    echo "N/A";
                                }
                                ?>
                            </span></p>
                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="change-password" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Change Password</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="changePassword" method="post">
                                        <div class="mb-3">
                                            <label for="existingPassword" class="form-label">Confirm Current Password</label>
                                            <input type="text" autocomplete="off" aria-autocomplete="none" class="form-control" data-bv-field="existingPassword" id="existingPassword" required placeholder="Enter Current Password">
                                        </div>
                                        <div class="mb-3">
                                            <label for="newPassword" class="form-label">New Password</label>
                                            <input type="password" class="form-control" data-bv-field="newPassword" id="newPassword" required placeholder="Enter New Password">
                                        </div>
                                        <div class="mb-3">
                                            <label for="confirmPassword" class="form-label">Confirm New Password</label>
                                            <input type="password" class="form-control" data-bv-field="confirmPassword" id="confirmPassword" required placeholder="Enter Confirm New Password">
                                        </div>
                                        <div class="d-grid mt-4"><button onclick="updatePassword('existingPassword','newPassword','confirmPassword')" class="btn btn-primary" type="button">Update Password</button></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Password End -->

                    <!-- Security Questions
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">Security Questions<a href="#change-security-questions" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-edit"></i></span>Change</a></h3>
                        <hr class="mx-n4 mb-4">
                        <p class="text-3">For your protection, please choose 3 security questions. This way, we can verify it’s really you if there’s ever a doubt.</p>
                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="change-security-questions" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Security Questions</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <p class="text-3 mb-4">We'll use these questions as a way to make sure it's your account, like if you need to reset your password</p>
                                    <form id="changePassword" method="post">
                                        <div class="mb-2">
                                            <label for="question1" class="form-label">Security Question 1</label>
                                            <select class="form-select" id="question1" name="question1">
                                                <option value="">Select a question</option>
                                                <option value="1">What was your childhood nickname?</option>
                                                <option value="2"> What is the name of your favorite childhood friend?</option>
                                                <option value="3"> What was the name of your first stuffed animal?</option>
                                                <option value="4"> In what city or town did your mother and father meet?</option>
                                                <option value="5">What is your youngest brother’s birthday year?</option>
                                                <option value="6"> What is your maternal grandmother's maiden name?</option>
                                                <option value="7"> In what city or town was your first job?</option>
                                                <option value="8"> What is the name of a college you applied to?</option>
                                            </select>
                                        </div>
                                        <div class="mb-4">
                                            <input type="text" class="form-control" data-bv-field="answers1" id="answers1" placeholder="Answer">
                                        </div>
                                        <div class="mb-2">
                                            <label for="question2" class="form-label">Security Question 2</label>
                                            <select class="form-select" id="question2" name="question2">
                                                <option value="">Select a question</option>
                                                <option value="1">What was your childhood nickname?</option>
                                                <option value="2"> What is the name of your favorite childhood friend?</option>
                                                <option value="3"> What was the name of your first stuffed animal?</option>
                                                <option value="4"> In what city or town did your mother and father meet?</option>
                                                <option value="5">What is your youngest brother’s birthday year?</option>
                                                <option value="6"> What is your maternal grandmother's maiden name?</option>
                                                <option value="7"> In what city or town was your first job?</option>
                                                <option value="8"> What is the name of a college you applied to?</option>
                                            </select>
                                        </div>
                                        <div class="mb-4">
                                            <input type="text" class="form-control" data-bv-field="answers2" id="answers2" placeholder="Answer">
                                        </div>
                                        <div class="mb-2">
                                            <label for="question3" class="form-label">Security Question 3</label>
                                            <select class="form-select" id="question3" name="question3">
                                                <option value="">Select a question</option>
                                                <option value="1">What was your childhood nickname?</option>
                                                <option value="2"> What is the name of your favorite childhood friend?</option>
                                                <option value="3"> What was the name of your first stuffed animal?</option>
                                                <option value="4"> In what city or town did your mother and father meet?</option>
                                                <option value="5">What is your youngest brother’s birthday year?</option>
                                                <option value="6"> What is your maternal grandmother's maiden name?</option>
                                                <option value="7"> In what city or town was your first job?</option>
                                                <option value="8"> What is the name of a college you applied to?</option>
                                            </select>
                                        </div>
                                        <div class="mb-4">
                                            <input type="text" class="form-control" data-bv-field="answers3" id="answers3" placeholder="Answer">
                                        </div>
                                        <div class="d-grid"><button class="btn btn-primary" type="submit">Save Changes</button></div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Security Questions End -->

                    <!-- 2-Step Verification
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center mb-4">2-Step Verification<a href="#two-step-verification" data-bs-toggle="modal" class="ms-auto text-2 text-uppercase btn-link"><span class="me-1"><i class="fas fa-tools"></i></span>SetUp</a></h3>
                        <hr class="mx-n4 mb-4">
                        <p class="text-3">Add an extra layer of security to your account by using a one-time security code in addition to your password each time you log in.</p>
                    </div>
                    <!-- Edit Details Modal
                    ================================== -->
                    <div id="two-step-verification" class="modal fade " role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">2-Step Verification</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4 text-center">
                                    <p class="lead">Protect your account with 2-step verification</p>
                                    <h3 class="text-5 mb-3">Where should we send your one-time code?</h3>
                                    <p class="lh-base">Let’s set up the mobile number where you’ll receive your codes for 2-step verification.</p>
                                    <form id="changePassword" method="post">
                                        <div class="mb-3">
                                            <div class="input-group">
                                                <select class="form-select" id="selectedCountry" name="selectedCountry">
                                                    <option value="Enabled">Enabled</option>
                                                    <option value="Disabled">Disabled</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="d-grid mt-4"><button class="btn btn-primary" type="submit">Done</button></div>
                                    </form>
                                    <p class="text-muted mt-3 mb-0">By continuing, you confirm that you are authorized to use this phone number and agree to receive text messages.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- 2-Step Verification End -->

                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->

    <?php
    include "footer.php";
    ?>

    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
<script>
    function updatePassword(existingPassword,newPassword,confirmPassword) {
        $.ajax({
            url:'process/update_password.php',
            method:'post',
            dataType:'json',
            data:{existingPassword:$("#"+existingPassword).val(), newPassword:$("#"+newPassword).val(), confirmPassword:$("#"+confirmPassword).val()},
            success:function (data) {
                if(data.status){
                    alert(data.message)
                    location.reload()
                }else {
                    alert(data.message)
                }
            },
            error:function (error) {
                console.log(error)
            }
        })
    }
</script>
</body>
</html>
