<style>
    #profileImage {
        width: 100px; /* set desired width */
        height: 100px; /* set desired height */
        object-fit: cover; /* Ensures the image fits within the dimensions */
    }
</style>
<aside class="col-lg-3">
    <!-- Profile Details
    =============================== -->
    <div class="bg-white shadow-sm rounded text-center p-3 mb-4">
        <div class="profile-thumb mt-3 mb-4">
            <img class="rounded-circle" id="profileImage" src="<?php echo $profile['avatar'] != null ? 'images/avatars/'.$profile['avatar'] : 'images/profile-thumb-sm.jpg' ?>?=<?php echo rand(0000,9999) ?>" alt="">
            <div class="profile-thumb-edit bg-primary text-white" data-bs-toggle="tooltip" title="Change">
                <i class="fas fa-camera position-absolute"></i>
                <input type="file" class="custom-file-input" id="customFile" accept="image/*">
            </div>
        </div>
        <p class="text-3 fw-500 mb-2 text-capitalize">Hello, <?php echo $profile['firstName'].' '.$profile['lastName'];?></p>
        <p class="mb-2"><a href="./settings-profile" class="text-5 text-light" data-bs-toggle="tooltip" title="Edit Profile"><i class="fas fa-edit"></i></a></p>
    </div>
    <!-- Profile Details End -->

    <!-- Available Balance
    =============================== -->
    <div class="bg-white shadow-sm rounded text-center p-3 mb-4">
        <div class="text-17 text-light my-3"><i class="fas fa-wallet"></i></div>
        <h3 class="text-9 fw-400">
            <?php
            $wallet = $helper->getPrimaryWallet($profile['wallets']);
            print $helper->getWalletSymbol($wallet['wallet']). number_format(($wallet['balance']));
            ?>
        </h3>
                <p class="mb-2 text-muted opacity-8">Available Balance</p>
        <p class="text-muted opacity-8" style="font-size: 11px">As at <?php echo date('Y m, d'); ?></p>

        <hr class="mx-n3">
        <div class="d-flex"><a href="./settings-payment-methods" class="btn-link me-auto">Other Account</a> <a href="./send-money" class="btn-link ms-auto">Send/Withdraw</a></div>
    </div>
    <!-- Available Balance End -->

    <!-- Need Help?
    =============================== -->
    <div class="bg-white shadow-sm rounded text-center p-3 mb-4">
        <div class="text-17 text-light my-3"><i class="fas fa-file-contract"></i></div>
        <h3 class="text-5 fw-400 my-4">Apply for a Loan?</h3>
        <p class="text-muted opacity-8 mb-4">Ready to turn your dreams into reality? Apply for a loan today and take the first step toward achieving your financial goals!<br>
            Whether it's for a new home, education, or a business venture, our loan options are designed to fit your needs. Start your application now!.</p>
        <div class="d-grid"><a href="../contact" class="btn btn-primary">Apply Now</a></div>
    </div>
    <!-- Need Help? End -->

</aside>

<script>
    document.getElementById("customFile").addEventListener("change", function () {
        const file = this.files[0];

        if (file) {
            // Preview the selected image
            const reader = new FileReader();
            reader.onload = function (e) {
                document.getElementById("profileImage").src = e.target.result;
                document.getElementById("profileImage2").src = e.target.result;
            };
            reader.readAsDataURL(file);

            // Create FormData and send the image to the backend
            const formData = new FormData();
            formData.append('profileImage', file);
            console.log('profileImage', file);

            $.ajax({
                url: 'process/upload-profile-avatar.php',  // Change to your upload handler
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                dataType:'json',
                success: function (response) {
                    message("success","Profile image updated successfully!");
                },
                error: function (xhr, status, error) {
                    console.error("Failed to upload the image: ", error);
                }
            });
        }
    });

</script>
