<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Custom Stamp</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f7f7f7;
        }
        .stamp-container {
            position: relative;
            width: 200px;
            height: 200px;
            border: 5px solid #333;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            background-color: white;
        }
        .stamp-text {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 170px;
            height: 170px;
            border-radius: 50%;
            border: 2px dashed #333;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .stamp-text p {
            font-size: 16px;
            font-weight: bold;
            margin: 0;
            letter-spacing: 2px;
            color: #333;
        }
        .signature {
            position: absolute;
            top: 70%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 120px;
            height: auto;
        }
        .stamp-outer-text {
            position: absolute;
            width: 100%;
            text-align: center;
            top: 10px;
            font-weight: bold;
            letter-spacing: 1px;
            color: #333;
        }
        .stamp-outer-text:before {
            content: "Payyed Bank";
            display: block;
            font-size: 15px;
            margin-top:30px
        }
        .stamp-outer-text:after {
            content: "Certified";
            display: block;
            font-size: 12px;
            margin-top: 5px;
        }
    </style>
</head>
<body>

<div class="stamp-container">
    <div class="stamp-outer-text"></div>
    <div class="stamp-text">
        <p>Approved</p>
    </div>
    <img class="signature" src="images/signature.png" alt="Signature">
</div>

</body>
</html>
