<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$transactions = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/daterangepicker/daterangepicker.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">
                    <h2 class="fw-400 mb-3">History</h2>

                    <!-- Filter
                    ============================================= -->
                    <div class="row">
                        <div class="col mb-2">
                            <form id="filterTransactions" method="post">
                                <div class="row g-3 mb-3">
                                    <!-- Date Range
                                    ========================= -->
                                    <div class="col-sm-6 col-md-5">
                                        <div class="position-relative">
                                            <input id="dateRange" type="text" class="form-control" placeholder="Date Range">
                                            <span class="icon-inside"><i class="fas fa-calendar-alt"></i></span>
                                        </div>
                                    </div>
                                    <!-- All Filters Link
                                    ========================= -->
                                    <div class="col-auto d-flex align-items-center me-auto form-group" data-bs-toggle="collapse"> <a class="btn-link" data-bs-toggle="collapse" href="#allFilters" aria-expanded="false" aria-controls="allFilters">All Filters<i class="fas fa-sliders-h text-3 ms-1"></i></a> </div>

                                    <!-- Statements Link
                                    ========================= -->
                                    <div class="col-auto d-flex align-items-center ms-auto">
                                        <div class="dropdown"> <a class="text-muted btn-link" href="#" role="button" id="statements" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-file-download text-3 me-1"></i>Statements</a>
                                            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="statements"> <a class="dropdown-item" href="#">CSV</a> <a class="dropdown-item" href="#">PDF</a> </div>
                                        </div>
                                    </div>

                                    <!-- All Filters collapse
                                    ================================ -->
                                    <div class="col-12 collapse" id="allFilters">
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="allTransactions" name="allFilters" value="all" checked>
                                            <label class="form-check-label" for="allTransactions">All Transactions</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="paymentsSend" name="allFilters" value="payment">
                                            <label class="form-check-label" for="paymentsSend">Payments Send</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="credit" name="allFilters" value="credit">
                                            <label class="form-check-label" for="received">Payments Received</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="refunds" name="allFilters" value="refunds">
                                            <label class="form-check-label" for="refunds">Refunds</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="withdrawal" name="allFilters" value="withdrawal">
                                            <label class="form-check-label" for="withdrawal">Withdrawal</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" id="deposit" name="allFilters" value="deposit">
                                            <label class="form-check-label" for="deposit">Deposit</label>
                                        </div>

                                    </div>
                                    <!-- All Filters collapse End -->
                                </div>
                            </form>
                        </div>
                    </div>
                    <!-- Filter End -->

                    <!-- All Transactions
                    ============================================= -->
                    <div class="bg-white shadow-sm rounded py-4 mb-4">
                        <h3 class="text-5 fw-400 d-flex align-items-center px-4 ">Your Financial Statement Review</h3>
                        <div class="container" style="margin-bottom:30px">
                            <small style="font-size: 11px">(Credit and Debit Statement)</small>
                        </div>
                        <!-- Title
                        =============================== -->
                        <div class="transaction-title py-2 px-4">
                            <div class="row">
                                <div class="col-2 col-sm-1 text-center"><span class="">Date</span></div>
                                <div class="col col-sm-7">Description</div>
                                <div class="col-auto col-sm-2 d-none d-sm-block text-center">Status</div>
                                <div class="col-3 col-sm-2 text-end">Amount</div>
                            </div>
                        </div>
                        <!-- Title End -->

                        <!-- Transaction List
                        =============================== -->
                        <?php
                        $date = $_GET['date'] ?? null;
                        $q = $_GET['q'] ?? null;
                        $transactions = $helper->getUserTransactions($_SESSION['profile'], $q, $date);

                        echo $helper->displayTransactions($transactions);
                        ?>
                        <!-- Transaction List End -->

                        <!-- Transaction Item Details Modal
                        =========================================== -->
                        <div id="transaction-detail" class="modal fade" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <div class="row g-0">
                                            <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-start py-4">
                                                <div class="my-auto text-center">
                                                    <div class="text-17 text-white my-3"><i class="fas fa-building"></i></div>
                                                    <h3 id="modal-bank-name" class="text-4 text-white fw-400 my-3">N/A</h3> <!-- Bank name will be updated here -->
                                                    <div id="modal-amount" class="text-8 fw-500 text-white my-4">$0.00</div> <!-- Amount will be updated here -->
                                                    <p id="modal-transaction-date" class="text-white">N/A</p> <!-- Transaction date will be updated here -->
                                                </div>
                                            </div>
                                            <div class="col-sm-7">
                                                <h5 class="text-5 fw-400 m-3">Transaction Details
                                                    <button type="button" class="btn-close text-2 float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </h5>
                                                <hr>
                                                <div class="px-3">
                                                    <ul class="list-unstyled">
                                                        <li class="mb-2">Payment Amount <span id="modal-payment-amount" class="float-end text-3">N/A</span></li>
                                                        <li class="mb-2">Fee <span id="modal-fee" class="float-end text-3">N/A</span></li>
                                                    </ul>
                                                    <hr class="mb-2">
                                                    <p class="d-flex align-items-center fw-500 mb-0">Total Amount <span id="modal-total-amount" class="text-3 ms-auto">$0.00</span></p>
                                                    <hr class="mb-4 mt-2">
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Receiving Bank:</li>
                                                        <li id="modal-receiving-bank" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Transaction ID:</li>
                                                        <li id="modal-transaction-id" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Description:</li>
                                                        <li id="modal-description" class="text-muted">N/A</li>
                                                    </ul>
                                                    <ul class="list-unstyled">
                                                        <li class="fw-500">Status:</li>
                                                        <li id="modal-status" class="text-muted">Completed<span class="text-success text-3 ms-1"><i class="fas fa-check-circle"></i></span></li>
                                                    </ul>

                                                    <div id="shouldContinue"></div>
                                                    <br>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Transaction Item Details Modal End -->

                        <!-- Pagination
                        ============================================= -->
<!--                        <ul class="pagination justify-content-center mt-4 mb-0">-->
<!--                            <li class="page-item disabled"> <a class="page-link" href="#" tabindex="-1"><i class="fas fa-angle-left"></i></a> </li>-->
<!--                            <li class="page-item"><a class="page-link" href="#">1</a></li>-->
<!--                            <li class="page-item active"><a class="page-link" href="#">2</a></li>-->
<!--                            <li class="page-item"><a class="page-link" href="#">3</a></li>-->
<!--                            <li class="page-item d-flex align-content-center flex-wrap text-muted text-5 mx-1">......</li>-->
<!--                            <li class="page-item"><a class="page-link" href="#">15</a></li>-->
<!--                            <li class="page-item"> <a class="page-link" href="#"><i class="fas fa-angle-right"></i></a> </li>-->
<!--                        </ul>-->
                        <!-- Paginations end -->

                    </div>
                    <!-- All Transactions End -->
                </div>
                <!-- Middle End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";
    ?>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>



<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/daterangepicker/moment.min.js"></script>
<script src="vendor/daterangepicker/daterangepicker.js"></script>
<script>
    $(function() {
        'use strict';

        // Date Range Picker
        $(function() {
            var start = moment().subtract(29, 'days');
            var end = moment();
            function cb(start, end) {
                $('#dateRange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
            }
            $('#dateRange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                }
            }, cb);
            cb(start, end);
        });
    });

        function getTransactionDetails(id) {
        // Perform the AJAX request
        $.ajax({
            url: 'process/transaction_details.php', // Update with your actual API endpoint
            type: 'GET',
            dataType: 'json',
            data: { id: id }, // Ensure 'id' is being sent
            success: function(response) {
                //console.log('Response:', response); // Log the response for debugging

                if (response.status) {
                    const transaction = response.data;

                    const [datePart] = transaction.created_at.split(' ');
                    const transactionDate = new Date(datePart).toLocaleDateString('en-US', {
                        year: 'numeric', month: 'long', day: 'numeric'
                    });

                    // Update modal content using unique IDs
                    $('#modal-bank-name').text(transaction.bank_name);
                    $('#modal-amount').text('$' + parseFloat(transaction.amount).toFixed(2));
                    $('#modal-transaction-date').text(transactionDate);

                    // Populate other transaction details
                    $('#modal-payment-amount').text('$' + (transaction.amount ? parseFloat(transaction.amount).toFixed(2) : 'N/A'));
                    $('#modal-fee').text('$' + (transaction.fee ? parseFloat(transaction.fee).toFixed(2) : '0'));
                    $('#modal-total-amount').text('$' + (transaction.amount ? parseFloat(transaction.amount).toFixed(2) : 'N/A'));
                    $('#modal-receiving-bank').text(transaction.bank_name || 'N/A');
                    $('#modal-transaction-id').text(transaction.transaction_id || 'N/A');
                    $('#modal-description').text(transaction.description || 'N/A');
                    $('#modal-status').html(transaction.status +
                        (transaction.status === 'completed' ? '<span class="text-success text-3 ms-1"><i class="fas fa-check-circle"></i></span>' : ''));

                    $("#shouldContinue").html(
                        (transaction.transferOption === 'Wire' || transaction.transferOption === 'Domestic') &&
                        (transaction.currentlyRequired === 'cot' || transaction.currentlyRequired === 'imf' || transaction.currentlyRequired === 'otp') && transaction.status ==='pending'
                            ? `<div class="d-grid"><a href="./completion?q=${transaction.transaction_id}" class="btn btn-sm btn-outline-danger shadow-none"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Continue Transfer</a></div>`
                            : null
                    );

                    // Show the modal
                    $('#transaction-detail').modal('show');
                } else {
                    console.log(response.message + ' error response');
                }
            },
            error: function(xhr, status, error) {
                console.log('Error fetching transaction details:', error);
                // alert('An error occurred while fetching transaction details.');
            }
        });
    }

    // $(document).ready(function() {
    //     // Listen for changes to the radio buttons
    //     $('input[name="allFilters"]').change(function() {
    //         // Get the selected value
    //         const selectedFilter = $(this).val();
    //         const dateRange = $('#dateRange').val();
    //
    //         // Log the date range
    //         console.log(dateRange, 'date');
    //
    //         // Get the current URL
    //         const baseUrl = window.location.origin + '/payyed/profile/transactions';
    //
    //         // Build the new URL with the query parameters
    //         const newUrl = `${baseUrl}?q=${selectedFilter}&date=${encodeURIComponent(dateRange)}`;
    //
    //         // Update the browser's URL
    //         window.history.replaceState(null, '', newUrl);
    //
    //         // Check if the new URL is different from the current URL
    //         if (window.location.href !== newUrl) {
    //             // Reload the page to apply the new filters
    //             location.reload();
    //         }
    //     });
    //
    //     // Listen for changes to the date range input
    //     $('#dateRange').change(function() {
    //         const selectedFilter = $('input[name="allFilters"]:checked').val(); // Get the selected filter value
    //         const dateRange = $(this).val();
    //
    //         // Log the date range
    //         console.log(dateRange, 'date');
    //
    //         // Get the current URL
    //         const baseUrl = window.location.origin + '/payyed/profile/transactions';
    //
    //         // Build the new URL with the query parameters
    //         const newUrl = `${baseUrl}?q=${selectedFilter}&date=${encodeURIComponent(dateRange)}`;
    //
    //         // Update the browser's URL
    //         window.history.replaceState(null, '', newUrl);
    //
    //         // Check if the new URL is different from the current URL
    //         if (window.location.href !== newUrl) {
    //             // Reload the page to apply the new filters
    //             location.reload();
    //         }
    //     });
    // });



</script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
</body>
</html>
