<?php
require_once "includes/init.php";
require_once "includes/isLogged.php";
$virtual_cards = true;
$cards = true;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="images/favicon.png" rel="icon" />
    <title><?php echo $info['name']; ?> - Money Transfer and Online Payments</title>
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Web Fonts
    ============================================= -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="vendor/font-awesome/css/all.min.css" />
    <link rel="stylesheet" type="text/css" href="css/stylesheet.css" />
    <!-- Colors Css -->
    <link id="color-switcher" type="text/css" rel="stylesheet" href="#" />
    <link rel="stylesheet" type="text/css" href="css/google-translate.css" />
    <style>
        .isLoading {
            border: 3px solid #f3f3f3;
            border-radius: 50%;
            border-top: 3px solid #02d20a;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 0.5s linear infinite; /* Safari */
            animation: spin 0.5s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% { -webkit-transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); }
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        .btn {
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
        }
        .btn[disabled] {
            background-color: #ccc;
            cursor: not-allowed;
            pointer-events: none;
        }
        .card-banner {
            position: relative;
            background-image: url('images/apply-card4.jpg');
            background-size: cover;
            height: 200px;
            border-radius: 20px;
            overflow: hidden;
        }

        .card-banner::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.7); /* Adjust opacity by changing the last number */
            border-radius: 20px;
            z-index: 0;
        }
        .card-banner p{
            color: #FFFFFF;
        }
        .card-banner h2{
            color: #FFFFFF;
        }
    </style>
</head>
<body>

<!-- Preloader -->
<div id="preloader">
    <div data-loader="dual-ring"></div>
</div>
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo me-3"> <a class="d-flex" href="../" title="<?php echo $info['name']; ?>"><img src="images/logo.png" alt="<?php echo $info['name']; ?>" /></a> </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#header-nav"> <span></span> <span></span> <span></span> </button>
                    <!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <?php
                    include "nav.php";
                    ?>
                    <!-- Primary Navigation end -->
                </div>
                <?php
                include "drop-nav.php";
                ?>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Secondary menu
    ============================================= -->
    <?php
    include "account-menu.php";
    ?>
    <!-- Secondary menu end -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">
                <!-- Left Panel
                ============================================= -->
                <?php
                include "side-menu.php";
                ?>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->
                <div class="col-lg-9">

<!--                    <div class="p-4 mb-4" style="background-image: url('images/apply-card3.jpg'); background-size: cover;height: 200px;border-radius: 20px;overflow: hidden">-->
<!--                       <div style="padding: 20px">-->
<!--                           <h2>Apply Now for Your Card</h2>-->
<!--                           <p>Experience convenience and security</p>-->
<!--                       </div>-->
<!--                    </div>-->

                    <div class="p-4 mb-4 card-banner">
                        <div style="padding: 20px; position: relative; z-index: 1;">
                            <h2>Apply Now for Your Card</h2>
                            <p>Enjoy secure, effortless spending anywhere with security</p>
                        </div>
                    </div>

                    <div class="bg-white shadow-sm rounded p-4 mb-4">
                        <h3 class="text-5 fw-400 mb-4">ATM cards <span class="text-muted text-4">(Virtual)</span></h3>
                        <hr class="mb-4 mx-n4">
                        <div class="row g-3">
                            <?php
                            //print_r($profile);
                            foreach ($profile['cards'] as $card){
                                $c = $helper->checkCardStatus($card['valid'], $card['card_status']);
                            ?>
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="account-card
                                <?php
                                if($c =='Processing'){
                                    echo 'account-card-new';
                                }else if($c =='Blocked'){
                                    echo 'account-card-block';
                                }else{
                                    echo 'account-card-primary';
                                }
                                ?>
                                text-white rounded p-3">
                                    <p class="text-4">
                                        <?php
                                        echo $helper->maskCardNumber($card['number']);
                                        ?>
                                    </p>
                                    <p class="d-flex align-items-center"> <span class="account-card-expire text-uppercase d-inline-block opacity-7 me-2">Valid<br>
                    thru<br>
                    </span> <span class="text-4 opacity-9">
                                            <?php
                                           echo $card['valid'];
                                            ?>
                                        </span>
                                            <?php

                                            if($c=='Active'){
                                                echo '<span class="badge bg-success text-white text-0 fw-500 rounded-pill px-2 ms-auto">Active</span>';
                                            }else if($c =='Processing'){
                                                echo '<span class="badge bg-warning text-white text-0 fw-500 rounded-pill px-2 ms-auto">Processing</span>';
                                            }else{
                                                echo '<span class="badge bg-danger text-white text-0 fw-500 rounded-pill px-2 ms-auto">Blocked</span>';
                                            }
                                            ?>
                                         </p>
                                    <p class="d-flex align-items-center m-0"> <span class="text-uppercase fw-500">
                                            <?php
                                            echo $card['name'];
                                            ?>
                                        </span> <span class="ms-auto text-capitalize">
                                        <?php
                                        echo $card['type'] == 'american' ? 'American Express': $card['type'];
                                        ?>
                                        </span></p>
                                    <div class="account-card-overlay rounded">
                                        <?php
                                        if($card['card_status'] =='Active'){
                                            ?>
                                            <a href="javascript:void(0)" onclick="getCardDetails(<?php echo htmlspecialchars(json_encode($card), ENT_QUOTES, 'UTF-8'); ?>)" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-file"></i></span>View</a>
                                            <a href="javascript:void(0)" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Cancel card</a>
                                        <?php
                                        }else if($card['card_status'] =='Processing'){
                                            ?>
                                            <a href="javascript:void(0)" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Cancel card</a>
                                            <?php
                                        }
                                        ?>

                                    </div>
                                </div>
                            </div>
                            <?php
                            }
                            ?>

                            <div class="col-12 col-md-6 col-lg-4"> <a href="" data-bs-target="#apply-for-card" data-bs-toggle="modal" class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                    <p class="w-100 text-center lh-base m-0"> <span class="text-3"><i class="fas fa-plus-circle"></i></span> <span class="d-block text-body text-3">Apply for a New Card</span> </p>
                                </a>
                            </div>

                        </div>
                    </div>

                    <div id="apply-for-card" class="modal fade" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-400">Apply for a New Card</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body p-4">
                                    <form id="addCard" method="post">
                                        <div class="btn-group d-flex mb-3" role="group">
                                            <input type="radio" class="btn-check" name="options" id="option1" value="Debit" autocomplete="off" checked>
                                            <label class="btn btn-outline-secondary btn-sm shadow-none w-100" for="option1">Debit</label>

                                            <input type="radio" class="btn-check" name="options" id="option2" value="Credit" autocomplete="off">
                                            <label class="btn btn-outline-secondary btn-sm shadow-none w-100" for="option2">Credit</label>
                                        </div>
                                        <div class="row g-3">

                                            <div class="col-12">
                                                <label for="cardType" class="form-label">Select Account</label>
                                                <?php
                                                $accWallet = $profile['wallets'];
                                                //print_r($accWallet);
                                                ?>
                                                <select id="wallet_id" name="wallet_id" class="form-select" required="">
                                                    <option value="">---Select---</option>
                                                    <?php
                                                    foreach ($accWallet as $row){

                                                    ?>
                                                    <option value="<?php echo $row['wallet_id']; ?>"><?php echo $helper->maskAccountNumber($row['wallet_number']);  ?></option>
                                                    <?php
                                                    }
                                                    ?>
                                                </select>
                                            </div>

                                            <div class="col-12">
                                                <label for="cardType" class="form-label">Card Type</label>
                                                <select id="cardType" class="form-select" required="">
                                                    <option value="">Card Type</option>
                                                    <option value="visa">Visa</option>
                                                    <option value="mastercard">MasterCard</option>
                                                    <option value="american">American Express</option>
                                                    <option value="discover">Discover</option>
                                                </select>
                                            </div>
                                            <div class="col-12">
                                                <label for="cardName" class="form-label">Card Name</label>
                                                <input type="text" readonly disabled class="form-control" data-bv-field="cardName" id="cardName" required value="<?php echo $profile['firstName'].' '. $profile['lastName']; ?>" placeholder="Card Name">
                                            </div>


                                            <div class="col-12 d-grid mt-4">

                                                <button type="submit" id="cardRequestButton" class="btn btn-primary w-100 text-center mb-4">
                                                    <span id="cardRequestButtonText">Apply</span>
                                                    <div style="display: none" id="processCardRequest" class="isLoading"></div>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="bg-white shadow-sm rounded p-4 mb-4" style="display: none">
                        <h3 class="text-5 fw-400 mb-4">Link Existing Cards <span class="text-muted text-4">(Saved)</span></h3>
                        <hr class="mb-4 mx-n4">
                        <div class="row g-3">
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="account-card account-card-primary text-white rounded p-3">
                                    <p class="text-4">XXXX-XXXX-XXXX-4151</p>
                                    <p class="d-flex align-items-center"> <span class="account-card-expire text-uppercase d-inline-block opacity-7 me-2">Valid<br>
                    thru<br>
                    </span> <span class="text-4 opacity-9">07/24</span> <span class="badge bg-warning text-dark text-0 fw-500 rounded-pill px-2 ms-auto">Primary</span> </p>
                                    <p class="d-flex align-items-center m-0"> <span class="text-uppercase fw-500">Smith Rhodes</span> <img class="ms-auto" src="images/payment/visa.png" alt="visa" title=""> </p>
                                    <div class="account-card-overlay rounded"> <a href="#" data-bs-target="#edit-card-details" data-bs-toggle="modal" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a> <a href="#" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Delete</a> </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 col-lg-4">
                                <div class="account-card text-white rounded p-3">
                                    <p class="text-4">XXXX-XXXX-XXXX-6296</p>
                                    <p class="d-flex align-items-center"> <span class="account-card-expire text-uppercase d-inline-block opacity-7 me-2">Valid<br>
                    thru<br>
                    </span> <span class="text-4 opacity-9">07/23</span> </p>
                                    <p class="d-flex align-items-center m-0"> <span class="text-uppercase fw-500">Smith Rhodes</span> <img class="ms-auto" src="images/payment/mastercard.png" alt="mastercard" title=""> </p>
                                    <div class="account-card-overlay rounded"> <a href="#" data-bs-target="#edit-card-details" data-bs-toggle="modal" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-edit"></i></span>Edit</a> <a href="#" class="text-light btn-link mx-2"><span class="me-1"><i class="fas fa-minus-circle"></i></span>Delete</a> </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6 col-lg-4"> <a href="" data-bs-target="#add-new-card-details" data-bs-toggle="modal" class="account-card-new d-flex align-items-center rounded h-100 p-3 mb-4 mb-lg-0">
                                    <p class="w-100 text-center lh-base m-0"> <span class="text-3"><i class="fas fa-plus-circle"></i></span> <span class="d-block text-body text-3">Link Card</span> </p>
                                </a> </div>
                        </div>
                    </div>


                </div>
                <!-- Middle Panel End -->
            </div>
        </div>
    </div>
    <!-- Content end -->


    <div id="add-new-card-details" class="modal fade" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title fw-400">Link Existing Card</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body p-4">
                    <form id="addCard" method="post">
                        <div class="btn-group d-flex mb-3" role="group">
                            <input type="radio" class="btn-check" name="options" id="option1" autocomplete="off" checked>
                            <label class="btn btn-outline-secondary btn-sm shadow-none w-100" for="option1">Debit</label>

                            <input type="radio" class="btn-check" name="options" id="option2" autocomplete="off">
                            <label class="btn btn-outline-secondary btn-sm shadow-none w-100" for="option2">Credit</label>
                        </div>
                        <div class="row g-3">


                            <div class="col-12">
                                <label for="cardType" class="form-label">Card Type</label>
                                <select id="cardType" class="form-select" required="">
                                    <option value="">Card Type</option>
                                    <option>Visa</option>
                                    <option>MasterCard</option>
                                    <option>American Express</option>
                                    <option>Discover</option>
                                </select>
                            </div>

                            <div class="col-12">
                                <label for="cardNumber" class="form-label">Card Number</label>
                                <input type="text" class="form-control" data-bv-field="cardnumber" id="cardNumber" required value="" placeholder="Card Number">
                            </div>
                            <div class="col-lg-6">
                                <label for="expiryDate" class="form-label">Expiry Date</label>
                                <input id="expiryDate" type="text" class="form-control" data-bv-field="expiryDate" required value="" placeholder="MM/YY">
                            </div>
                            <div class="col-lg-6">
                                <label for="cvvNumber" class="form-label">CVV <span class="text-info ms-1" data-bs-toggle="tooltip" title="For Visa/Mastercard, the three-digit CVV number is printed on the signature panel on the back of the card immediately after the card's account number. For American Express, the four-digit CVV number is printed on the front of the card above the card account number."><i class="fas fa-question-circle"></i></span></label>
                                <input id="cvvNumber" type="password" class="form-control" data-bv-field="cvvnumber" required value="" placeholder="CVV (3 digits)">
                            </div>
                            <div class="col-12">
                                <label for="cardHolderName" class="form-label">Card Holder Name</label>
                                <input type="text" class="form-control" data-bv-field="cardholdername" id="cardHolderName" required value="" placeholder="Card Holder Name">
                            </div>
                            <div class="col-12 d-grid mt-4">
                                <button class="btn btn-primary" type="submit">Link Card</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div id="card-details" class="modal fade" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered transaction-details" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="row g-0">
                        <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-start py-4">
                            <div class="my-auto text-center">
                                <div class="text-17 text-white mb-3"><i class="fas fa-credit-card"></i></div>
                                <h3 class="text-6 text-white my-3" id="card-type2"></h3>
                                <p class="badge bg-light text-dark text-0 fw-500 rounded-pill px-2 mb-0" id="isPrimary" style="display: none">Primary</p>
                            </div>
                        </div>
                        <div class="col-sm-7">
                            <h5 class="text-5 fw-400 m-3">Card Information
                                <button type="button" class="btn-close text-2 float-end" data-bs-dismiss="modal" aria-label="Close"></button>
                            </h5>
                            <hr>
                            <div class="px-3 mb-3">
                                <ul class="list-unstyled">
                                    <li class="fw-500">Card Number:</li>
                                    <li class="text-muted" id="card-number">---</li>
                                </ul>
                                <ul class="list-unstyled">
                                    <li class="fw-500">Account Name:</li>
                                    <li class="text-muted" id="card-name">....</li>
                                </ul>

                                <ul class="list-unstyled">
                                    <li class="fw-500">CVV:</li>
                                    <li class="text-muted" id="card-cvv">....</li>
                                </ul>
                                <ul class="list-unstyled">
                                    <li class="fw-500">Valid Thru:</li>
                                    <li class="text-muted" id="card-valid"></li>
                                </ul>
                                <ul class="list-unstyled">
                                    <li class="fw-500">Card Type:</li>
                                    <li class="text-muted" id="card-type"></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer
    ============================================= -->
    <?php
    include "footer.php";

    ?>
    <!-- Footer end -->

</div>

<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-bs-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>


<!-- Script -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Style Switcher -->
<script src="js/switcher.min.js"></script>
<script src="js/theme.js"></script>
<script>
    $(document).ready(function() {
        $('#addbankaccount').on('submit', function(e) {
            e.preventDefault(); // Prevent the default form submission

            $.ajax({
                url: 'process/save_bank_account.php', // The PHP file to process the request
                type: 'POST',
                data: $(this).serialize(), // Serialize form data
                success: function(response) {
                    alert(response); // Show response message
                    // $('#add-new-bank-account').modal('hide'); // Hide modal on success
                    // $('#addbankaccount')[0].reset(); // Reset the form
                },
                error: function(xhr, status, error) {
                    console.error(xhr.responseText); // Log error response
                    alert('An error occurred. Please try again.'); // Show error message
                }
            });
        });
    });

    function makeAccountPrimary(id) {
        $.ajax({
            url: 'process/make_wallet_primary.php', // The PHP file to process the request
            type: 'POST',
            data: {id:id}, // Serialize form data
            dataType:'json',
            success: function(response) {
                alert(response); // Show response message
            },
            error: function(xhr, status, error) {
                console.error(xhr.responseText); // Log error response
                alert('An error occurred. Please try again.'); // Show error message
            }
        });
    }

    function bankAccountDetails(data) {
        document.getElementById('beneficiaryBank').innerText = data.bank_name
        document.getElementById('beneficiaryCountryBank').innerText = data.country
        document.getElementById('beneficiaryAccountNumber').innerText = data.account_number
        document.getElementById('beneficiaryAccountName').innerText = data.account_name
        document.getElementById('savedStatus').innerText = data.status
        document.getElementById('beneficiaryAccountType').innerText = data.account_type
        document.getElementById('beneficiarySwift_code').innerText = data.swift_code
        let p = document.getElementById('isPrimary');
        data.primary_bank === 1 ? p.style.display = 'block' : p.style.display = 'none'
        console.log(data)
    }



    $(document).ready(function(){
        $('#addCard').on('submit', function(e) {
            e.preventDefault(); // Prevent form from submitting normally

            // Collect the form data
            let cardType = $('#cardType').val();
            let wallet_id = $('#wallet_id').val();
            let cardName = $('#cardName').val();
            let cardOption = $('input[name="options"]:checked').val();

            // Show a loader or disable the button to prevent multiple submissions
            $('#cardRequestButtonText').hide();
            $('#processCardRequest').show();

            // Send the form data via AJAX
            $.ajax({
                url: 'process/new_card.php',  // Your backend URL where the request will be handled
                type: 'POST',
                dataType: 'json',
                data: {
                    wallet_id: wallet_id,
                    cardType: cardType,
                    cardName: cardName,
                    cardOption: cardOption
                },
                success: function(response) {
                    // Handle success response
                    $('#cardRequestButtonText').show();
                    $('#processCardRequest').hide();

                    if(response.status){
                        alert('Card application submitted successfully!');
                        location.reload()
                    } else {
                        alert('Error: ' + response.message);
                    }
                },
                error: function(xhr, status, error) {
                    // Handle error response
                    $('#cardRequestButtonText').show();
                    $('#processCardRequest').hide();
                    alert('An error occurred: ' + error);
                }
            });
        });
    });


    function getCardDetails(details) {

        $("#card-number").html(details.number);
        $("#card-name").html(details.name);
        $("#card-valid").html(details.valid);
        $("#card-type").html(details.type);
        $("#card-type2").html(details.type);
        $("#card-cvv").html(details.cvv);

        $("#card-details").modal('show')
        console.log(details)
    }
</script>
</body>
</html>
