<?php
require_once "profile/includes/init.php";
require_once "profile/includes/guest.php";
if(isset($_SESSION['profile'])){
    header('location: profile/account');
}
?>
<!DOCTYPE html>
<html lang="zxx">
<head>

    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="assets/css/swiper-bundle.min.css">
    <link rel="stylesheet" href="assets/css/flaticon_finto.css">
    <link rel="stylesheet" href="assets/css/scrollCue.css">
    <link rel="stylesheet" href="assets/css/remixicon.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/responsive.css">

    <title><?php echo $info['name']; ?> - Fintech, Banking, & Finance</title>
    <link rel="icon" type="image/png" href="assets/images/favicon.png">
    <style>
        .isLoading {
            border: 3px solid #f3f3f3;
            border-radius: 50%;
            border-top: 3px solid #02d20a;
            width: 30px;
            height: 30px;
            -webkit-animation: spin 0.5s linear infinite; /* Safari */
            animation: spin 0.5s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% { -webkit-transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); }
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        .btn {
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
        }
        .btn[disabled] {
            background-color: #ccc;
            cursor: not-allowed;
            pointer-events: none;
        }
    </style>
</head>
<body>

<?php
include "preloader.php";
?>

<div class="top-header-info">

    <?php
    include "nav.php";
    ?>

</div>
<?php
include "mobile_nav.php";
?>


<div class="page-banner-area position-relative overflow-hidden" style="background-image: url(assets/images/hero/hero-image-2.svg)">
    <div class="container">
        <div class="page-banner-content">
            <h1>Account Enrollment</h1>
            <ul>
                <li><a href="./">Home</a></li>
                <li>Online Access</li>
            </ul>
        </div>
    </div>
    <div class="shape-image">
        <img class="page-banner-shape-1 moveHorizontal_reverse" src="assets/images/shape/page-banner-shape-1.png" alt="shape">
        <img class="page-banner-shape-2 moveVertical" src="assets/images/shape/page-banner-shape-2.png" alt="shape">
    </div>
</div>


<div class="my-account-page ptb-120 overflow-hidden">
    <div class="container">
        <div class="row g-4 justify-content-center">

            <div class="col-lg-6 col-md-12" data-cues="slideInLeft" data-duration="800">
                <form id="loginForm" class="login-form bg-color-fffaeb radius-30">
                    <h3>Get started by telling us about you</h3>
                    <h3 style="font-size: 13px;font-weight: 400">To set up online access, we need to enroll you in our system</h3>
                    <input type="text" class="form-control" name="firstName" id="firstName" placeholder="First Name">
                    <input type="text" class="form-control" id="lastName" name="lastName" placeholder="Last Name">
                    <input type="text" id="emailAddress" name="emailAddress" class="form-control" placeholder="Email">

                    <select class="form-control" id="accountType" name="accountType">
                        <option value="">--- Select account type ---</option>
                        <option value="Savings">Savings Account</option>
                        <option value="Current">Current Account</option>
                        <option value="Checking">Checking Account</option>
                    </select>

                    <?php
                    print $helper->messageContaner('<strong>Info!</strong> If you need to open other type of account, please contact our customer care. <a href="./contact">Click Here</a>', 'warning')
                    ?>

                    <div class="form-group">
                        <select id="account_currency" name="account_currency" class="form-control">
                            <option value="" selected disabled>--- Choose Account Currency ---</option>
                            <option value="usd">USD - United States Dollar</option>
                            <option value="euro">EUR - Euro</option>
                            <option value="pound">GBP - British Pound</option>
                        </select>

                    </div>

                    <?php
                    include "countries.php";
                    ?>
                    <br>
                    <input type="text" id="loginPassword" name="loginPassword" class="form-control" placeholder="Password">
                    <button type="submit" id="signupButton" class="btn default-btn w-100 text-center mb-4">
                        <span id="signupButtonText">Enroll Now</span>
                        <div style="display: none" id="processSignup" class="isLoading"></div>
                    </button>
                    <p>Already Have An Account? <a href="./login">Login</a></p>
                </form>
            </div>

        </div>
    </div>
</div>

<?php
include "footer.php";
?>
<script src="profile/vendor/jquery/jquery.min.js"></script>
<script data-cfasync="false" src="https://templates.hibootstrap.com/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script><script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/swiper-bundle.min.js"></script>
<script src="assets/js/fslightbox.min.js"></script>
<script src="assets/js/smooth-scroll.js"></script>
<script src="assets/js/scrollCue.min.js"></script>
<script src="assets/js/script.js"></script>
<script type="text/javascript" src="profile/js/controller.js"></script>

</body>
</html>
