<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account Opening Successful</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f4f4f4;
        }

        .success-container {
            background-color: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            width: 100%;
            text-align: center;
        }

        h2 {
            color: #4CAF50;
            margin-bottom: 20px;
        }

        p {
            margin-bottom: 15px;
            color: #555;
        }

        #redirectMessage {
            font-weight: bold;
            color: #333;
        }
        .icon-container {
            font-size: 50px;
            color: #4CAF50;
            margin-bottom: 15px;
        }

    </style>
</head>
<body>
<div class="success-container">
    <div class="icon-container">
        <i class="fas fa-check-circle"></i>
    </div>
    <h2>Account opening is Successful!</h2>
    <p>Thank you for choosing us. You will be redirected to the login page shortly.</p>
    <p id="redirectMessage">Wait... you will be redirected in 5 seconds.</p>
</div>

<script>
    window.addEventListener('load', function() {
        const redirectMessage = document.getElementById('redirectMessage');
        let countdown = 5;

        // Update the countdown every second
        const interval = setInterval(function() {
            countdown--;
            redirectMessage.textContent = `Wait... you will be redirected in ${countdown} seconds.`;

            if (countdown === 0) {
                clearInterval(interval);
                // Redirect to login page
                window.location.href = "login"; // Change this to the actual login page URL
            }
        }, 1000);
    });

</script>
</body>
</html>
